Modify

Opened 4 years ago

Last modified 3 months ago

#11862 reopened defect

ath: Failed to stop TX DMA, queues=0x004

Reported by: igor@… Owned by: nbd
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: Cc: nbd@…

Description

WNDR3700, trunk r32709.
Specific STA (playbook) causes non-stopping "ath: Failed to stop TX DMA, queues=0x004!" errors immediate after connection. This errors makes wifi fully unusable on this device and causes drops/reconnects for others.
Playbook works without such problems with another AP.

logread:

Jul 14 21:31:34 OpenWrt daemon.info hostapd: wlan0: STA a0:6c:ec:c9:1a:e6 IEEE 802.11: authenticated
Jul 14 21:31:34 OpenWrt daemon.info hostapd: wlan0: STA a0:6c:ec:c9:1a:e6 IEEE 802.11: associated (aid 3)
Jul 14 21:31:34 OpenWrt daemon.info hostapd: wlan0: STA a0:6c:ec:c9:1a:e6 WPA: pairwise key handshake completed (RSN)
Jul 14 21:31:34 OpenWrt daemon.info dnsmasq-dhcp[1460]: DHCPDISCOVER(br-lan) a0:6c:ec:c9:1a:e6 
Jul 14 21:31:34 OpenWrt daemon.info dnsmasq-dhcp[1460]: DHCPOFFER(br-lan) 172.31.254.195 a0:6c:ec:c9:1a:e6 
Jul 14 21:31:34 OpenWrt daemon.info dnsmasq-dhcp[1460]: DHCPREQUEST(br-lan) 172.31.254.195 a0:6c:ec:c9:1a:e6 
Jul 14 21:31:34 OpenWrt daemon.info dnsmasq-dhcp[1460]: DHCPACK(br-lan) 172.31.254.195 a0:6c:ec:c9:1a:e6 Playbook
Jul 14 21:33:07 OpenWrt kern.err kernel: [  777.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Jul 14 21:33:07 OpenWrt kern.err kernel: [  777.290000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Jul 14 21:33:08 OpenWrt kern.err kernel: [  777.640000] ath: phy0: Failed to stop TX DMA, queues=0x104!
Jul 14 21:33:08 OpenWrt kern.err kernel: [  777.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Jul 14 21:33:09 OpenWrt kern.err kernel: [  778.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Attachments (4)

dmesg.log (11.9 KB) - added by HuTPaT <hyena_bg@…> 4 years ago.
dmesg.2.log (23.9 KB) - added by HuTPaT <hyena_bg@…> 4 years ago.
capture.wlan0.pcap (633.3 KB) - added by cchhat01@… 2 years ago.
tcpdump wlan0
capture.wlan0.sta2.pcap (643.6 KB) - added by cchhat01@… 2 years ago.
tcpdump wlan0.sta2

Download all attachments as: .zip

Change History (346)

comment:1 Changed 4 years ago by acinonyx

  • Owner changed from developers to nbd
  • Status changed from new to assigned

comment:2 Changed 4 years ago by bottleman@…

My test setup is a three mesh nodes,
all in one room, two is alix pc engines with EMP9605H (ar9220) with antennas
like on soho routers and one is my laptop with dbii f52n-pro ar9220 based too.
Use compat-wireless-3.5-rc5-1-snpc on all nodes.

All three nodes work fine, but then i remove antenas from one of the node (it
contiue work only with pigtails) signal levels with this node is low but enough
to work, it continue to work but i have errors in dmesg on all three nodes:

ath: phy0: Failed to stop TX DMA, queues=0x001!

Links is become unstable, packet loss regardless to which node taffic is goes,
to node without antennas or betwen nodes with antennas.

I tryin change wireless cards with no results, but all what i try is ar9220 based,
just different manufactures. Also i try add ubiquiti nanostation M2 with openwrt
on it in this setup, and get same results on it too - dma erros and unstable links
with packetloss.

Then i connect antennas back, all strat working fine again withous erorors.
I think it seems low signal and/or low quality links is triggering with bug.

comment:3 Changed 4 years ago by rcbilson@…

Same problem with playbook. Interestingly, I have one playbook that works fine and one that totally breaks the wndr3700 (running a trunk snapshot from a couple of days ago). If I turn off 802.11n everything works smoothly.

comment:4 Changed 4 years ago by igor@…

r32760 - nothing has changed.

comment:5 Changed 4 years ago by igor

11g mode work well, without this error.

comment:6 Changed 4 years ago by Anton <anton.bugs@…>

The same with 12.09-beta. The error probably appears after couple of days of running.
My log starts with the following:

[257189.990000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[257190.000000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[297808.960000] ath: phy0: Failed to stop TX DMA, queues=0x00c!

... and then:

[402043.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[402044.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[427435.100000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[427435.110000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

Please let me know

comment:7 Changed 4 years ago by Clayman

As I stated before I have a lot such messages in log:

[ 6794.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 8963.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11249.350000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[11784.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12269.840000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[12427.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12450.840000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[12675.750000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[12864.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12873.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13394.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13442.290000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[14092.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[18455.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[24707.400000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[24732.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[24981.800000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
[25067.960000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[25233.170000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[25278.160000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
And so on...
  • No wired devices connected;
  • 2 "g" and 1 "n" wireless devices connected;
  • TL-WR941ND;
  • r33562.

comment:8 Changed 4 years ago by Anton <anton.bugs@…>

I forgot to mention that the reason why I started to look at the logs is that my ath card is still not stable, but in a different way now. The connection becomes very slow after couple days of the uptime and this is when I started to observe these errors.

Could someone change the priority of this bug please?
It's critical to fix it before the final release.

comment:9 Changed 4 years ago by duvi

I'd like to add, that these errors appear when there are no stations connected to the router (you can see, the errors appear late at night, and this is an office, so noone's there).

So what triggers the errors is probably wireless traffic on a totally different wireless network, that our router overhears.

Sep 29 19:15:23 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 IEEE 802.11: disassociated due to inactivity
Sep 29 19:15:24 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 IEEE 802.11: deauthenticated due to inactivity (timer DEAUTH/REMOVE)
Sep 29 19:16:37 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 IEEE 802.11: disassociated due to inactivity
Sep 29 19:16:38 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 IEEE 802.11: deauthenticated due to inactivity (timer DEAUTH/REMOVE)
Sep 29 19:17:08 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 IEEE 802.11: disassociated due to inactivity
Sep 29 19:17:09 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 IEEE 802.11: deauthenticated due to inactivity (timer DEAUTH/REMOVE)
Sep 30 03:52:59 OpenWrt kern.err kernel: [218095.630000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
Sep 30 03:52:59 OpenWrt kern.err kernel: [218095.640000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
Sep 30 07:54:36 OpenWrt kern.err kernel: [232591.780000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
Sep 30 07:54:36 OpenWrt kern.err kernel: [232591.790000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
Sep 30 11:20:51 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 IEEE 802.11: authenticated
Sep 30 11:20:51 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 IEEE 802.11: associated (aid 1)
Sep 30 11:20:51 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 RADIUS: starting accounting session 00000015-00000039
Sep 30 11:20:51 OpenWrt daemon.info hostapd: wlan0-1: STA 20:64:32:34:8f:18 WPA: pairwise key handshake completed (RSN)
Sep 30 11:22:08 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 IEEE 802.11: authenticated
Sep 30 11:22:08 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 IEEE 802.11: associated (aid 1)
Sep 30 11:22:08 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 RADIUS: starting accounting session 00000014-00000015
Sep 30 11:22:08 OpenWrt daemon.info hostapd: wlan0: STA 00:12:f0:8f:6d:a8 WPA: pairwise key handshake completed (RSN)
Sep 30 11:23:59 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 IEEE 802.11: authenticated
Sep 30 11:23:59 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 IEEE 802.11: associated (aid 2)
Sep 30 11:23:59 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 RADIUS: starting accounting session 00000015-0000003A
Sep 30 11:23:59 OpenWrt daemon.info hostapd: wlan0-1: STA f4:0b:93:29:97:a0 WPA: pairwise key handshake completed (RSN)
S

comment:10 Changed 4 years ago by igor

Initial problem was fixed with recent BlackBerry Tablet OS 2.1 release.

comment:11 Changed 4 years ago by petrus007.1@…

The same problem with Asus TF101G and hp 6730b, WiFi fails often and repeatedly, on TL-WR1043ND v1.8 with Attitude Adjustment 12.09-beta r33696 by obsy.

I confirm that the errors in the log will also appear, when no station is connected to the router.

Could someone change the priority of this bug please? It's critical to fix it before the final release.

[ 2695.360000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[ 2695.370000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 2695.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2695.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!

[ 5673.360000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00028cc0
[ 5673.370000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[13303.820000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[13303.830000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[27977.580000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[27977.590000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[27977.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[27977.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[27978.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!

[28001.620000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[28031.550000] ath: phy0: Failed to stop TX DMA, queues=0x001!

comment:12 Changed 4 years ago by HuTPaT <hyena_bg@…>

I can confirm bug still exists in Bleeding Edge, r33743
Router is WRT160NL. Also wireless link is much more stable than Attitude Adjustment 12.09-beta

Here is dmesg with errors and crash

root@feng:~# dmesg 
[    0.000000] Linux version 3.3.8 (hutpat@hutpat) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Sat Oct 13 18:58:11 EEST 2012
[    0.000000] MyLoader: sysp=aaaa5554, boardp=aaaa5554, parts=aaaa5554
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR9130 rev 2
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802ce0f0, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=WRT160NL console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 29148k/32768k available (2089k kernel code, 3620k reserved, 400k data, 208k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.000000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.090000] gpiochip_add: registered GPIOs 0 to 21 on device: ath79
[    0.100000] MIPS: machine is Linksys WRT160NL
[    0.130000] ar71xx: using random MAC address for eth0
[    0.330000] ar71xx: using random MAC address for eth1
[    0.610000] bio: create slab <bio-0> at 0
[    0.620000] Switching to clocksource MIPS
[    0.630000] NET: Registered protocol family 2
[    0.630000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.630000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.640000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.640000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.650000] TCP reno registered
[    0.650000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.660000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.660000] NET: Registered protocol family 1
[    0.670000] PCI: CLS 0 bytes, default 32
[    0.690000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.690000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.700000] msgmni has been set to 56
[    0.710000] io scheduler noop registered
[    0.710000] io scheduler deadline registered (default)
[    0.720000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
[    0.740000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.750000] console [ttyS0] enabled, bootconsole disabled
[    0.770000] m25p80 spi0.0: found en25p64, expected m25p80
[    0.770000] m25p80 spi0.0: en25p64 (8192 Kbytes)
[    0.780000] 6 wrt160nl partitions found on MTD device spi0.0
[    0.780000] Creating 6 MTD partitions on "spi0.0":
[    0.790000] 0x000000000000-0x000000040000 : "u-boot"
[    0.790000] 0x000000040000-0x000000180000 : "kernel"
[    0.800000] 0x000000180000-0x0000007e0000 : "rootfs"
[    0.810000] mtd: partition "rootfs" set to be root filesystem
[    0.810000] mtd: partition "rootfs_data" created automatically, ofs=2F0000, len=4F0000 
[    0.820000] 0x0000002f0000-0x0000007e0000 : "rootfs_data"
[    0.830000] 0x0000007e0000-0x0000007f0000 : "nvram"
[    0.830000] 0x0000007f0000-0x000000800000 : "art"
[    0.840000] 0x000000040000-0x0000007e0000 : "firmware"
[    0.860000] ag71xx_mdio: probed
[    0.860000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[    1.180000] Registering RTL8306SD switch with Chip ID: 0x5988, version: 0x0000
[    1.180000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=00008306, driver=Realtek RTL8306S]
[    1.200000] eth1: Atheros AG71xx at 0xba000000, irq 5
[    1.500000] ag71xx ag71xx.1: eth1: connected to PHY at ag71xx-mdio.0:04 [uid=00008306, driver=Realtek RTL8306S]
[    1.510000] TCP cubic registered
[    1.520000] NET: Registered protocol family 17
[    1.520000] 8021q: 802.1Q VLAN Support v1.8
[    1.530000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.540000] Freeing unused kernel memory: 208k freed
[    3.400000] Registered led device: wrt160nl:blue:power
[    3.400000] Registered led device: wrt160nl:amber:wps
[    3.400000] Registered led device: wrt160nl:blue:wps
[    3.400000] Registered led device: wrt160nl:blue:wlan
[    5.190000] ar71xx: pll_reg 0xb8050014: 0x13000a44
[    5.190000] eth0: link up (100Mbps/Full duplex)
[    6.680000] JFFS2 notice: (431) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 10 of xref (0 dead, 2 orphan) found.
[    6.780000] eth0: link down
[    7.500000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[    7.510000] Backport based on wireless-testing.git master-2012-09-07
[    7.510000] compat.git: wireless-testing.git
[    7.540000] cfg80211: Calling CRDA to update world regulatory domain
[    7.550000] cfg80211: World regulatory domain updated:
[    7.550000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    7.560000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    7.570000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    7.580000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    7.580000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    7.590000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    7.930000] usbcore: registered new interface driver usbfs
[    7.930000] usbcore: registered new interface driver hub
[    7.940000] usbcore: registered new device driver usb
[    8.590000] ath: EEPROM regdomain: 0x0
[    8.590000] ath: EEPROM indicates default country code should be used
[    8.590000] ath: doing EEPROM country->regdmn map search
[    8.590000] ath: country maps to regdmn code: 0x3a
[    8.590000] ath: Country alpha2 being used: US
[    8.590000] ath: Regpair used: 0x3a
[    8.590000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    8.590000] ieee80211 phy0: Atheros AR9100 MAC/BB Rev:7 AR2122 RF Rev:a2 mem=0xb80c0000, irq=2
[    8.640000] PPP generic driver version 2.4.2
[    8.670000] cfg80211: Calling CRDA for country: US
[    8.670000] cfg80211: Regulatory domain changed to country: US
[    8.680000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    8.680000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[    8.690000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[    8.700000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    8.710000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    8.720000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    8.720000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[    8.960000] ip_tables: (C) 2000-2006 Netfilter Core Team
[    9.170000] NET: Registered protocol family 24
[    9.190000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    9.190000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[    9.200000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[    9.240000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[    9.260000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[    9.260000] hub 1-0:1.0: USB hub found
[    9.270000] hub 1-0:1.0: 1 port detected
[    9.290000] nf_conntrack version 0.5.0 (458 buckets, 1832 max)
[    9.500000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   12.360000] device eth0 entered promiscuous mode
[   13.420000] ar71xx: pll_reg 0xb8050014: 0x13000a44
[   13.420000] eth0: link up (100Mbps/Full duplex)
[   13.420000] br-lan: port 1(eth0) entered forwarding state
[   13.430000] br-lan: port 1(eth0) entered forwarding state
[   14.840000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[   14.840000] eth1: link up (100Mbps/Full duplex)
[   15.410000] device wlan0 entered promiscuous mode
[   15.430000] br-lan: port 1(eth0) entered forwarding state
[   16.210000] br-lan: port 2(wlan0) entered forwarding state
[   16.220000] br-lan: port 2(wlan0) entered forwarding state
[   18.220000] br-lan: port 2(wlan0) entered forwarding state
[   19.510000] eth1: link down
[   19.840000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[   19.840000] eth1: link up (100Mbps/Full duplex)
[   21.290000] eth1: link down
[   21.840000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[   21.840000] eth1: link up (100Mbps/Full duplex)
[   27.840000] eth1: link down
[   28.840000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[   28.840000] eth1: link up (100Mbps/Full duplex)
[72602.270000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[72852.780000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[72884.350000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[72897.900000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[72914.430000] ath: phy0: Failed to stop TX DMA, queues=0x007!
[72923.470000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[73722.050000] ath: phy0: Failed to stop TX DMA, queues=0x007!
[125236.350000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[125535.330000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[126431.770000] ------------[ cut here ]------------
[126431.770000] WARNING: at /home/hutpat/openwrt/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd0()
[126431.790000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[126431.800000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[126431.850000] Call Trace:[<8026587c>] 0x8026587c
[126431.860000] [<8026587c>] 0x8026587c
[126431.860000] [<8007198c>] 0x8007198c
[126431.870000] [<80c99fd0>] 0x80c99fd0
[126431.870000] [<80071a40>] 0x80071a40
[126431.870000] [<80c99fd0>] 0x80c99fd0
[126431.880000] [<801d8ad0>] 0x801d8ad0
[126431.880000] [<80d66ea0>] 0x80d66ea0
[126431.880000] [<8006b6e0>] 0x8006b6e0
[126431.890000] [<80d64fc8>] 0x80d64fc8
[126431.890000] [<80076a70>] 0x80076a70
[126431.890000] [<80076f94>] 0x80076f94
[126431.900000] [<802f0000>] 0x802f0000
[126431.900000] [<802f0000>] 0x802f0000
[126431.910000] [<800771a0>] 0x800771a0
[126431.910000] [<800a8440>] 0x800a8440
[126431.910000] [<800773d4>] 0x800773d4
[126431.920000] [<8006306c>] 0x8006306c
[126431.920000] [<80063240>] 0x80063240
[126431.920000] [<802f0000>] 0x802f0000
[126431.930000] [<80095190>] 0x80095190
[126431.930000] [<80064aa8>] 0x80064aa8
[126431.930000] [<80063260>] 0x80063260
[126431.940000] [<802cf8b0>] 0x802cf8b0
[126431.940000] [<802f47d8>] 0x802f47d8
[126431.950000] [<802cf0dc>] 0x802cf0dc
[126431.950000] 
[126431.950000] ---[ end trace e3790affa447214a ]---
[127339.740000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[128011.740000] ath: phy0: Failed to stop TX DMA, queues=0x002!
root@feng:~# lsmod 
Module                  Size  Used by    Tainted: G  
ath79_wdt               2240  1 
ohci_hcd               16160  0 
ledtrig_usbdev          2032  0 
ledtrig_netdev          3184  0 
nf_nat_irc               784  0 
nf_conntrack_irc        2464  1 nf_nat_irc
nf_nat_ftp               976  0 
nf_conntrack_ftp        4416  1 nf_nat_ftp
ipt_MASQUERADE           976  1 
iptable_nat             2112  1 
nf_nat                  9792  4 nf_nat_irc,nf_nat_ftp,ipt_MASQUERADE,iptable_nat
pppoe                   7488  2 
xt_conntrack            2048  4 
xt_CT                   1216  0 
xt_NOTRACK               448  0 
iptable_raw              560  1 
xt_state                 608  0 
nf_conntrack_ipv4       3872  7 iptable_nat,nf_nat
nf_defrag_ipv4           624  1 nf_conntrack_ipv4
nf_conntrack           37104 12 nf_nat_irc,nf_conntrack_irc,nf_nat_ftp,nf_conntrack_ftp,ipt_MASQUERADE,iptable_nat,nf_nat,xt_conntrack,xt_CT,xt_NOTRACK,xt_state,nf_conntrack_ipv4
ehci_hcd               33616  0 
pppox                   1152  1 pppoe
ipt_REJECT              1808  2 
xt_TCPMSS               1824  1 
ipt_LOG                 6048  0 
xt_comment               400  0 
xt_multiport            1104  0 
xt_mac                   528  0 
xt_limit                 944  1 
iptable_mangle           832  1 
iptable_filter           592  1 
ip_tables               8864  4 iptable_nat,iptable_raw,iptable_mangle,iptable_filter
xt_tcpudp               1632 13 
x_tables                9984 18 ipt_MASQUERADE,iptable_nat,xt_conntrack,xt_CT,xt_NOTRACK,iptable_raw,xt_state,ipt_REJECT,xt_TCPMSS,ipt_LOG,xt_comment,xt_multiport,xt_mac,xt_limit,iptable_mangle,iptable_filter,ip_tables,xt_tcpudp
ppp_async               5952  0 
ppp_generic            18848  7 pppoe,pppox,ppp_async
slhc                    4368  1 ppp_generic
ath9k                  85408  0 
ath9k_common            1152  1 ath9k
ath9k_hw              316688  2 ath9k,ath9k_common
ath                    14336  3 ath9k,ath9k_common,ath9k_hw
mac80211              252448  1 ath9k
usbcore                99168  4 ohci_hcd,ledtrig_usbdev,ehci_hcd
usb_common               480  1 usbcore
nls_base                4640  1 usbcore
crc_ccitt                944  1 ppp_async
cfg80211              153872  3 ath9k,ath,mac80211
compat                  5776  5 ath9k,ath9k_common,ath9k_hw,mac80211,cfg80211
arc4                     768  2 
aes_generic            29808  4 
crypto_algapi           9200  2 arc4,aes_generic
ledtrig_timer           1072  0 
ledtrig_default_on       416  0 
leds_gpio               1552  0 
gpio_button_hotplug     3184  0 

comment:13 Changed 4 years ago by nbd

  • Priority changed from normal to response-needed

please try the latest version to see if the bug still exists

comment:14 Changed 4 years ago by Anton <anton.bugs@…>

nbd: try and hope could be the way, but we reported the bug then the beta was the latest version. Have you done anything specifically to that problem?..

I clearly remember the story with the bug
https://dev.openwrt.org/ticket/8343

where I tried 20 different versions, even compiled it myself and I don't want to go in that way again.

comment:15 Changed 4 years ago by nbd

see r33938

comment:16 Changed 4 years ago by Anton <anton.bugs@…>

btw, it might be not a wireless issue only. I will need to triple confirm that, but I have seen a dramatic network slowdown on my another box connected via wired network after that error message.

Can someone check it as well?

comment:17 Changed 4 years ago by sayap

r33946, tl-wdr4300:

[  161.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:18 follow-up: Changed 4 years ago by nbd

please try the latest version of trunk or attitude_adjustment, the fix in r33989/r33990 could be relevant.

Changed 4 years ago by HuTPaT <hyena_bg@…>

comment:19 Changed 4 years ago by HuTPaT <hyena_bg@…>

TX DMA error finally gone, but router is still very unstable at 150MB and 300MB. I`m also getting crashes and disconnects. WRT160NL r34044.
Details in attachment

comment:20 in reply to: ↑ 18 Changed 4 years ago by anonymous

Replying to nbd:

please try the latest version of trunk or attitude_adjustment, the fix in r33989/r33990 could be relevant.

r34048, TL-WR1043ND, Atheros AR9100 MAC/BB Rev:7 AR2133 RF Rev:a2
[10278.430000] WARNING: at .../trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80cda010()
[10278.450000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
.
.
[55332.210000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0

comment:21 Changed 4 years ago by Clayman

TP-Link WR941NDv3
r34026

[11408.570000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[11408.580000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[11411.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11411.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11411.920000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11412.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11412.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11412.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11412.910000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11413.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11413.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11413.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11413.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11414.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11414.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11414.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11414.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11415.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11415.350000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11415.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11415.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11416.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11416.350000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11416.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11416.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11417.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11417.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11417.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11417.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11418.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11418.290000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11418.540000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11418.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11419.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11420.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11420.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11421.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11421.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11421.990000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11422.230000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11422.480000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11422.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11424.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11424.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11424.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11425.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11426.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11427.260000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11427.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11428.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11428.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11429.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11429.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11429.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11429.890000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11430.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11430.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11431.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11432.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11433.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11434.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11435.800000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11436.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11437.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11438.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11438.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11439.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11439.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11440.310000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11440.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11441.270000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11441.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11442.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11442.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11443.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11443.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11444.410000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11444.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11445.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11445.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11446.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11446.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11447.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11448.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11449.910000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11450.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11451.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11452.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11453.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11453.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11454.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11454.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11455.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11455.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11456.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11456.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11457.310000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11457.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11458.260000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11458.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11459.450000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11459.920000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11460.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11460.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11461.350000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11461.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11462.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11462.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11463.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11463.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11464.520000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11464.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11465.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11465.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11466.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11466.910000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11467.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11467.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11468.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11468.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11469.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11469.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11470.580000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11470.820000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11471.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11471.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11472.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11472.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11473.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11473.930000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11474.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11474.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11475.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11475.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11476.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11476.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11477.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11477.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11478.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:22 Changed 4 years ago by nbd

please show me the output of

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

after such a storm of messages.

comment:23 Changed 4 years ago by Clayman

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0

comment:24 follow-up: Changed 4 years ago by nbd

Please show me your wireless config

comment:25 in reply to: ↑ 24 Changed 4 years ago by Clayman

Replying to nbd:

Please show me your wireless config

config wifi-device 'radio0'
        option type 'mac80211'
        option hwmode '11ng'
        option path 'platform/ath9k'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option noscan '1'
        option channel '8'
        option txpower '20'
        option htmode 'HT40-'
        option country 'RU'

config wifi-iface
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'underworld'
        option encryption 'psk2+ccmp'
        option key '******************'

comment:26 Changed 4 years ago by obsidian17@…

I have the same issues on r33993, but different out from /proc/.../ath9k/reset:

dmesg:
[ 84.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 153.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 256.830000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 2891.200000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 4393.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 5785.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 6349.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 6362.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[144030.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[150061.710000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[150220.680000] ------------[ cut here ]------------
[150220.690000] WARNING: at /builds/openwrt/slave/ar71xx/build/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 ieee80211_rx+0x138/0x79c [mac80211]()
[150220.700000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[150220.710000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[150220.770000] Call Trace:
[150220.770000] [<80285658>] dump_stack+0x8/0x34
[150220.780000] [<80071d2c>] warn_slowpath_common+0x78/0xa4
[150220.780000] [<80071de0>] warn_slowpath_fmt+0x2c/0x38
[150220.790000] [<80c9a000>] ieee80211_rx+0x138/0x79c [mac80211]
[150220.790000] [<81be6eb0>] ath_rx_tasklet+0xe60/0xf90 [ath9k]
[150220.800000] [<81be4fd8>] ath9k_tasklet+0xe8/0x140 [ath9k]
[150220.810000] [<80076e10>] tasklet_action+0x7c/0xd4
[150220.810000] [<80077334>] do_softirq+0xa0/0x154
[150220.810000] [<80077540>] do_softirq+0x48/0x68
[150220.820000] [<80077774>] irq_exit+0x4c/0x74
[150220.820000] [<8006306c>] ret_from_irq+0x0/0x4
[150220.830000] [<80063260>] r4k_wait+0x20/0x40
[150220.830000] [<80064d34>] cpu_idle+0x30/0x60
[150220.840000] [<8031c8b0>] start_kernel+0x364/0x384
[150220.840000]
[150220.840000] ---[ end trace bfc599231e04d2cb ]---
[151635.440000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[151728.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[152710.230000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[160580.180000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[166361.270000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[167187.890000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[171345.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[327597.220000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[327597.230000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 24

PLL RX Hang: 0

# cat /etc/config/wireless

config 'wifi-device' 'radio0'

option 'type' 'mac80211'
option 'macaddr' '90:f6:52:ae:2b:bc'
option 'hwmode' '11ng'
option 'htmode' 'HT20'
list 'ht_capab' 'SHORT-GI-40'
list 'ht_capab' 'DSSS_CCK-40'
option 'txpower' '20'
option 'country' 'DE'
option 'channel' '1'

config 'wifi-iface'

option 'device' 'radio0'
option 'mode' 'ap'
option 'network' 'lan'
option 'encryption' 'wpa2'
option 'auth_server' '10.20.30.45'
option 'auth_port' '1812'
option 'auth_secret' 'xxxxxxxxx'
option 'acct_server' '10.20.30.45'
option 'acct_port' '1813'
option 'acct_secret' 'xxxxxxx'
option 'ssid' 'BoerseGo'

config 'wifi-iface'

option 'device' 'radio0'
option 'mode' 'ap'
option 'ssid' 'BoerseGo-Public'
option 'network' 'lan'
option 'encryption' 'psk-mixed'
option 'key' 'xxxxxx'

comment:27 Changed 4 years ago by kovacsrobi@…

TP-LINK TL-MR3020
If I set router to Client (sta, wds) mode, don’t work.

System log:
ath: phy0: Failed to stop TX DMA, queues=0x001!

Can you help for me?

Changed 4 years ago by HuTPaT <hyena_bg@…>

comment:28 Changed 4 years ago by HuTPaT <hyena_bg@…>

WRT160NL v1
BARRIER BREAKER (Bleeding Edge, r34200)

root@feng:~# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  1
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0

root@feng:~# cat /etc/config/wireless
config wifi-device radio0

option type mac80211
option channel 3
option hwmode 11ng
option path 'platform/ath9k'
option htmode HT40+
list ht_capab SHORT-GI-40
list ht_capab DSSS_CCK-40
# REMOVE THIS LINE TO ENABLE WIFI:
option noscan 1
option diversity 1
option txpower 27

config wifi-iface

option device radio0
option network lan
option mode ap
option ssid XXXX
option encryption psk2
option key XXXX
option wmm 1
option txpower 27

comment:29 Changed 4 years ago by syzop@…

WNDR3700v2 running r34122

Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA 00:23:12:73:e7:c5 IEEE 802.11: authenticated
Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA 00:23:12:73:e7:c5 IEEE 802.11: associated (aid 78)
Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA 00:23:12:73:e7:c5 RADIUS: starting accounting session 50A5FAB7-00000170
Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA 00:23:12:73:e7:c5 WPA: pairwise key handshake completed (RSN)
Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA fc:a1:3e:72:24:2a IEEE 802.11: authenticated
Nov 16 09:56:45 t-0 hostapd: wlan0-1: STA fc:a1:3e:72:24:2a IEEE 802.11: associated (aid 80)
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA 78:d6:f0:0c:f2:da IEEE 802.11: authenticated
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA 78:d6:f0:0c:f2:da IEEE 802.11: associated (aid 81)
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA 78:d6:f0:0c:f2:da RADIUS: starting accounting session 50A5FAB7-00000171
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA 78:d6:f0:0c:f2:da WPA: pairwise key handshake completed (RSN)
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA fc:a1:3e:72:24:2a RADIUS: starting accounting session 50A5FAB7-00000172
Nov 16 09:56:46 t-0 hostapd: wlan0-1: STA fc:a1:3e:72:24:2a WPA: pairwise key handshake completed (RSN)
Nov 16 09:56:48 t-0 kernel: [26678.150000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
Nov 16 09:56:48 t-0 kernel: [26678.160000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
Nov 16 09:56:48 t-0 kernel: [26678.180000] ath: phy0: Failed to stop TX DMA, queues=0x104!
Nov 16 09:56:50 t-0 hostapd: wlan0-1: STA c8:19:f7:47:13:61 IEEE 802.11: authenticated
Nov 16 09:56:50 t-0 hostapd: wlan0-1: STA c8:19:f7:47:13:61 IEEE 802.11: associated (aid 84)
Nov 16 09:56:50 t-0 hostapd: wlan0-1: STA c8:19:f7:47:13:61 RADIUS: starting accounting session 50A5FAB7-00000173
Nov 16 09:56:50 t-0 hostapd: wlan0-1: STA c8:19:f7:47:13:61 WPA: pairwise key handshake completed (RSN)
--snip--
Nov 16 10:15:37 t-0 hostapd: wlan0-1: STA 00:23:4d:15:8d:cb IEEE 802.11: authenticated
Nov 16 10:15:37 t-0 hostapd: wlan0-1: STA 00:23:4d:15:8d:cb IEEE 802.11: associated (aid 12)
Nov 16 10:15:37 t-0 hostapd: wlan0-1: STA 00:23:4d:15:8d:cb RADIUS: starting accounting session 50A5975C-00000047
Nov 16 10:15:37 t-0 hostapd: wlan0-1: STA 00:23:4d:15:8d:cb WPA: pairwise key handshake completed (RSN)
Nov 16 10:15:37 t-0 kernel: [  607.700000] ath: phy0: Failed to stop TX DMA, queues=0x005!
Nov 16 10:15:38 t-0 hostapd: wlan0-1: STA 9c:b7:0d:dc:ee:71 IEEE 802.11: authenticated
Nov 16 10:15:38 t-0 hostapd: wlan0-1: STA 8c:64:22:af:38:7b IEEE 802.11: deauthenticated due to local deauth request
--snip--
Nov 16 12:28:14 t-0 hostapd: wlan0-1: STA f0:b4:79:f3:e9:73 IEEE 802.11: authenticated
Nov 16 12:28:14 t-0 hostapd: wlan0-1: STA f0:b4:79:f3:e9:73 IEEE 802.11: associated (aid 92)
Nov 16 12:28:14 t-0 hostapd: wlan0-1: STA f0:b4:79:f3:e9:73 RADIUS: starting accounting session 50A61DDF-000001F6
Nov 16 12:28:14 t-0 hostapd: wlan0-1: STA f0:b4:79:f3:e9:73 WPA: pairwise key handshake completed (RSN)
Nov 16 12:28:14 t-0 kernel: [ 8564.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Nov 16 12:28:16 t-0 kernel: [ 8566.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Nov 16 12:28:17 t-0 hostapd: wlan0-1: STA 00:25:bc:28:1b:16 IEEE 802.11: authenticated
Nov 16 12:28:17 t-0 hostapd: wlan0-1: STA 00:25:bc:28:1b:16 IEEE 802.11: associated (aid 93)
--etc..--

Contents of cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset:

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0

Question: I restart wifi every 30min due to #11894, will this reset the counters from above?

Wireless config:

config wifi-device 'radio0'
        option type 'mac80211'
        option channel '11'
        option hwmode '11ng'
        option path 'pci0000:00/0000:00:11.0'
        option htmode 'HT20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'TX-STBC'
        list ht_capab 'RX-STBC1'
        list ht_capab 'DSSS_CCK-40'
        option txpower '27'
        option country 'NL'

config wifi-iface
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'XXX-XXXXXX'
        option encryption 'wpa+tkip'
        option auth_server '10.0.0.1'
        option auth_secret 'xxx'

config wifi-device 'radio1'
        option type 'mac80211'
        option hwmode '11na'
        option path 'pci0000:00/0000:00:12.0'
        option htmode 'HT20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'TX-STBC'
        list ht_capab 'RX-STBC1'
        list ht_capab 'DSSS_CCK-40'
        option channel '44'
        option txpower '17'
        option country 'NL'

config wifi-iface
        option device 'radio1'
        option network 'lan'
        option mode 'ap'
        option ssid 'XXX-XXXXXX'
        option encryption 'wpa+tkip'
        option auth_server '10.0.0.1'
        option auth_secret 'xxx'

config wifi-iface
        option device 'radio0'
        option mode 'ap'
        option ssid 'XXXX'
        option network 'lan'
        option encryption 'psk2+ccmp'
        option key 'xxx'

config wifi-iface
        option device 'radio1'
        option mode 'ap'
        option ssid 'XXXX'
        option network 'lan'
        option encryption 'psk2+ccmp'
        option key 'xxx'

All from above is from one WNDR3700v2. But a quick grep on logs of all APs of today reveal that I have this on 8 others as well (same router type). Roughly half of which are running r34122, and the other half being r33288. Some have 10 of these messages, some 30, some just 1 or 2.

If I can assist in any way, let me know.

comment:30 Changed 4 years ago by syzop@…

I'm still seeing these on r34200.
Both:
Nov 30 09:53:24 t-0 kernel: [26509.710000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
And:
Nov 30 13:36:31 t-0 kernel: [39897.720000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
Nov 30 13:36:31 t-0 kernel: [39897.730000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
Nov 30 13:36:31 t-0 kernel: [39897.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Access point seems stable though.

comment:31 Changed 4 years ago by Anton <anton.bugs@…>

I can confirm the comment #30, with 12.09-rc1. The error happened twice during last week for me. Both times after "bad checksum" error.

The good news the AP continue to function normally.

[157781.080000] UDP: bad checksum. From 173.206.xxx.xxx:18494 to xx.xx.27.137:51413 ulen 106
[283477.620000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[283477.630000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[283508.400000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[283509.340000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[283510.290000] ath: phy0: Failed to stop TX DMA, queues=0x100!

comment:32 Changed 4 years ago by pontillo@…

I'm seeing this issue on 12.09-rc1 after disabling Wireless N to see if it solved the previous problem I was hitting (see #9654). No such luck; now I see this in the log:

[864581.740000] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[864583.730000] br-lan: port 2(wlan0) entered forwarding state
[1002128.710000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[1002128.720000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1002129.700000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[1002132.180000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[1002132.680000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[1002136.030000] ath: phy0: Failed to stop TX DMA, queues=0x100!

comment:33 Changed 4 years ago by anonymous

OpenWrt Barrier Breaker r35097 / LuCI Trunk (trunk+svn9610)

Still got a lot of that :(

F*ck atheros, going to buy some ralink-based router.

comment:34 Changed 4 years ago by anonymous

I got this problem on WR741ND JUST when connecting Android based tablets {China - MID08SSS / SoftwinnerEvb / Android 4.0.4 / IMM76D}! When all others devices connects, it's running fine, even other Android phones/laptop. But when I connect those tables it crashes immediately with this errors. Would that help somehow ? (if more info require, contact me on sharkys at email dot cz)

Jan 18 18:52:57 aplibor kern.err kernel: [  186.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Jan 18 18:52:58 aplibor kern.err kernel: [  187.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Jan 18 18:52:58 aplibor kern.err kernel: [  187.510000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[    0.000000] Linux version 3.3.8 (blogic@Debian-60-squeeze-64-minimal) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Sun Nov 18 04:31:55 UTC 2012
[    0.000000] MyLoader: sysp=7e32261f, boardp=2eeaf96f, parts=7e16f0c5
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[    0.000000] SoC: Atheros AR9341 rev 1
[    0.000000] Clocks: CPU:535.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:25.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] On node 0 totalpages: 8192
[    0.000000] free_area_init_node: node 0, pgdat 802ef060, node_mem_map 81000000
[    0.000000]   Normal zone: 64 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 8128 pages, LIFO batch:0
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  board=TL-WR841N-v8 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
root@aplibor:~# lsmod
Module                  Size  Used by    Tainted: G
ath79_wdt               2240  1
ohci_hcd               16160  0
ledtrig_usbdev          2032  0
ledtrig_netdev          3184  0
nf_nat_irc               784  0
nf_conntrack_irc        2464  1 nf_nat_irc
nf_nat_ftp               976  0
nf_conntrack_ftp        4416  1 nf_nat_ftp
ipt_MASQUERADE           976  1
iptable_nat             2544  1
nf_nat                 10256  4 nf_nat_irc,nf_nat_ftp,ipt_MASQUERADE,iptable_nat
pppoe                   7488  0
xt_conntrack            2048  3
xt_CT                   1216  0
xt_NOTRACK               448  0
iptable_raw              560  1
xt_state                 608  0
nf_conntrack_ipv4       4384  6 iptable_nat,nf_nat
nf_defrag_ipv4           656  1 nf_conntrack_ipv4
nf_conntrack           38208 12 nf_nat_irc,nf_conntrack_irc,nf_nat_ftp,nf_conntrack_ftp,ipt_MASQUERADE,iptable_nat,nf_nat,xt_conntrack,xt_CT,xt_NOTRACK,xt_state,nf_conntrack_ipv4
ehci_hcd               33632  0
pppox                   1152  1 pppoe
ipt_REJECT              1808  2
xt_TCPMSS               2560  0
ipt_LOG                 6160  0
xt_comment               400  0
xt_multiport            1104  0
xt_mac                   528  0
xt_limit                 944  1
iptable_mangle           832  1
iptable_filter           592  1
ip_tables               8864  4 iptable_nat,iptable_raw,iptable_mangle,iptable_filter
xt_tcpudp               1632  3
x_tables                9984 18 ipt_MASQUERADE,iptable_nat,xt_conntrack,xt_CT,xt_NOTRACK,iptable_raw,xt_state,ipt_REJECT,xt_TCPMSS,ipt_LOG,xt_comment,xt_multiport,xt_mac,xt_limit,iptable_mangle,iptable_filter,ip_tables,xt_tcpudp
ppp_async               5952  0
ppp_generic            18848  3 pppoe,pppox,ppp_async
slhc                    4368  1 ppp_generic
ath9k                  85472  0
ath9k_common            1152  1 ath9k
ath9k_hw              316864  2 ath9k,ath9k_common
ath                    14320  3 ath9k,ath9k_common,ath9k_hw
mac80211              252240  1 ath9k
usbcore                99200  4 ohci_hcd,ledtrig_usbdev,ehci_hcd
usb_common               480  1 usbcore
nls_base                4640  1 usbcore
crc_ccitt                944  1 ppp_async
cfg80211              153696  3 ath9k,ath,mac80211
compat                  5776  5 ath9k,ath9k_common,ath9k_hw,mac80211,cfg80211
arc4                     768  2
aes_generic            29808  5
crypto_algapi           9200  2 arc4,aes_generic
ledtrig_timer           1072  0
ledtrig_default_on       416  0
leds_gpio               1552  0
gpio_button_hotplug     3184  0

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang:  0
Baseband Watchdog: 22
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  1
      PLL RX Hang:  0
config wifi-device 'radio0'
        option type 'mac80211'
        option channel '11'
        option macaddr '64:70:02:bd:fc:a8'
        option hwmode '11ng'
        list ht_capab 'LDPC'
        list ht_capab 'SHORT-GI-20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'TX-STBC'
        list ht_capab 'RX-STBC1'
        list ht_capab 'DSSS_CCK-40'
        option htmode 'HT40-'
        option country 'CZ'
        option txpower '20'
        option disabled '0'

comment:35 Changed 4 years ago by anonymous

OK when I changed HTMODE to HT20 it's not crashing now...interesting.

comment:36 Changed 4 years ago by Christophe <christophe@…>

Hi, wireless completely froze on a TL-WR1043ND running r35174 a couple of days ago.

ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
[...]
config wifi-device 'radio0'
	option type 'mac80211'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'DSSS_CCK-40'
	option diversity '1'
	option hwmode '11ng'
	option distance '100'
	option channel '10'
	option country 'DE'
	option txpower '17'
	option beacon_int '500'
	option basic_rate '6000'
	option htmode 'HT40-'

config wifi-iface 'radio0_iface'
	option device 'radio0'
	option encryption 'none'
	option mode 'adhoc'
	option network 'wireless0'

comment:37 Changed 4 years ago by stinger2k

The same problem here on WR1043ND and WDR4300...

SPOILER
[ 0.000000] Linux version 3.3.8 (derdigge@skynet) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #3 Sat Jan 26 12:29:58 CET 2013
[ 0.000000] MyLoader: sysp=4b1bf7b5, boardp=9002c600, parts=6bde8914
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[ 0.000000] SoC: Atheros AR9344 rev 2
[ 0.000000] Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 08000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone PFN ranges:
[ 0.000000] Normal 0x00000000 -> 0x00008000
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] Early memory PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x00008000
[ 0.000000] On node 0 totalpages: 32768
[ 0.000000] free_area_init_node: node 0, pgdat 802f1100, node_mem_map 81000000
[ 0.000000] Normal zone: 256 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 32512 pages, LIFO batch:7
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 32512
[ 0.000000] Kernel command line: board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[ 0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[ 0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[ 0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[ 0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 126464k/131072k available (2210k kernel code, 4608k reserved, 419k data, 212k init, 0k highmem)
[ 0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:51
[ 0.000000] Calibrating delay loop... 278.93 BogoMIPS (lpj=1394688)
[ 0.070000] pid_max: default: 32768 minimum: 301
[ 0.070000] Mount-cache hash table entries: 512
[ 0.080000] NET: Registered protocol family 16
[ 0.080000] gpiochip_add: registered GPIOs 0 to 22 on device: ath79
[ 0.090000] MIPS: machine is TP-LINK TL-WDR3600/4300/4310
[ 0.090000] registering PCI controller with io_map_base unset
[ 0.310000] bio: create slab <bio-0> at 0
[ 0.310000] PCI host bridge to bus 0000:00
[ 0.320000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[ 0.320000] pci_bus 0000:00: root bus resource [io 0x0000]
[ 0.330000] pci 0000:00:00.0: [168c:0033] type 0 class 0x000280
[ 0.330000] pci 0000:00:00.0: invalid calibration data
[ 0.330000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x0001ffff 64bit]
[ 0.330000] pci 0000:00:00.0: reg 30: [mem 0x00000000-0x0000ffff pref]
[ 0.330000] pci 0000:00:00.0: supports D1
[ 0.330000] pci 0000:00:00.0: PME# supported from D0 D1 D3hot
[ 0.330000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
[ 0.340000] pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
[ 0.340000] pci 0000:00:00.0: using irq 40 for pin 1
[ 0.350000] Switching to clocksource MIPS
[ 0.350000] NET: Registered protocol family 2
[ 0.360000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[ 0.360000] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[ 0.370000] TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.370000] TCP: Hash tables configured (established 4096 bind 4096)
[ 0.380000] TCP reno registered
[ 0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.390000] NET: Registered protocol family 1
[ 0.400000] PCI: CLS 0 bytes, default 32
[ 0.410000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.420000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.430000] msgmni has been set to 247
[ 0.430000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
[ 0.440000] io scheduler noop registered
[ 0.440000] io scheduler deadline registered (default)
[ 0.450000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 0.480000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[ 0.490000] console [ttyS0] enabled, bootconsole disabled
[ 0.500000] m25p80 spi0.0: found s25fl064k, expected m25p80
[ 0.500000] m25p80 spi0.0: s25fl064k (8192 Kbytes)
[ 0.510000] 5 tp-link partitions found on MTD device spi0.0
[ 0.520000] Creating 5 MTD partitions on "spi0.0":
[ 0.520000] 0x000000000000-0x000000020000 : "u-boot"
[ 0.530000] 0x000000020000-0x000000109c34 : "kernel"
[ 0.530000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.550000] 0x000000109c34-0x0000007f0000 : "rootfs"
[ 0.550000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.570000] mtd: partition "rootfs" set to be root filesystem
[ 0.570000] mtd: partition "rootfs_data" created automatically, ofs=440000, len=3B0000
[ 0.580000] 0x000000440000-0x0000007f0000 : "rootfs_data"
[ 0.590000] 0x0000007f0000-0x000000800000 : "art"
[ 0.590000] 0x000000020000-0x0000007f0000 : "firmware"
[ 0.730000] ag71xx_mdio: probed
[ 0.730000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[ 1.310000] eth0: Atheros AR8327 switch driver attached.
[ 2.470000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
[ 2.490000] TCP cubic registered
[ 2.490000] NET: Registered protocol family 17
[ 2.490000] Bridge firewalling registered
[ 2.500000] 8021q: 802.1Q VLAN Support v1.8
[ 2.510000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[ 2.510000] Freeing unused kernel memory: 212k freed
[ 4.140000] Registered led device: tp-link:blue:qss
[ 4.140000] Registered led device: tp-link:blue:system
[ 4.150000] Registered led device: tp-link:green:usb1
[ 4.150000] Registered led device: tp-link:green:usb2
[ 4.150000] Registered led device: tp-link:blue:wlan2g
[ 5.520000] eth0: link up (1000Mbps/Full duplex)
[ 7.390000] JFFS2 notice: (480) jffs2_build_xattr_subsystem: complete building xattr subsystem, 25 of xdatum (1 unchecked, 24 orphan) and 34 of xref (0 dead, 24 orphan) found.
[ 7.950000] SCSI subsystem initialized
[ 8.180000] usbcore: registered new interface driver usbfs
[ 8.180000] usbcore: registered new interface driver hub
[ 8.190000] usbcore: registered new device driver usb
[ 8.600000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 8.610000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[ 8.620000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[ 8.660000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[ 8.680000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[ 8.680000] hub 1-0:1.0: USB hub found
[ 8.690000] hub 1-0:1.0: 1 port detected
[ 8.770000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 8.820000] Initializing USB Mass Storage driver...
[ 8.820000] usbcore: registered new interface driver usb-storage
[ 8.830000] USB Mass Storage support registered.
[ 9.070000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[ 9.220000] hub 1-1:1.0: USB hub found
[ 9.220000] hub 1-1:1.0: 4 ports detected
[ 9.510000] usb 1-1.1: new full-speed USB device number 3 using ehci-platform
[ 9.710000] usb 1-1.2: new high-speed USB device number 4 using ehci-platform
[ 9.820000] scsi0 : usb-storage 1-1.2:1.0
[ 10.820000] scsi 0:0:0:0: Direct-Access USB_DISK USB_DISK 2.00 PQ: 0 ANSI: 0
[ 10.830000] sd 0:0:0:0: [sda] 7816192 512-byte logical blocks: (4.00 GB/3.72 GiB)
[ 10.830000] sd 0:0:0:0: [sda] Write Protect is off
[ 10.840000] sd 0:0:0:0: [sda] Mode Sense: 03 00 00 00
[ 10.840000] sd 0:0:0:0: [sda] No Caching mode page present
[ 10.850000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[ 10.860000] sd 0:0:0:0: [sda] No Caching mode page present
[ 10.860000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[ 10.870000] sda: sda1 sda2 sda3
[ 10.880000] sd 0:0:0:0: [sda] No Caching mode page present
[ 10.880000] sd 0:0:0:0: [sda] Assuming drive cache: write through
[ 10.890000] sd 0:0:0:0: [sda] Attached SCSI removable disk
[ 29.610000] EXT4-fs (sda1): recovery complete
[ 29.610000] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: barrier=1,data=ordered
[ 29.890000] eth0: link down
[ 30.360000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[ 30.370000] Backport based on wireless-testing.git master-2012-09-07
[ 30.370000] compat.git: wireless-testing.git
[ 30.410000] cfg80211: Calling CRDA to update world regulatory domain
[ 30.420000] cfg80211: World regulatory domain updated:
[ 30.430000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 30.430000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.440000] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 30.450000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 30.460000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.470000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.800000] ath: EEPROM regdomain: 0x0
[ 30.800000] ath: EEPROM indicates default country code should be used
[ 30.800000] ath: doing EEPROM country->regdmn map search
[ 30.800000] ath: country maps to regdmn code: 0x3a
[ 30.800000] ath: Country alpha2 being used: US
[ 30.800000] ath: Regpair used: 0x3a
[ 30.800000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[ 30.800000] Registered led device: ath9k-phy0
[ 30.800000] ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
[ 30.810000] PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
[ 30.820000] ath: EEPROM regdomain: 0x0
[ 30.820000] ath: EEPROM indicates default country code should be used
[ 30.820000] ath: doing EEPROM country->regdmn map search
[ 30.820000] ath: country maps to regdmn code: 0x3a
[ 30.820000] ath: Country alpha2 being used: US
[ 30.820000] ath: Regpair used: 0x3a
[ 30.820000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[ 30.820000] Registered led device: ath9k-phy1
[ 30.820000] ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
[ 30.830000] cfg80211: Calling CRDA for country: US
[ 30.840000] cfg80211: Regulatory domain changed to country: US
[ 30.850000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 30.850000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[ 30.860000] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[ 30.870000] cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.880000] cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.890000] cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 30.890000] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[ 31.030000] RPC: Registered named UNIX socket transport module.
[ 31.030000] RPC: Registered udp transport module.
[ 31.040000] RPC: Registered tcp transport module.
[ 31.040000] RPC: Registered tcp NFSv4.1 backchannel transport module.
[ 31.110000] PPP generic driver version 2.4.2
[ 31.140000] tun: Universal TUN/TAP device driver, 1.6
[ 31.140000] tun: (C) 1999-2004 Max Krasnyansky <maxk@…>
[ 31.200000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 31.320000] NET: Registered protocol family 24
[ 31.380000] nf_conntrack version 0.5.0 (1979 buckets, 7916 max)
[ 31.670000] xt_time: kernel timezone is -0000
[ 31.900000] usbcore: registered new interface driver usbserial
[ 31.900000] USB Serial support registered for generic
[ 31.910000] usbcore: registered new interface driver usbserial_generic
[ 31.910000] usbserial: USB Serial Driver core
[ 31.960000] USB Serial support registered for FTDI USB Serial Device
[ 31.970000] ftdi_sio 1-1.1:1.0: FTDI USB Serial Device converter detected
[ 31.980000] usb 1-1.1: Detected FT232RL
[ 31.980000] usb 1-1.1: Number of endpoints 2
[ 31.990000] usb 1-1.1: Endpoint 1 MaxPacketSize 16384
[ 31.990000] usb 1-1.1: Endpoint 2 MaxPacketSize 16384
[ 32.000000] usb 1-1.1: Setting MaxPacketSize 64
[ 32.000000] usb 1-1.1: FTDI USB Serial Device converter now attached to ttyUSB0
[ 32.010000] usbcore: registered new interface driver ftdi_sio
[ 32.020000] ftdi_sio: v1.6.0:USB FTDI Serial Converters Driver
[ 34.280000] device eth0.1 entered promiscuous mode
[ 34.280000] device eth0 entered promiscuous mode
[ 35.840000] eth0: link up (1000Mbps/Full duplex)
[ 35.860000] br-lan: port 1(eth0.1) entered forwarding state
[ 35.860000] br-lan: port 1(eth0.1) entered forwarding state
[ 37.860000] br-lan: port 1(eth0.1) entered forwarding state
[ 41.180000] device wlan0 entered promiscuous mode
[ 41.610000] br-lan: port 2(wlan0) entered forwarding state
[ 41.620000] br-lan: port 2(wlan0) entered forwarding state
[ 42.600000] EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: barrier=1,data=ordered
[ 42.960000] Adding 761340k swap on /dev/sda3. Priority:-1 extents:1 across:761340k
[ 43.620000] br-lan: port 2(wlan0) entered forwarding state
[ 45.420000] br-lan: port 2(wlan0) entered disabled state
[ 46.020000] wlan0-1: authenticate with c0:25:06:da:28:00
[ 46.040000] wlan0-1: send auth to c0:25:06:da:28:00 (try 1/3)
[ 46.040000] wlan0-1: authenticated
[ 46.080000] wlan0-1: associate with c0:25:06:da:28:00 (try 1/3)
[ 46.090000] wlan0-1: RX AssocResp from c0:25:06:da:28:00 (capab=0x431 status=0 aid=3)
[ 46.090000] wlan0-1: associated
[ 46.740000] br-lan: port 2(wlan0) entered forwarding state
[ 46.750000] br-lan: port 2(wlan0) entered forwarding state
[ 48.750000] br-lan: port 2(wlan0) entered forwarding state
[ 76.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 281.460000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[17823.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[18705.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[20925.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[23237.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[25166.550000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[26660.780000] wlan0-1: authenticate with c0:25:06:da:28:00
[26660.800000] wlan0-1: send auth to c0:25:06:da:28:00 (try 1/3)
[26660.920000] wlan0-1: authenticated
[26660.940000] wlan0-1: associate with c0:25:06:da:28:00 (try 1/3)
[26661.010000] br-lan: port 2(wlan0) entered disabled state
[26661.030000] wlan0-1: RX AssocResp from c0:25:06:da:28:00 (capab=0x431 status=0 aid=2)
[26661.040000] wlan0-1: associated
[26661.080000] br-lan: port 2(wlan0) entered forwarding state
[26661.090000] br-lan: port 2(wlan0) entered forwarding state
[26663.090000] br-lan: port 2(wlan0) entered forwarding state
[26676.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[40023.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[43228.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[46236.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[48399.320000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[49430.250000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[49788.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
SPOILER

comment:38 Changed 4 years ago by anonymous

Same problem here using TL-MR3020 and r35572.
It's receiving data, but not transmitting.

[ 281.060000] ath: phy0: Failed to stop TX DMA, queues=0x001!

comment:39 follow-up: Changed 4 years ago by sharkys

Is even anyone trying to fix it ?

comment:40 in reply to: ↑ 39 Changed 4 years ago by anonymous

Replying to sharkys:

Is even anyone trying to fix it ?

Probably everybody are waiting to other party to fix it. The page "Table of Hardware" in OpenWrt is nice, anybody can check if installation of OpenWrt is possible on which model. But there is some Ranking System missing. That should track also at least stability to make life easier for us, OpenWrt-ers and pushing manufacturers of chips and routers to shift their resources not only to advertising but to development as well. It is weird that Atheros and TP-Link does not care for us while they know that their firmware will never achieve functionality like OpenWrt. I would like to help and not only use OpenWrt for free but my ability ends here. Until now is not clear if the problem is in chipset itself or it is in integration in TP-Link product (wrong hardware interrupt implementation ?) or in driver. Shame on them.

comment:41 Changed 4 years ago by kovacsrobi@…

Hi!

Good news!

Using TL-MR3020 router and
http://downloads.openwrt.org/attitude_adjustment/12.09-rc1/ar71xx/generic/openwrt-ar71xx-generic-tl-mr3020-v1-squashfs-factory.bin
firmware.
Client and master wifi connect work perfectly with this firmware!!!

comment:42 Changed 4 years ago by Stinger2k

Please do following for working corrections:

SSH to your Router with "Putty" or something like that....then type in

uci set wireless.radio0.noscan=1
uci commit
reboot

This is working for me on WR1043ND and WDR4300 (different Atheros Chipsets)

comment:43 Changed 4 years ago by nbd

please try r35786 or newer

comment:44 Changed 4 years ago by rene.reineke@…

nbd, thanks for trying to fix it!
The update you mentioned fixed for me the other popular error "Rate marked as an HT rate but passed status->rate_idx is not an MCS index"
but NOW I am receiving the "failed to stop tx dma" error instead.

Using this mornings snapshot.

[ 5826.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 6812.580000] ath: phy0: Failed to stop TX DMA, queues=0x005!

comment:45 Changed 4 years ago by rene.reineke@…

Addition: I am using WR1043ND and apparently today's snapshot is still r35770, so please disregard my previous comment.

comment:46 Changed 4 years ago by fzipi@…

Using release: r35786 with patches from nbd.

[ 9524.850000] ------------[ cut here ]------------
[ 9524.850000] WARNING: at /home/openwrt/attitude_adjustment/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c59fd0()
[ 9524.870000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[ 9524.880000] Modules linked in: ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base cfg80211(O) compat(O) arc4 aes_generic wprobe(O) crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[ 9524.930000] Call Trace:[<80264d4c>] 0x80264d4c
[ 9524.930000] [<80264d4c>] 0x80264d4c
[ 9524.940000] [<80071a0c>] 0x80071a0c
[ 9524.940000] [<80c59fd0>] 0x80c59fd0
[ 9524.950000] [<80071ac0>] 0x80071ac0
[ 9524.950000] [<80c59fd0>] 0x80c59fd0
[ 9524.950000] [<801d9340>] 0x801d9340
[ 9524.960000] [<801da760>] 0x801da760
[ 9524.960000] [<80c06d44>] 0x80c06d44
[ 9524.960000] [<8009c608>] 0x8009c608
[ 9524.970000] [<80160c04>] 0x80160c04
[ 9524.970000] [<80c04f98>] 0x80c04f98
[ 9524.970000] [<80076af0>] 0x80076af0
[ 9524.980000] [<80077014>] 0x80077014
[ 9524.980000] [<802f0000>] 0x802f0000
[ 9524.980000] [<802f0000>] 0x802f0000
[ 9524.990000] [<80077220>] 0x80077220
[ 9524.990000] [<802f0000>] 0x802f0000
[ 9524.990000] [<800630ec>] 0x800630ec
[ 9525.000000] [<800a84c0>] 0x800a84c0
[ 9525.000000] [<80077454>] 0x80077454
[ 9525.010000] [<800630ec>] 0x800630ec
[ 9525.010000] [<800632c0>] 0x800632c0
[ 9525.010000] [<802f0000>] 0x802f0000
[ 9525.020000] [<80095210>] 0x80095210
[ 9525.020000] [<800a8160>] 0x800a8160
[ 9525.020000] [<80064b28>] 0x80064b28
[ 9525.030000] [<800632e0>] 0x800632e0
[ 9525.030000] [<802cf8b0>] 0x802cf8b0
[ 9525.030000] [<802cf0dc>] 0x802cf0dc
[ 9525.040000] 
[ 9525.040000] ---[ end trace 003424277156b720 ]---
[36857.400000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[37103.510000] ath: phy0: Failed to stop TX DMA, queues=0x008!

comment:47 Changed 4 years ago by nbd

please try trunk instead of AA.

comment:48 Changed 4 years ago by Anton <anton.bugs@…>

I've downloaded the latest snapshot dated as 26th, and here is the updated message:
[44138.780000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[44138.790000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

However, the router seems functional after that failure
FYI, dd-wrt (the official) firmware seems having the same problem:
http://dd-wrt.com/wiki/index.php/Buffalo_WZR-HP-G300NH#Fix_for_WiFi_Dropouts

comment:49 Changed 4 years ago by rene.reineke@…

Using r35819, I receive the following on 1043ND

  1. Lots of these
    [20177.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20177.740000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
    [20177.750000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
    [20178.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20178.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20178.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20178.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20179.250000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20179.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20179.820000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20180.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20180.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    [20180.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
    and more..
    

and 2. some of these

[61287.370000] WARNING: at /ramdisk/openwrt/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[61287.380000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[61287.390000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[61287.450000] Call Trace:
[61287.450000] [<80070408>] dump_stack+0x8/0x34
[61287.460000] [<80078e54>] warn_slowpath_common+0x78/0xa4
[61287.460000] [<80078f08>] warn_slowpath_fmt+0x2c/0x38
[61287.470000] [<80d9bbc8>] ieee80211_rx+0x134/0x808 [mac80211]
[61287.480000] [<80ce6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[61287.480000] [<80ce439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[61287.490000] [<8008038c>] tasklet_action+0x78/0xc8
[61287.490000] [<8007fbdc>] __do_softirq+0xb0/0x184
[61287.500000] [<8007fd60>] do_softirq+0x48/0x68
[61287.500000] [<8007ff7c>] irq_exit+0x4c/0x7c
[61287.500000] [<8006082c>] ret_from_irq+0x0/0x4
[61287.510000] [<80060a40>] r4k_wait+0x20/0x40
[61287.510000] [<8006dcb4>] cpu_idle+0x30/0x60
[61287.520000] [<803248ec>] start_kernel+0x364/0x384
[61287.520000] 
[61287.520000] ---[ end trace 10332157ae33ab74 ]---
[70072.540000] ------------[ cut here ]------------
[70072.540000] WARNING: at /ramdisk/openwrt/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[70072.560000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[70072.570000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[70072.630000] Call Trace:
[70072.630000] [<80070408>] dump_stack+0x8/0x34
[70072.640000] [<80078e54>] warn_slowpath_common+0x78/0xa4
[70072.640000] [<80078f08>] warn_slowpath_fmt+0x2c/0x38
[70072.650000] [<80d9bbc8>] ieee80211_rx+0x134/0x808 [mac80211]
[70072.650000] [<80ce6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[70072.660000] [<80ce439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[70072.660000] [<8008038c>] tasklet_action+0x78/0xc8
[70072.670000] [<8007fbdc>] __do_softirq+0xb0/0x184
[70072.670000] [<8007fd60>] do_softirq+0x48/0x68
[70072.680000] [<8007ff7c>] irq_exit+0x4c/0x7c
[70072.680000] [<8006082c>] ret_from_irq+0x0/0x4
[70072.690000] [<80060a40>] r4k_wait+0x20/0x40
[70072.690000] [<8006dcb4>] cpu_idle+0x30/0x60
[70072.690000] [<803248ec>] start_kernel+0x364/0x384
[70072.700000] 
[70072.700000] ---[ end trace 10332157ae33ab75 ]---

Thanks for your continuous efforts to let OpenWrt run smoothly on our devices. Much appreciated!

comment:50 Changed 4 years ago by fzipi@…

Using trunk, revision r35820.

[ 7316.520000] ath: phy0: Failed to stop TX DMA, queues=0x00c!

and

[ 8208.360000] ------------[ cut here ]------------
[ 8208.360000] WARNING: at /home/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 0x80d1bbc8()
[ 8208.380000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[ 8208.390000] Modules linked in: ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base cfg80211(O) compat(O) arc4 crypto_blkcipher aead wprobe(O) ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[ 8208.440000] Call Trace:[<8006fe0c>] 0x8006fe0c
[ 8208.440000] [<8006fe0c>] 0x8006fe0c
[ 8208.450000] [<80d1bbc8>] 0x80d1bbc8
[ 8208.450000] [<80078a10>] 0x80078a10
[ 8208.450000] [<80d1bbc8>] 0x80d1bbc8
[ 8208.460000] [<80078ac4>] 0x80078ac4
[ 8208.460000] [<80d1bbc8>] 0x80d1bbc8
[ 8208.470000] [<801ea994>] 0x801ea994
[ 8208.470000] [<8009bd04>] 0x8009bd04
[ 8208.470000] [<80d66854>] 0x80d66854
[ 8208.480000] [<800a4fd0>] 0x800a4fd0
[ 8208.480000] [<8009672c>] 0x8009672c
[ 8208.480000] [<80d64398>] 0x80d64398
[ 8208.490000] [<8007ff08>] 0x8007ff08
[ 8208.490000] [<8007f760>] 0x8007f760
[ 8208.490000] [<8007f8e4>] 0x8007f8e4
[ 8208.500000] [<800b17e4>] 0x800b17e4
[ 8208.500000] [<8006082c>] 0x8006082c
[ 8208.500000] [<8007fb00>] 0x8007fb00
[ 8208.510000] [<8006082c>] 0x8006082c
[ 8208.510000] [<80060a20>] 0x80060a20
[ 8208.510000] [<8009de94>] 0x8009de94
[ 8208.520000] [<8006d9ac>] 0x8006d9ac
[ 8208.520000] [<80060a40>] 0x80060a40
[ 8208.530000] [<802d78e8>] 0x802d78e8
[ 8208.530000] [<802d72a4>] 0x802d72a4
[ 8208.530000] 
[ 8208.530000] ---[ end trace b233f4bf11e631e7 ]---

Thanks nbd!

comment:51 Changed 4 years ago by anonymous

Hi. I've two Alix boards (running Generic x86 "trunk R35840"), each of them have a Atheros AR9220 controlling WiFi card (MikroTik) with kmod-ath and kmod-ath9k included in image created by "make", Ad-Hoc configured between them, running ping everything ok, one of the boards crash when performing iperf to other via WiFi, then SSH and LuCI not avaliable in crashed board, the other continues to work. The board which crashes is random.
The crashed board VGA output (when launching iperf till crash) :

.
.
.
[   264.696515] ath: phy0: Failed to stop TX DMA, queues=0x004!
[   264.725728] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_S
W=0x42000020 DMADBG_7=0x000062c0
[   264.755549] ath: phy0: Could not stop RX, we could be confusing the DMA engin
e when we start RX up
[   264.805200] ath: phy0: Failed to stop TX DMA, queues=0x004!
#last message repeated 12 times till crash at [   276.830654]

With 12.00-rc1 I can run iperf without issues.

Thanks

comment:52 Changed 4 years ago by bjo@…

Issue still exists with patches from 35786 on TPLINK WR741ND:
http://pastie.org/6371359

comment:53 Changed 4 years ago by Anonymous

Using build r35896

[ 2096.250000] WARNING: at /home/fnord/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[ 2096.270000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[ 2096.280000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[ 2096.340000] Call Trace:
[ 2096.340000] [<8006de24>] dump_stack+0x8/0x34
[ 2096.350000] [<800766d0>] warn_slowpath_common+0x78/0xa4
[ 2096.350000] [<80076784>] warn_slowpath_fmt+0x2c/0x38
[ 2096.360000] [<80d9bc08>] ieee80211_rx+0x134/0x808 [mac80211]
[ 2096.360000] [<80de6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[ 2096.370000] [<80de439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[ 2096.380000] [<8007d9f0>] tasklet_action+0x78/0xc8
[ 2096.380000] [<8007d240>] __do_softirq+0xb0/0x184
[ 2096.390000] [<8007d3c4>] do_softirq+0x48/0x68
[ 2096.390000] [<8007d5e0>] irq_exit+0x4c/0x7c
[ 2096.390000] [<8006082c>] ret_from_irq+0x0/0x4
[ 2096.400000] [<80060a60>] r4k_wait+0x20/0x40
[ 2096.400000] [<8006b7d4>] cpu_idle+0x30/0x60
[ 2096.410000] [<8032d8ec>] start_kernel+0x364/0x384
[ 2096.410000] 
[ 2096.410000] ---[ end trace 1949f648d3b556c7 ]---

I have configured the device to provide one SSID with 40 Mhz/mac-filter and ht_override and another SSID with WPA security -- if case that helps

Cheers and thanks for your help

comment:54 Changed 4 years ago by alphasparc@…

(Attitude Adjustment, r35864)
Channel 7
no scan 1
HT40-

[144402.910000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[144405.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[148070.970000] ------------[ cut here ]------------
[148070.970000] WARNING: at /home/user/openwrt/TL-WR1043ND/attitude_adjustment/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x83199e08()
[148070.990000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[148071.000000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb option usb_wwan ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda usbserial usblp ath79_wdt ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6_queue ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 xt_ipp2p(O) nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 compat_xtables(O) ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes l2tp_ppp pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ip_gre gre sit l2tp_netlink l2tp_core tunnel4 ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) nls_utf8 mac80211(O) ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 aes_generic usb_storage ohci_hcd ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O) [last unloaded: ifb]
[148071.150000] Call Trace:[<8026673c>] 0x8026673c
[148071.160000] [<8026673c>] 0x8026673c
[148071.160000] [<800719bc>] 0x800719bc
[148071.160000] [<83199e08>] 0x83199e08
[148071.170000] [<80071a70>] 0x80071a70
[148071.170000] [<83199e08>] 0x83199e08
[148071.170000] [<82c226f8>] 0x82c226f8
[148071.180000] [<801d60a8>] 0x801d60a8
[148071.180000] [<801d74cc>] 0x801d74cc
[148071.190000] [<83086330>] 0x83086330
[148071.190000] [<83004c48>] 0x83004c48
[148071.190000] [<830845bc>] 0x830845bc
[148071.200000] [<80076aa0>] 0x80076aa0
[148071.200000] [<80076fc4>] 0x80076fc4
[148071.200000] [<802f0000>] 0x802f0000
[148071.210000] [<802f0000>] 0x802f0000
[148071.210000] [<800771d0>] 0x800771d0
[148071.220000] [<800a8200>] 0x800a8200
[148071.220000] [<80077404>] 0x80077404
[148071.220000] [<800630ec>] 0x800630ec
[148071.230000] [<800632c0>] 0x800632c0
[148071.230000] [<802f0000>] 0x802f0000
[148071.230000] [<80094f90>] 0x80094f90
[148071.240000] [<80064b28>] 0x80064b28
[148071.240000] [<800632e0>] 0x800632e0
[148071.240000] [<802cf8b0>] 0x802cf8b0
[148071.250000] [<802cf0dc>] 0x802cf0dc
[148071.250000] 
[148071.250000] ---[ end trace adf0f3b0b2ec5ff6 ]---

comment:55 Changed 4 years ago by nbd

Please try latest trunk

comment:56 Changed 4 years ago by bjo@…

Could the changes be backported to AA?

comment:57 Changed 4 years ago by fzipi@…

Using trunk, revision r36051.

[ 561.470000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 1388.490000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 3902.880000] ------------[ cut here ]------------
[ 3902.880000] WARNING: at /home/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[ 3902.900000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[ 3902.910000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[ 3902.970000] Call Trace:
[ 3902.970000] [<8006ddcc>] dump_stack+0x8/0x34
[ 3902.980000] [<8007668c>] warn_slowpath_common+0x78/0xa4
[ 3902.980000] [<80076740>] warn_slowpath_fmt+0x2c/0x38
[ 3902.990000] [<80d1bc08>] ieee80211_rx+0x134/0x808 [mac80211]
[ 3902.990000] [<80d66854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[ 3903.000000] [<80d6439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[ 3903.000000] [<8007d9ac>] tasklet_action+0x78/0xc8
[ 3903.010000] [<8007d1fc>] do_softirq+0xb0/0x184
[ 3903.010000] [<8007d380>] do_softirq+0x48/0x68
[ 3903.020000] [<8007d59c>] irq_exit+0x4c/0x7c
[ 3903.020000] [<8006082c>] ret_from_irq+0x0/0x4
[ 3903.030000] [<80060a60>] r4k_wait+0x20/0x40
[ 3903.030000] [<8006b77c>] cpu_idle+0x30/0x60
[ 3903.030000] [<8030a8ec>] start_kernel+0x364/0x384
[ 3903.040000]
[ 3903.040000] ---[ end trace bf3c57bb25c32e97 ]---

I can recompile and install versions every week from trunk, but it would be nice to know if there were any changes to this issue at all...

Thanks.

comment:58 Changed 4 years ago by Anonymous

Still the same with r36085

[89462.700000] ------------[ cut here ]------------
[89462.710000] WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[89462.730000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[89462.740000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[89462.800000] Call Trace:
[89462.800000] [<8006de24>] dump_stack+0x8/0x34
[89462.800000] [<800766e4>] warn_slowpath_common+0x78/0xa4
[89462.810000] [<80076798>] warn_slowpath_fmt+0x2c/0x38
[89462.810000] [<80c9bc08>] ieee80211_rx+0x134/0x808 [mac80211]
[89462.820000] [<80ce6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[89462.830000] [<80ce439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[89462.830000] [<8007da04>] tasklet_action+0x78/0xc8
[89462.840000] [<8007d254>] __do_softirq+0xb0/0x184
[89462.840000] [<8007d3d8>] do_softirq+0x48/0x68
[89462.840000] [<8007d5f4>] irq_exit+0x4c/0x7c
[89462.850000] [<8006082c>] ret_from_irq+0x0/0x4
[89462.850000] [<80060a60>] r4k_wait+0x20/0x40
[89462.860000] [<8006b7d4>] cpu_idle+0x30/0x60
[89462.860000] [<8032d8ec>] start_kernel+0x364/0x384
[89462.870000] 
[89462.870000] ---[ end trace 62e66f0c4be80c9c ]---

comment:59 Changed 4 years ago by kovacsrobi@…

TP-LINK WDR-3600
OpenWrt Barrier Breaker r36067

Mar 19 08:53:18 OpenWrt kern.err kernel: [ 99.230000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.050000] ------------[ cut here ]------------
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.050000] WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/chan.c:175 ieee80211_iter_chan_contexts_atomic+0x3a8/0x3fc [mac802
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.070000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.130000] Call Trace:
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.140000] [<8006de24>] dump_stack+0x8/0x34
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.140000] [<800766e4>] warn_slowpath_common+0x78/0xa4
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.150000] [<80076728>] warn_slowpath_null+0x18/0x24
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.150000] [<871252a8>] ieee80211_iter_chan_contexts_atomic+0x3a8/0x3fc [mac80211]
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.160000] [<871257a8>] ieee80211_recalc_smps_chanctx+0x3a0/0x408 [mac80211]
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.170000] [<8712965c>] ieee80211_recalc_ps_vif+0x11bc/0x11f4 [mac80211]
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.170000]
Mar 19 08:53:20 OpenWrt kern.warn kernel: [ 101.180000] ---[ end trace 641271fd79af133b ]---

comment:60 Changed 4 years ago by Anonymous

using r36085 I also got these

[39341.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[40867.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[42475.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[51479.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[52063.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:61 Changed 4 years ago by Luke McKee <hojuruku@…>

using r36141 ditto. What are the ath9k boys up to?

comment:62 Changed 3 years ago by anonymous

It is the same on all the atheros chipsets... It would be nice we can hear anything that anyone is working on this...???

So come on guys, let us know...

comment:63 Changed 3 years ago by hojuruku@…

Tp-wr941n v3 ar9103 and mips 2kc cpu. Luke aka hojuruku

comment:64 Changed 3 years ago by anonymous

I have a wdr3600 working as a wireless repeater that was running great for a while and recently purchased a wdr4300 to be used as the main wireless router physically connected to the FIOS modem/router. After a recent crash where I had to reset the wdr3600 in order to get online again, I checked the kernel log and found the error. I dont know if it was there before or was due to config changes, so no help there really, BUT the wdr4300 does not have that "failed to stop" message. I see on this page, at least some other users reported the wdr4300 had the error. This may mean I have the perfect test scenario.

The one difference is the wdr4300 does not have the need to associate with an AP, so it's wireless radios only act as AP's. I guess further testing needed though.

comment:65 Changed 3 years ago by Enrico Zanolin <enrico@…>

I get the following on

OpenWrt: BARRIER BREAKER (Bleeding Edge, r36156)
Hardware: TP-LINK TL-WR1043ND
CPU: Atheros AR9132 rev 2 MIPS 24Kc V7.4

I was running an older version of OpenWrt before trying the latest to see if it would resolve my issue. I cant remember the revision but It was a stable form a few months back. Upgrading just changed the formatting of the error in dmesg but the error seems to be the same one.

[ 1571.610000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 1572.130000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 1572.680000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 1573.780000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 1574.330000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 3125.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3125.700000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[ 3125.710000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 3125.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3126.250000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 3126.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3126.820000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 3127.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3127.410000] ath: phy0: Failed to stop TX DMA, queues=0x104!

Furthermore this seems to only happen when I try to use MacBooks with the AP. For a While I noticed problem when guests used their macbooks for extended periods but chalked it up to a random error and was happy with a reboot. I recently purchased a macbook and now it happens all the time when I use my macbook. Its definitely triggered by the macbook. The chipset in the mac seems to be a broadcom BRCM43xx branded as an "Airport Extreme". About 30 to 40 mins of heavy usage with this device triggers the issue without fail.

comment:66 Changed 3 years ago by Enrico Zanolin <enrico@…>

As requested by PaulFertser here is a post of "cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset" straight after I lose wireless connectivity for good.

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

None of the values seem to have changed from what they were before the crash.
Running "wifi" usually brings the AP up again without having to reboot.

comment:67 Changed 3 years ago by anonymous

Here is some more info from my logs,

[ 7503.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 7504.450000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 7514.290000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 8762.100000] ------------[ cut here ]------------
[ 8762.100000] WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[ 8762.120000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[ 8762.130000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[ 8762.190000] Call Trace:
[ 8762.190000] [<8006de24>] dump_stack+0x8/0x34
[ 8762.200000] [<800766e4>] warn_slowpath_common+0x78/0xa4
[ 8762.200000] [<80076798>] warn_slowpath_fmt+0x2c/0x38
[ 8762.210000] [<81b9bc08>] ieee80211_rx+0x134/0x808 [mac80211]
[ 8762.210000] [<81b66854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[ 8762.220000] [<81b6439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[ 8762.220000] [<8007da04>] tasklet_action+0x78/0xc8
[ 8762.230000] [<8007d254>] __do_softirq+0xb0/0x184
[ 8762.230000] [<8007d3d8>] do_softirq+0x48/0x68
[ 8762.240000] [<8007d5f4>] irq_exit+0x4c/0x7c
[ 8762.240000] [<8006082c>] ret_from_irq+0x0/0x4
[ 8762.250000] [<80060a60>] r4k_wait+0x20/0x40
[ 8762.250000] [<8006b7d4>] cpu_idle+0x30/0x60
[ 8762.260000] [<8032d8ec>] start_kernel+0x364/0x384
[ 8762.260000] 
[ 8762.260000] ---[ end trace cb9b4cc2b791d287 ]---
[11843.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11843.160000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[11843.170000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[11843.450000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11843.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11843.990000] ath: phy0: Failed to stop TX DMA, queues=0x004!

I see some information related to HT so it may be good for you to know that I am only running on a 20Mhz channel, here is my wireless config

config wifi-device 'radio0'
	option type 'mac80211'
	option macaddr 'f4:ea:3a:78:36:de'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'DSSS_CCK-40'
	option country 'ZA'
	option txpower '20'
	option distance '100'
	option hwmode '11ng'
	option htmode 'HT20'
	option channel '5'

config wifi-iface
	option device 'radio0'
	option mode 'ap'
	option ssid '*******'
	option key '*******'
	option encryption 'psk2+ccmp'
	option network 'guest'

config wifi-iface
	option device 'radio0'
	option mode 'ap'
	option ssid '******'
	option encryption 'psk2'
	option key '******'
	option network 'lan'

comment:68 Changed 3 years ago by anonymous

I would like to highlight one obvious observation by 3 users:

*The issue cased by a wireless client*

It is a different client every time: BB tab, china made android, MacBooks and I suspect my Samsung Tab (still testing).

The bug might become a security issue because it is potentially possible to DoS an Openwrt device by sending that unknown request.

comment:69 Changed 3 years ago by anonymous

Does the original firmware cause the same problem with those buggy clients?

comment:70 Changed 3 years ago by anonymous

Has anything changed with latest 12.09 (rc2) ?

comment:71 Changed 3 years ago by Philipp Strasser

I upgraded my WRT160NL to 12.09 final today and I still get

[ 3790.830000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[ 3790.840000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 3794.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3798.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3800.990000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9774.170000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[ 9774.180000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 9782.630000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9783.160000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9783.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9783.670000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9784.160000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9784.630000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9785.120000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9785.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9787.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9787.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9788.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9790.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9790.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 9799.700000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9800.640000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9801.620000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9802.110000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9802.590000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9804.350000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9805.280000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9806.270000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9806.770000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9808.200000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9809.630000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9810.270000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9812.710000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9813.650000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9814.580000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9816.980000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9817.930000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9818.990000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9819.930000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 9821.140000] ath: phy0: Failed to stop TX DMA, queues=0x100!

and here is a post of "cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset"

  Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

comment:72 Changed 3 years ago by 3I3EPb@…

I upgraded my TL-WD4300 to 12.09 final today and I still get

[    0.000000] Linux version 3.3.8 (blogic@Debian-60-squeeze-64-minimal) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Sat Mar 23 16:49:30 UTC 2013
[    0.000000] MyLoader: sysp=b3a3d853, boardp=492118fc, parts=f35d1cdf
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0001974c (MIPS 74Kc)
[    0.000000] SoC: Atheros AR9344 rev 2
[    0.000000] Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 08000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00008000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00008000
[    0.000000] On node 0 totalpages: 32768
[    0.000000] free_area_init_node: node 0, pgdat 802f1100, node_mem_map 81000000
[    0.000000]   Normal zone: 256 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 32512 pages, LIFO batch:7
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32512
[    0.000000] Kernel command line:  board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 126464k/131072k available (2211k kernel code, 4608k reserved, 418k data, 212k init, 0k highmem)
[    0.000000] SLUB: Genslabs=9, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.000000] Calibrating delay loop... 278.93 BogoMIPS (lpj=1394688)
[    0.070000] pid_max: default: 32768 minimum: 301
[    0.070000] Mount-cache hash table entries: 512
[    0.080000] NET: Registered protocol family 16
[    0.080000] gpiochip_add: registered GPIOs 0 to 22 on device: ath79
[    0.090000] MIPS: machine is TP-LINK TL-WDR3600/4300/4310
[    0.090000] registering PCI controller with io_map_base unset
[    0.310000] bio: create slab <bio-0> at 0
[    0.310000] PCI host bridge to bus 0000:00
[    0.320000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[    0.320000] pci_bus 0000:00: root bus resource [io  0x0000]
[    0.330000] pci 0000:00:00.0: [168c:0033] type 0 class 0x000280
[    0.330000] pci 0000:00:00.0: invalid calibration data
[    0.330000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x0001ffff 64bit]
[    0.330000] pci 0000:00:00.0: reg 30: [mem 0x00000000-0x0000ffff pref]
[    0.330000] pci 0000:00:00.0: supports D1
[    0.330000] pci 0000:00:00.0: PME# supported from D0 D1 D3hot
[    0.330000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
[    0.340000] pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
[    0.340000] pci 0000:00:00.0: using irq 40 for pin 1
[    0.350000] Switching to clocksource MIPS
[    0.350000] NET: Registered protocol family 2
[    0.360000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.360000] TCP established hash table entries: 4096 (order: 3, 32768 bytes)
[    0.370000] TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
[    0.370000] TCP: Hash tables configured (established 4096 bind 4096)
[    0.380000] TCP reno registered
[    0.380000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.390000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.390000] NET: Registered protocol family 1
[    0.400000] PCI: CLS 0 bytes, default 32
[    0.410000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.420000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.430000] msgmni has been set to 247
[    0.430000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
[    0.440000] io scheduler noop registered
[    0.440000] io scheduler deadline registered (default)
[    0.450000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.480000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.490000] console [ttyS0] enabled, bootconsole disabled
[    0.500000] m25p80 spi0.0: found s25fl064k, expected m25p80
[    0.510000] m25p80 spi0.0: s25fl064k (8192 Kbytes)
[    0.510000] 5 tp-link partitions found on MTD device spi0.0
[    0.520000] Creating 5 MTD partitions on "spi0.0":
[    0.520000] 0x000000000000-0x000000020000 : "u-boot"
[    0.530000] 0x000000020000-0x000000109d54 : "kernel"
[    0.530000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.550000] 0x000000109d54-0x0000007f0000 : "rootfs"
[    0.550000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.570000] mtd: partition "rootfs" set to be root filesystem
[    0.570000] mtd: partition "rootfs_data" created automatically, ofs=2E0000, len=510000 
[    0.580000] 0x0000002e0000-0x0000007f0000 : "rootfs_data"
[    0.590000] 0x0000007f0000-0x000000800000 : "art"
[    0.590000] 0x000000020000-0x0000007f0000 : "firmware"
[    0.730000] ag71xx_mdio: probed
[    0.730000] eth0: Atheros AG71xx at 0xb9000000, irq 4
[    1.310000] eth0: Atheros AR8327 switch driver attached.
[    2.470000] ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
[    2.490000] TCP cubic registered
[    2.490000] NET: Registered protocol family 17
[    2.490000] Bridge firewalling registered
[    2.500000] 8021q: 802.1Q VLAN Support v1.8
[    2.510000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    2.510000] Freeing unused kernel memory: 212k freed
[    4.090000] Registered led device: tp-link:blue:qss
[    4.090000] Registered led device: tp-link:blue:system
[    4.090000] Registered led device: tp-link:green:usb1
[    4.090000] Registered led device: tp-link:green:usb2
[    4.090000] Registered led device: tp-link:blue:wlan2g
[    5.470000] eth0: link up (1000Mbps/Full duplex)
[    7.360000] JFFS2 notice: (481) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 13 of xref (0 dead, 3 orphan) found.
[    7.530000] eth0: link down
[    8.970000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[    8.980000] Backport based on wireless-testing.git master-2012-09-07
[    8.990000] compat.git: wireless-testing.git
[    9.020000] cfg80211: Calling CRDA to update world regulatory domain
[    9.020000] cfg80211: World regulatory domain updated:
[    9.030000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    9.040000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.040000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.050000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    9.060000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.070000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.380000] usbcore: registered new interface driver usbfs
[    9.380000] usbcore: registered new interface driver hub
[    9.390000] usbcore: registered new device driver usb
[    9.820000] ath: EEPROM regdomain: 0x0
[    9.820000] ath: EEPROM indicates default country code should be used
[    9.820000] ath: doing EEPROM country->regdmn map search
[    9.820000] ath: country maps to regdmn code: 0x3a
[    9.820000] ath: Country alpha2 being used: US
[    9.820000] ath: Regpair used: 0x3a
[    9.830000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[    9.830000] Registered led device: ath9k-phy0
[    9.830000] ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
[    9.830000] PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
[    9.850000] ath: EEPROM regdomain: 0x0
[    9.850000] ath: EEPROM indicates default country code should be used
[    9.850000] ath: doing EEPROM country->regdmn map search
[    9.850000] ath: country maps to regdmn code: 0x3a
[    9.850000] ath: Country alpha2 being used: US
[    9.850000] ath: Regpair used: 0x3a
[    9.850000] ieee80211 phy1: Selected rate control algorithm 'minstrel_ht'
[    9.850000] Registered led device: ath9k-phy1
[    9.850000] ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
[    9.860000] cfg80211: Calling CRDA for country: US
[    9.860000] cfg80211: Regulatory domain changed to country: US
[    9.870000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    9.880000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[    9.880000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[    9.890000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.900000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.910000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    9.920000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[    9.970000] PPP generic driver version 2.4.2
[   10.010000] tun: Universal TUN/TAP device driver, 1.6
[   10.010000] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   10.210000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   10.390000] NET: Registered protocol family 24
[   10.410000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   10.410000] ehci-platform ehci-platform: Generic Platform EHCI Controller
[   10.420000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[   10.460000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[   10.480000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[   10.480000] hub 1-0:1.0: USB hub found
[   10.490000] hub 1-0:1.0: 1 port detected
[   10.510000] nf_conntrack version 0.5.0 (1979 buckets, 7916 max)
[   10.800000] xt_time: kernel timezone is -0000
[   10.810000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[   10.960000] hub 1-1:1.0: USB hub found
[   10.960000] hub 1-1:1.0: 4 ports detected
[   10.990000] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   14.020000] device eth0.1 entered promiscuous mode
[   14.020000] device eth0 entered promiscuous mode
[   14.050000] device eth0.2 entered promiscuous mode
[   14.060000] device eth0.3 entered promiscuous mode
[   14.710000] eth0: link up (1000Mbps/Full duplex)
[   14.740000] br-lan: port 1(eth0.1) entered forwarding state
[   14.740000] br-lan: port 1(eth0.1) entered forwarding state
[   14.750000] br-wan: port 1(eth0.2) entered forwarding state
[   14.750000] br-wan: port 1(eth0.2) entered forwarding state
[   14.780000] br-wan: port 2(eth0.3) entered forwarding state
[   14.780000] br-wan: port 2(eth0.3) entered forwarding state
[   16.740000] br-lan: port 1(eth0.1) entered forwarding state
[   16.750000] br-wan: port 1(eth0.2) entered forwarding state
[   16.780000] br-wan: port 2(eth0.3) entered forwarding state
[   20.730000] cfg80211: Calling CRDA for country: GE
[   20.740000] cfg80211: Regulatory domain changed to country: GE
[   20.740000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   20.750000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
[   20.760000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 1800 mBm)
[   20.770000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 1800 mBm)
[   24.770000] device wlan0 entered promiscuous mode
[   25.290000] br-lan: port 2(wlan0) entered forwarding state
[   25.290000] br-lan: port 2(wlan0) entered forwarding state
[   27.290000] br-lan: port 2(wlan0) entered forwarding state
[   29.130000] device wlan1 entered promiscuous mode
[   29.380000] br-lan: port 3(wlan1) entered forwarding state
[   29.380000] br-lan: port 3(wlan1) entered forwarding state
[   31.380000] br-lan: port 3(wlan1) entered forwarding state
[   38.150000] u32 classifier
[   38.150000]     Performance counters on
[   38.160000]     input device check on
[   38.160000]     Actions configured
[  139.650000] device wlan0 left promiscuous mode
[  139.650000] br-lan: port 2(wlan0) entered disabled state
[  139.920000] device wlan1 left promiscuous mode
[  139.920000] br-lan: port 3(wlan1) entered disabled state
[  143.990000] device wlan0 entered promiscuous mode
[  144.280000] br-lan: port 2(wlan0) entered forwarding state
[  144.280000] br-lan: port 2(wlan0) entered forwarding state
[  146.280000] br-lan: port 2(wlan0) entered forwarding state
[  150.410000] device wlan1 entered promiscuous mode
[  150.870000] br-lan: port 3(wlan1) entered forwarding state
[  150.880000] br-lan: port 3(wlan1) entered forwarding state
[  152.880000] br-lan: port 3(wlan1) entered forwarding state
[  184.400000] br-lan: port 2(wlan0) entered disabled state
[  184.410000] device wlan0 left promiscuous mode
[  184.410000] br-lan: port 2(wlan0) entered disabled state
[  184.690000] device wlan1 left promiscuous mode
[  184.700000] br-lan: port 3(wlan1) entered disabled state
[  188.770000] device wlan0 entered promiscuous mode
[  189.040000] br-lan: port 2(wlan0) entered forwarding state
[  189.050000] br-lan: port 2(wlan0) entered forwarding state
[  191.050000] br-lan: port 2(wlan0) entered forwarding state
[  195.120000] device wlan1 entered promiscuous mode
[  195.580000] br-lan: port 3(wlan1) entered forwarding state
[  195.580000] br-lan: port 3(wlan1) entered forwarding state
[  197.580000] br-lan: port 3(wlan1) entered forwarding state
[ 5166.000000] ath: phy0: Failed to stop TX DMA, queues=0x001!

comment:73 Changed 3 years ago by nbd

please try latest trunk

comment:74 Changed 3 years ago by Felipe Zipitría <fzipi@…>

Trunk: OpenWrt Barrier Breaker r36533

[    0.000000] Linux version 3.8.11 (fzipi@picard.fing.edu.uy) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #1 Fri May 3 15:05:44 UYT 2013
...
[  516.790000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[  535.510000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[  571.330000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[  658.850000] ath: phy0: Failed to stop TX DMA, queues=0x008!

comment:75 Changed 3 years ago by dzacek83@…

I get that too Trunk: r36312
Hardware: Netgear WNDAP360
Chipset: AR7161

Errors:
[265468.480000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[266261.770000] ath: phy0: Failed to stop TX DMA, queues=0x001!

comment:76 Changed 3 years ago by anonymous

Maybe it is more likely that GNU Hurd will be released than this bug will be fixed :/

comment:77 Changed 3 years ago by anonymous

Still transpires on 12.09 final for me on a WZR-HP-G300NH v1.

[331420.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Let's be fair, guys, the bug is probably a firmware bug that software needs to work around...

comment:78 Changed 3 years ago by anonymous

How did you get to that assumption?

comment:79 Changed 3 years ago by anonymous

r36676 - TL-WR1043ND V1.1
still got the:
[ 123.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 133.510000] ath: phy0: Failed to stop TX DMA, queues=0x004!

and it now reboots que machine, i cant get further error information.

best regards.

comment:80 Changed 3 years ago by virtustilus@…

I think I have got this error (ath: phy0: Failed to stop TX DMA, queues=0x004!) after installing new hostapd-mini.

comment:81 Changed 3 years ago by virtustilus@…

TP-Link MR3420 v2 with openwrt.
Any 802.11 mode (g, g+n, auto), two AP: one WPA2 and one with any WEP security (for sony xperia active).
Error was only with connected my Sony Xperia Active. When I turned off xperia wifi, router working normally. With WPA2 AP router always loses xperia phone with messages:

May 24 23:21:17 virtustilus daemon.info hostapd: wlan0: STA 90:c1:15:cb:84:5a IEEE 802.11: authenticated
May 24 23:21:17 virtustilus daemon.info hostapd: wlan0: STA 90:c1:15:cb:84:5a IEEE 802.11: associated (aid 4)
May 24 23:21:18 virtustilus daemon.info hostapd: wlan0: STA 90:c1:15:cb:84:5a WPA: pairwise key handshake completed (RSN)
May 24 23:21:30 virtustilus daemon.info dnsmasq-dhcp[24950]: DHCPREQUEST(br-lan) 192.168.5.201 90:c1:15:cb:84:5a
May 24 23:21:30 virtustilus daemon.info dnsmasq-dhcp[24950]: DHCPACK(br-lan) 192.168.5.201 90:c1:15:cb:84:5a SONY

All another phones and notebooks working properly with WPA2 AP.

Early, I was able to adjust settings and xperia phone works with WEP AP, and another devices works with WPA2 AP. It lasted about 4 months. But after accidental reset I can't return to those settings. May be my wrong step was updating hostapd-mini. Now with WEP I got error (ath: phy0: Failed to stop TX DMA, queues=0x004!) and after a few minutes Wifi is hangs up. With Sony phone connected to WPA2 AP I didn't get this error, but phone continiously reconnect.

comment:82 Changed 3 years ago by virtustilus@…

I found solution for me! I reset AP again and restored settings. Old hostapd is no solution. After much attempts, I found one variant. When I have one AP WPA and one AP WPA2, error "Failed to stop TX DMA" disappears (it was only with WEP encryption). Also xperia phone normally working with WPA AP (not WPA2) without continiously reconnects.

Now I configure two AP:

  1. WPA2-PSK, WMM, auto cipher, 802.11g+n, 40Mhz with above, 7 channel.
  2. WPA-PSK, WMM, auto cipher, 802.11g+n, 40.. , 7 ch.

And all working fine and speedy.

comment:83 Changed 3 years ago by anonymous

hello, reporting:

r36713

on TL-WR1043ND 1.7 still got the TX DMA messages.

with HT20 they are a lot less, but still leads to hangs with
hight traffic.

HT40 + or - network feels a bit more stable but still hangs the
router.

best regards.

comment:84 Changed 3 years ago by virtustilus@…

A long time (3 days) without errors and one error (TX DMA with stoppped wireless) today again.

comment:85 Changed 3 years ago by luizluca@…

I'm also getting this bug with the wds comm between an wr2543nd and a wr740nd.

wireless.radio0.type=mac80211
wireless.radio0.macaddr=90:f6:52:b0:c7:e2
wireless.radio0.ht_capab=LDPC SHORT-GI-20 SHORT-GI-40 TX-STBC RX-STBC1 DSSS_CCK-40
wireless.radio0.txpower=6
wireless.radio0.country=BR
wireless.radio0.channel=11
wireless.radio0.hwmode=11ng
wireless.radio0.htmode=HT40-

comment:86 Changed 3 years ago by anonymous

r36736

TL-WR1043ND 1.7

no change, same behavior, very stable with minidlna when
using ethernet, but with wireless, crashes.

same TX DMA messages.

comment:87 Changed 3 years ago by opav@…

I'm on r36669 and still getting it on TL-WR1043ND, entries from dmesg:

[130375.180000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[130545.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[130686.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[180366.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[264914.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!

straightforward AP mode 11ng/HT20.

comment:88 Changed 3 years ago by anonymous

yes, at last it happened.

i manage to get error information as for the unstable wireless.
i have been waiting for the router to report something and not just
hang or reboot, i finally got the following:

this is an TL-WR1043ND REV 1.7 and is running r36736 from
may 25 if i am not wrong..

BusyBox v1.19.4 (2013-05-27 13:15:06 PDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r36736)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
root@TL-WR1043ND:~# dmesg
[306829.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[311168.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[383084.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[399010.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[426044.310000] ------------[ cut here ]------------
[426044.320000] WARNING: at /ramdisk/openwrt/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-04-16/net/mac80211/rx.c:3310 ieee80211_rx+0x134/0x800 [mac80211]()
[426044.340000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[426044.350000] Modules linked in: ath79_wdt ledtrig_usbdev ledtrig_netdev ledtrig_heartbeat ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) crc_ccitt ipv6 cfg80211(O) compat(O) arc4 crypto_blkcipher aead usb_storage ohci_hcd ehci_platform ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[426044.430000] Call Trace:
[426044.430000] [<8006df60>] dump_stack+0x8/0x34
[426044.440000] [<80076864>] warn_slowpath_common+0x78/0xa4
[426044.440000] [<80076918>] warn_slowpath_fmt+0x2c/0x38
[426044.450000] [<80e1c9d0>] ieee80211_rx+0x134/0x800 [mac80211]
[426044.450000] [<80e66984>] ath_rx_tasklet+0xef0/0xfcc [ath9k]
[426044.460000] [<80e6441c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[426044.470000] [<8007dbac>] tasklet_action+0x78/0xc8
[426044.470000] [<8007d3f4>] __do_softirq+0xb0/0x184
[426044.470000] [<8007d578>] do_softirq+0x48/0x68
[426044.480000] [<8007d794>] irq_exit+0x4c/0x84
[426044.480000] [<8006082c>] ret_from_irq+0x0/0x4
[426044.490000] [<80060a60>] r4k_wait+0x20/0x40
[426044.490000] [<8006b8c8>] cpu_idle+0x30/0x60
[426044.500000] [<803398ec>] start_kernel+0x364/0x384
[426044.500000]
[426044.500000] ---[ end trace b921a9934dd70b1d ]---
root@TL-WR1043ND:~#

comment:89 Changed 3 years ago by anonymous

hello nbd, reporting on the latest trunk..

this is an TL-WR1043ND REV 1.7 and is running r36859 from june 6.

same behaviour, still have the ath TX DMA messages but
it seems a bit more stable for some reason, previously it rebooted or
crashed instantly within 5 minutes of high traffic, now it still reboots itself but
takes about 30 - 50 minutes hour with high traffic.

also r36859 seems much more stable in heavy duty than before.

best regards.

comment:90 Changed 3 years ago by anonymous

got this.
TL-WR1043ND REV 1.7 and is running r36859 from june 6.

previously this messages didn't apeared, it just got rebooted or crashed.

[138574.550000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[138574.560000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[141254.480000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[141254.490000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

comment:91 Changed 3 years ago by anonymous

Is there a chance this will ever be fixed? I've been using OpenWRT on multiple Atheros routers for about 2 years and every single one of them had this bug. I don't really know what I can do to help, I'd even be willing to pay someone to work and fix this, because it pretty much makes OpenWRT absolutely worthless on the most common router hardware around.

comment:92 Changed 3 years ago by anonymous

me too .. i'm in

comment:93 follow-up: Changed 3 years ago by nbd

Guys, the signal-to-noise ratio in many comments is horrible.

There's no 'this bug' - there's a bunch of different issues that result in the same or similar symptoms. Most of these issues I've already fixed, some remain.

My approach for fixing this is to keep reviewing the code, running different tests, fixing issues that I find, and then waiting for people to give feedback.

The best way for you guys to help me is to keep testing newer versions as I make changes to mac80211/ath9k. Many people who have had these symptoms now have reliably working systems, only in some setups or on some setups the problems remain.

When testing, please make sure you use very recent versions and always report the revision and hardware that you're using, as well as the *exact* symptoms you're observing.

If the only thing you see is some messages in the log and the system otherwise works fine, then please don't come here to whine about it.

If you have actual stability issues that correlate with these messages, it can also be helpful to dump some debugfs files from /sys/kernel/debug/ieee80211/phy0/ath9k: xmit, recv, reset, interrupt, queues

comment:95 Changed 3 years ago by nbd

No, it won't. Powersave has been disabled by default in OpenWrt for a long time, and it's a client-mode-only setting.
By the way, don't bother looking for Linux wireless tree commits to improve stability - I closely follow those already, usually from the mailing list, long before they hit a release.

comment:96 in reply to: ↑ 93 Changed 3 years ago by luizluca@…

Thanks nbd for your restless effort.

The problem is that most of these reporters are not openwrt devels. Just normal users that are facing an instability problem. These also includes those who cannot easly recompile a new firmware. Testing trunk is also not a good idea as they might not be able to recover a bricked router with a solded serial cable adapter with TTL level. This is really hardcore for normal users.

Maybe an easier solution would be to provide an updated driver package backported to the last stable openwrt version with the latest fixes. If something went really wrong, they could just do a safemode recovery. It might not be that difficult if all these fixes that you mentioned are already in AA branch.

The package must uses a kernel requirement that match last stable release. I tried myself in the past to create a new kernel driver that matches exactly the same kernel package ID that openwrt but I failed. The config hashes never matched, even when I copied it from download.openwrt.org. I might have missed something... Anyway, some -force and -ignore options solved my problem.

These backported driver fixes, and other packages fixes, could be published in a alternative repository. Something like "Pre-released Updates" or "Unsupported Updates" that ubuntu does. Except from kernel core, most of openwrt can be "upgrade", if disk space is not a problem.

Replying to nbd:

Guys, the signal-to-noise ratio in many comments is horrible.

There's no 'this bug' - there's a bunch of different issues that result in the same or similar symptoms. Most of these issues I've already fixed, some remain.

My approach for fixing this is to keep reviewing the code, running different tests, fixing issues that I find, and then waiting for people to give feedback.

The best way for you guys to help me is to keep testing newer versions as I make changes to mac80211/ath9k. Many people who have had these symptoms now have reliably working systems, only in some setups or on some setups the problems remain.

When testing, please make sure you use very recent versions and always report the revision and hardware that you're using, as well as the *exact* symptoms you're observing.

If the only thing you see is some messages in the log and the system otherwise works fine, then please don't come here to whine about it.

If you have actual stability issues that correlate with these messages, it can also be helpful to dump some debugfs files from /sys/kernel/debug/ieee80211/phy0/ath9k: xmit, recv, reset, interrupt, queues

comment:97 follow-up: Changed 3 years ago by nbd

please try latest trunk, i added some more fixes

comment:98 Changed 3 years ago by kgray@…

I will be glad to help debug. The crash is repeatable on a Laguna cns3xxx 4388 board. (See below the last crash). This problem has hindered our development / deployment for months. We need to find a real fix. Latest trunk version. Sorry could not get additional info because the console locks up.

ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
ath: phy0: Failed to stop TX DMA, queues=0x004!
INFO: rcu_sched self-detected stall on CPU { 0} (t=6000 jiffies g=3082 c=3081 q=572)
Backtrace:
[<c001a090>] (dump_backtrace+0x0/0x10c) from [<c001a1b4>] (dump_stack+0x18/0x1c)

r6:c03d6898 r5:c03f26a0 r4:c065a898 r3:c03d61a4

[<c001a19c>] (dump_stack+0x0/0x1c) from [<c0077480>] (rcu_check_callbacks+0x234/0x7ac)
[<c007724c>] (rcu_check_callbacks+0x0/0x7ac) from [<c00344b0>] (update_process_times+0x40/0x70)
[<c0034470>] (update_process_times+0x0/0x70) from [<c0063138>] (tick_sched_timer+0x1c4/0x204)

r7:00000073 r6:0b406a90 r5:cf84bcf8 r4:c042b870

[<c0062f74>] (tick_sched_timer+0x0/0x204) from [<c0048d50>] (run_hrtimer+0x124/0x200)
[<c0048c2c>] (run_hrtimer+0x0/0x200) from [<c00497c8>] (hrtimer_interrupt+0x120/0x2b0)
[<c00496a8>] (hrtimer_interrupt+0x0/0x2b0) from [<c001c298>] (twd_handler+0x34/0x48)
[<c001c264>] (twd_handler+0x0/0x48) from [<c007272c>] (handle_percpu_devid_irq+0xc8/0x14c)

r4:0000001d r3:c001c264

[<c0072664>] (handle_percpu_devid_irq+0x0/0x14c) from [<c006eefc>] (generic_handle_irq+0x34/0x48)
[<c006eec8>] (generic_handle_irq+0x0/0x48) from [<c0016ec0>] (handle_IRQ+0x70/0x94)
[<c0016e50>] (handle_IRQ+0x0/0x94) from [<c00084bc>] (gic_handle_irq+0x44/0x64)

r6:c03e32c4 r5:cf84bcf8 r4:fee0010c r3:00000000

[<c0008478>] (gic_handle_irq+0x0/0x64) from [<c0008a80>] (irq_svc+0x40/0x50)
Exception stack(0xcf84bcf8 to 0xcf84bd40)
bce0: 00000000 c04299e0
bd00: 00000000 00000000 0000001d c03d7d9c 00000000 00000082 cf84a000 cf2e6010
bd20: cf9c9d28 cf84bd8c cf84bd90 cf84bd40 c002d68c c002d204 20000113 ffffffff

r7:cf84bd2c r6:ffffffff r5:20000113 r4:c002d204

[<c002d188>] (do_softirq+0x0/0x238) from [<c002d68c>] (irq_exit+0x4c/0x58)
[<c002d640>] (irq_exit+0x0/0x58) from [<c0016ec4>] (handle_IRQ+0x74/0x94)
[<c0016e50>] (handle_IRQ+0x0/0x94) from [<c00084bc>] (gic_handle_irq+0x44/0x64)

r6:c03e32c4 r5:cf84bde0 r4:fee0010c r3:00000000

[<c0008478>] (gic_handle_irq+0x0/0x64) from [<c0008a80>] (irq_svc+0x40/0x50)
Exception stack(0xcf84bde0 to 0xcf84be28)
bde0: 00000000 cf9c9d74 00000701 60000013 cf9c9d74 00000000 00000000 00000000
be00: cf0d0000 cf2e6010 cf9c9d28 cf84be4c cf84be28 cf84be28 c00408d4 c0040904
be20: 20000013 ffffffff

r7:cf84be14 r6:ffffffff r5:20000013 r4:c0040904

[<c0040884>] (cancel_work_timer+0x0/0xb8) from [<c0040968>] (cancel_work_sync+0x14/0x18)

r6:c042ad80 r5:cf9c94c0 r4:cf9c94c0

[<c0040954>] (cancel_work_sync+0x0/0x18) from [<bf19e9e0>] (_45+0x174/0x1fc [ath9k])
[<bf19e9c4>] (_45+0x158/0x1fc [ath9k]) from [<bf1a019c>] (_37+0x6c/0x1f8 [ath9k])

r4:cf9c94c0 r3:00000000

[<bf1a0178>] (_37+0x48/0x1f8 [ath9k]) from [<bf1a02c0>] (_37+0x190/0x1f8 [ath9k])
[<bf1a02a0>] (_37+0x170/0x1f8 [ath9k]) from [<bf1a05d8>] (_99+0x18/0x1c [ath9k])
[<bf1a05c0>] (_99+0x0/0x1c [ath9k]) from [<c003f61c>] (process_one_work+0x2a0/0x4d0)
[<c003f37c>] (process_one_work+0x0/0x4d0) from [<c003fe24>] (worker_thread+0x36c/0x524)
[<c003fab8>] (worker_thread+0x0/0x524) from [<c0044974>] (kthread+0xa8/0xb4)
[<c00448cc>] (kthread+0x0/0xb4) from [<c0008e38>] (ret_from_fork+0x14/0x3c)

r7:00000000 r6:00000000 r5:c00448cc r4:cf82de34

....
(repeats - CLI is disabled on serial console)

comment:99 Changed 3 years ago by nbd

The Laguna 2388-4 board has hardware compatibility issues with the PCI-E -> PCI bridge that have not been fully debugged yet. I've talked to Gateworks about this a while back and they were going to use a PCI analyzer to get more details, but I haven't heard back from them yet.
I'm pretty sure that it's not a driver bug, but unfortunately no solution for this exists yet.

Until this is fixed, I'd recommend using the Gateworks adaptors that expose the PCIe bus and then use PCIe cards instead - those do not trigger the same stability issue.

comment:100 Changed 3 years ago by cristian.astorino@…

Hello, I also have some stability problems using Routerstation Pro with AA 12.01 r37151 compiled by me. When passing ~17Mb/s from wireless, after some minutes I obtain failed to stop tx dma; you can see those messages (and the output from debug files) following this link:

http://pastebin.com/tr3ibtcj

Hope this can help to identify bugs.

Regards,
Cristian

comment:101 in reply to: ↑ 97 Changed 3 years ago by anonymous

Replying to nbd:

please try latest trunk, i added some more fixes

I'm still seeing single lines like "ath: phy0: Failed to stop TX DMA, queues=0x104!" with r37260, running on a tp wdr3600. The connection appears to be fine, though.

comment:102 Changed 3 years ago by kgray@…

Just tried it on the Laguna GW2388 card results:
ifstat -i wlan0 -bn

wlan0

Kbps in Kbps out

93687.83 2796.67
96015.35 2805.06
...
96649.47 2801.63
96250.32 2777.33
[ 686.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 686.860000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMA0
[ 686.870000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start p
[ 687.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 687.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 687.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
11154.88 326.23
[ 687.890000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 688.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 688.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!

0.00 0.00

[ 688.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 689.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 689.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!

0.00 0.00

[ 689.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 690.040000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 690.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 690.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!

0.00 0.00

[ 691.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 691.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 691.580000] ath: phy0: Failed to stop TX DMA, queues=0x004!

0.00 0.00

[ 691.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 692.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!

0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00

...

0.00 0.00
0.00 0.00
0.00 0.00

[ 755.690000] INFO: rcu_sched self-detected stall on CPU { 0} (t=6000 jiffies g=3524 c=3523 q=)
[ 755.690000] Backtrace:
[ 755.690000] [<c0019980>] (dump_backtrace+0x0/0x10c) from [<c0019aa4>] (dump_stack+0x18/0x1c)
[ 755.690000] r6:c0387888 r5:c039ae40 r4:c05d5888 r3:c03871a4
[ 755.690000] [<c0019a8c>] (dump_stack+0x0/0x1c) from [<c006fa1c>] (rcu_check_callbacks+0x1e0/0)
[ 755.690000] [<c006f83c>] (rcu_check_callbacks+0x0/0x700) from [<c003156c>] (update_process_ti)
[ 755.690000] [<c003152c>] (update_process_times+0x0/0x54) from [<c005cb04>] (tick_sched_timer+)
[ 755.690000] r6:f2a27590 r5:c038bd80 r4:c03c97e8 r3:20000113
[ 755.690000] [<c005c940>] (tick_sched_timer+0x0/0x204) from [<c0044a20>] (run_hrtimer.isra.2)
[ 755.690000] [<c00449a8>] (
run_hrtimer.isra.20+0x0/0x118) from [<c0045240>] (hrtimer_interru)
[ 755.690000] r7:000000af r6:f2a27590 r5:c05d5640 r4:c05d5678
[ 755.690000] [<c004512c>] (hrtimer_interrupt+0x0/0x2a4) from [<c001bb88>] (twd_handler+0x34/0x)
[ 755.690000] [<c001bb54>] (twd_handler+0x0/0x48) from [<c006aeec>] (handle_percpu_devid_irq+0x)
[ 755.690000] r4:c038d320 r3:c001bb54
[ 755.690000] [<c006ae80>] (handle_percpu_devid_irq+0x0/0x88) from [<c00677e8>] (generic_handle)
[ 755.690000] r8:00000000 r7:fee00100 r6:c038bf20 r5:c0387cd8 r4:0000001d
r3:c006ae80
[ 755.690000] [<c00677b4>] (generic_handle_irq+0x0/0x48) from [<c0016e20>] (handle_IRQ+0x70/0x9)
[ 755.690000] [<c0016db0>] (handle_IRQ+0x0/0x94) from [<c00084bc>] (gic_handle_irq+0x44/0x64)
[ 755.690000] r6:c03932c4 r5:c038bd80 r4:fee0010c r3:00000000
[ 755.690000] [<c0008478>] (gic_handle_irq+0x0/0x64) from [<c0008a80>] (irq_svc+0x40/0x50)
[ 755.690000] Exception stack(0xc038bd80 to 0xc038bdc8)
[ 755.690000] bd80: 00000002 cfaa1600 cfa69d94 cfa68bdc cfa68ac0 cfa69d94 cf9b2010 c03c7960
[ 755.690000] bda0: 00000000 00011881 c038a000 c038bdd4 c038bdd8 c038bdc8 c003b238 c003b144
[ 755.690000] bdc0: 20000113 ffffffff
[ 755.690000] r7:c038bdb4 r6:ffffffff r5:20000113 r4:c003b144
[ 755.690000] [<c003b21c>] (queue_work+0x0/0x20) from [<bf0b3474>] (ieee80211_queue_work+0x38/0)
[ 755.690000] [<bf0b343c>] (ieee80211_queue_work+0x0/0x3c [mac80211]) from [<bf160214>] (ath9k_)
[ 755.690000] r5:cfa694c0 r4:cfa69d90
[ 755.690000] [<bf1601d4>] (ath9k_queue_reset+0x0/0x1f4 [ath9k]) from [<bf15c564>] (ath9k_beaco)
[ 755.690000] r4:000012e0 r3:00000000
[ 755.690000] [<bf15c494>] (ath9k_beacon_tasklet+0x0/0x518 [ath9k]) from [<c002b870>] (tasklet_)
[ 755.690000] [<c002b7dc>] (tasklet_action+0x0/0x100) from [<c002bc34>] (
do_softirq+0xb4/0x17)
[ 755.690000] [<c002bb80>] (do_softirq+0x0/0x170) from [<c002bfbc>] (irq_exit+0x4c/0x58)
[ 755.690000] [<c002bf70>] (irq_exit+0x0/0x58) from [<c0016e24>] (handle_IRQ+0x74/0x94)
[ 755.690000] [<c0016db0>] (handle_IRQ+0x0/0x94) from [<c00084bc>] (gic_handle_irq+0x44/0x64)
[ 755.690000] r6:c03932c4 r5:c038bf20 r4:fee0010c r3:00000000
[ 755.690000] [<c0008478>] (gic_handle_irq+0x0/0x64) from [<c0008a80>] (
irq_svc+0x40/0x50)
[ 755.690000] Exception stack(0xc038bf20 to 0xc038bf68)
[ 755.690000] bf20: c03a6620 00000000 17f017f0 00000000 c038a000 c03932a0 c03a631c c038a000
[ 755.690000] bf40: c0396d28 00000000 c038a000 c038bf74 c038bf78 c038bf68 c0016ed8 c0016edc
[ 755.690000] bf60: 60000013 ffffffff
[ 755.690000] r7:c038bf54 r6:ffffffff r5:60000013 r4:c0016edc
[ 755.690000] [<c0016eb0>] (default_idle+0x0/0x34) from [<c001708c>] (cpu_idle+0x80/0xcc)
[ 755.690000] [<c001700c>] (cpu_idle+0x0/0xcc) from [<c000c494>] (rest_init+0x64/0x7c)
[ 755.690000] [<c000c430>] (rest_init+0x0/0x7c) from [<c0362824>] (start_kernel+0x298/0x2f4)
[ 755.690000] [<c036258c>] (start_kernel+0x0/0x2f4) from [<20008078>] (0x20008078)

0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00
0.00 0.00

...

0.00 0.00
0.00 0.00

comment:103 Changed 3 years ago by nbd

See comment:99 about the Gateworks 2388 issue.

comment:104 Changed 3 years ago by kgray@…

Yes, I am totally aware of the Laguna problems, but I had to try...

comment:105 Changed 3 years ago by awilchak@…

Just tested 37493/trunk on a TL-WR1043ND with heavy BitTorrent traffic, it is holding up like a rockstar. Wireless has never been this good. Time will tell but so far, the stuff in changeset 37483 is doing amazing things.

comment:106 Changed 3 years ago by miguel.arce@…

i just used r37485 on the 1043nd it still reboots with transmission :( it starts doing well but then cpu gets very busy a lot of tx queue messages and then reboots. it didnt happened with 10.03.1 i dont know if this is transmission related, or wifi drivers related or what, any ideas?

comment:107 Changed 3 years ago by pekseg@…

using the latest version(r37493) still producing the error in dmesg.

bash# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 74

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 0

PLL RX Hang: 0

MCI Reset: 0

what does this Baseband Hang means?

comment:108 Changed 3 years ago by nbd

baseband hangs are a hardware issue that is detected and recovered from pretty quickly.

about the torrent related reboots: please check if you have a file in /sys/kernel/debug/crashlog after the reboot. If not, you could hook up a serial console and you should be able to see the cause of the reboots.

comment:109 Changed 3 years ago by miguel.arce@…

ok about the transmission thing, here is what i have done with r37528.

i first used the router to run transmission, with the wifi disabled. All traffic came from ethernet conection. It didnt reboot nor reset, it downloaded without incident so i figure its not a matter of transmission running in the router and downloading, it got very high download speeds and also upload speeds, completed torrents whihout incident.

as soon as i removed the wired conection and used it as wireless downloader, the same behaviour, a lot of tx dma messages and it reboots or freezes. thats why i am prone to think that it has something to do with the wireless drivers. still waiting for my serial device to see what is the router saying, because there is no crashlog.

and again, it was working without problems with 10.03.1, and the only thing diferent is that with 10.03.1 there were no tx dma messages, one onces in a while, but not as frecuent as of now.

same experiment with minidlna (when via ethernet no problem, when vía wireless, freezes, reboots, etc).

comment:110 follow-up: Changed 3 years ago by nbd

I was finally able to find a test case that exposed some bugs with similar symptoms. I committed fixes for it in r37616, please test!

comment:111 Changed 3 years ago by Andrew Wilchak <awilchak@…>

My experience with r37616: it's pretty damn good. Occasionally drops out but there doesn't seem to be a pattern and doesn't disconnect the clients. Strangely, getting repeated kernel warnings that seem to be related to other ath9k glitches (which I believe are detailed in other tickets).

[60813.830000] ------------[ cut here ]------------
[60813.830000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[60813.850000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[60813.860000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[60813.960000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.3 #1
[60813.970000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 00000031
[60813.970000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bba374 00000000 80d4dd34
[60813.970000] 	  00000001 80079334 00000003 80076d74 00000000 00000000 802b9d54 80301bb4
[60813.970000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[60813.970000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[60813.970000] 	  ...
[60814.000000] Call Trace:
[60814.000000] [<8006def0>] show_stack+0x48/0x70
[60814.010000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[60814.010000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[60814.020000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[60814.030000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[60814.030000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[60814.040000] [<8007e384>] tasklet_action+0x78/0xc8
[60814.040000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[60814.050000] [<8007df88>] irq_exit+0x54/0x70
[60814.050000] [<8006082c>] ret_from_irq+0x0/0x4
[60814.050000] [<80060a60>] __r4k_wait+0x20/0x40
[60814.060000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[60814.060000] [<8031d908>] start_kernel+0x380/0x3a0
[60814.070000] 
[60814.070000] ---[ end trace 44125809b8dcecf8 ]---
[60995.590000] ------------[ cut here ]------------
[60995.600000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[60995.610000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 88 (0x58)
[60995.620000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[60995.720000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[60995.730000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[60995.730000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb8bc8 00000000 80d4dd34
[60995.730000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[60995.730000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[60995.730000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[60995.730000] 	  ...
[60995.770000] Call Trace:
[60995.770000] [<8006def0>] show_stack+0x48/0x70
[60995.770000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[60995.780000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[60995.780000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[60995.790000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[60995.800000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[60995.800000] [<8007e384>] tasklet_action+0x78/0xc8
[60995.810000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[60995.810000] [<8007df88>] irq_exit+0x54/0x70
[60995.810000] [<8006082c>] ret_from_irq+0x0/0x4
[60995.820000] [<80060a60>] __r4k_wait+0x20/0x40
[60995.820000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[60995.830000] [<8031d908>] start_kernel+0x380/0x3a0
[60995.830000] 
[60995.830000] ---[ end trace 44125809b8dcecf9 ]---
[60995.840000] ------------[ cut here ]------------
[60995.850000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[60995.870000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 88 (0x58)
[60995.870000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[60995.970000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[60995.980000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[60995.980000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb8bc8 00000000 80d4dd34
[60995.980000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[60995.980000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[60995.980000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[60995.980000] 	  ...
[60996.020000] Call Trace:
[60996.020000] [<8006def0>] show_stack+0x48/0x70
[60996.020000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[60996.030000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[60996.030000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[60996.040000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[60996.050000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[60996.050000] [<8007e384>] tasklet_action+0x78/0xc8
[60996.060000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[60996.060000] [<8007df88>] irq_exit+0x54/0x70
[60996.070000] [<8006082c>] ret_from_irq+0x0/0x4
[60996.070000] [<80060a60>] __r4k_wait+0x20/0x40
[60996.070000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[60996.080000] [<8031d908>] start_kernel+0x380/0x3a0
[60996.080000] 
[60996.090000] ---[ end trace 44125809b8dcecfa ]---
[67598.340000] ath: phy0: unsupported hw bitrate detected 0x62 using 1 Mbit
[67598.340000] ath: phy0: unsupported hw bitrate detected 0x62 using 1 Mbit
[67598.340000] ath: phy0: unsupported hw bitrate detected 0x62 using 1 Mbit
[67604.570000] ath: phy0: unsupported hw bitrate detected 0x62 using 1 Mbit
[67620.450000] ath: phy0: unsupported hw bitrate detected 0x63 using 1 Mbit
[67620.450000] ath: phy0: unsupported hw bitrate detected 0x63 using 1 Mbit
[67620.450000] ath: phy0: unsupported hw bitrate detected 0x63 using 1 Mbit
[67620.450000] ath: phy0: unsupported hw bitrate detected 0x63 using 1 Mbit
[82785.720000] ath: phy0: unsupported hw bitrate detected 0x26 using 1 Mbit
[82873.650000] ------------[ cut here ]------------
[82873.660000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82873.670000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 112 (0x70)
[82873.680000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82873.780000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82873.790000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82873.790000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb9bb8 00000000 80d4dd34
[82873.790000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82873.790000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82873.790000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82873.790000] 	  ...
[82873.830000] Call Trace:
[82873.830000] [<8006def0>] show_stack+0x48/0x70
[82873.830000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82873.840000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82873.840000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82873.850000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82873.860000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82873.860000] [<8007e384>] tasklet_action+0x78/0xc8
[82873.870000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82873.870000] [<8007df88>] irq_exit+0x54/0x70
[82873.880000] [<8006082c>] ret_from_irq+0x0/0x4
[82873.880000] [<80060a60>] __r4k_wait+0x20/0x40
[82873.880000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82873.890000] [<8031d908>] start_kernel+0x380/0x3a0
[82873.890000] 
[82873.900000] ---[ end trace 44125809b8dcecfb ]---
[82873.900000] ------------[ cut here ]------------
[82873.900000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82873.920000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 112 (0x70)
[82873.930000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82874.030000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82874.040000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82874.040000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bba0e0 00000000 80d4dd34
[82874.040000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82874.040000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82874.040000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82874.040000] 	  ...
[82874.080000] Call Trace:
[82874.080000] [<8006def0>] show_stack+0x48/0x70
[82874.080000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82874.090000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82874.090000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82874.100000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82874.110000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82874.110000] [<8007e384>] tasklet_action+0x78/0xc8
[82874.120000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82874.120000] [<8007df88>] irq_exit+0x54/0x70
[82874.120000] [<8006082c>] ret_from_irq+0x0/0x4
[82874.130000] [<80060a60>] __r4k_wait+0x20/0x40
[82874.130000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82874.140000] [<8031d908>] start_kernel+0x380/0x3a0
[82874.140000] 
[82874.140000] ---[ end trace 44125809b8dcecfc ]---
[82936.190000] ------------[ cut here ]------------
[82936.190000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82936.210000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82936.220000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82936.320000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82936.330000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82936.330000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbafe0 00000000 80d4dd34
[82936.330000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82936.330000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82936.330000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82936.330000] 	  ...
[82936.360000] Call Trace:
[82936.360000] [<8006def0>] show_stack+0x48/0x70
[82936.370000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82936.370000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82936.380000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82936.390000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82936.390000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82936.400000] [<8007e384>] tasklet_action+0x78/0xc8
[82936.400000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82936.410000] [<8007df88>] irq_exit+0x54/0x70
[82936.410000] [<8006082c>] ret_from_irq+0x0/0x4
[82936.410000] [<80060a60>] __r4k_wait+0x20/0x40
[82936.420000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82936.420000] [<8031d908>] start_kernel+0x380/0x3a0
[82936.430000] 
[82936.430000] ---[ end trace 44125809b8dcecfd ]---
[82941.980000] ------------[ cut here ]------------
[82941.980000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82942.000000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82942.010000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82942.110000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82942.120000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82942.120000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb8a9c 00000000 80d4dd34
[82942.120000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82942.120000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82942.120000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82942.120000] 	  ...
[82942.150000] Call Trace:
[82942.160000] [<8006def0>] show_stack+0x48/0x70
[82942.160000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82942.170000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82942.170000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82942.180000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82942.180000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82942.190000] [<8007e384>] tasklet_action+0x78/0xc8
[82942.190000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82942.200000] [<8007df88>] irq_exit+0x54/0x70
[82942.200000] [<8006082c>] ret_from_irq+0x0/0x4
[82942.210000] [<80060a60>] __r4k_wait+0x20/0x40
[82942.210000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82942.220000] [<8031d908>] start_kernel+0x380/0x3a0
[82942.220000] 
[82942.220000] ---[ end trace 44125809b8dcecfe ]---
[82942.230000] ------------[ cut here ]------------
[82942.230000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82942.250000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82942.260000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82942.360000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82942.370000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82942.370000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb9000 00000000 80d4dd34
[82942.370000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82942.370000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82942.370000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82942.370000] 	  ...
[82942.400000] Call Trace:
[82942.400000] [<8006def0>] show_stack+0x48/0x70
[82942.410000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82942.410000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82942.420000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82942.430000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82942.430000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82942.440000] [<8007e384>] tasklet_action+0x78/0xc8
[82942.440000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82942.450000] [<8007df88>] irq_exit+0x54/0x70
[82942.450000] [<8006082c>] ret_from_irq+0x0/0x4
[82942.460000] [<80060a60>] __r4k_wait+0x20/0x40
[82942.460000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82942.460000] [<8031d908>] start_kernel+0x380/0x3a0
[82942.470000] 
[82942.470000] ---[ end trace 44125809b8dcecff ]---
[82948.310000] ------------[ cut here ]------------
[82948.310000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82948.330000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82948.340000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82948.440000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82948.450000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82948.450000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb94ec 00000000 80d4dd34
[82948.450000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82948.450000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82948.450000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82948.450000] 	  ...
[82948.480000] Call Trace:
[82948.480000] [<8006def0>] show_stack+0x48/0x70
[82948.490000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82948.490000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82948.500000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82948.510000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82948.510000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82948.520000] [<8007e384>] tasklet_action+0x78/0xc8
[82948.520000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82948.530000] [<8007df88>] irq_exit+0x54/0x70
[82948.530000] [<8006082c>] ret_from_irq+0x0/0x4
[82948.540000] [<80060a60>] __r4k_wait+0x20/0x40
[82948.540000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82948.550000] [<8031d908>] start_kernel+0x380/0x3a0
[82948.550000] 
[82948.550000] ---[ end trace 44125809b8dced00 ]---
[82948.560000] ------------[ cut here ]------------
[82948.560000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82948.580000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82948.590000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82948.690000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82948.700000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82948.700000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb9c6c 00000000 80d4dd34
[82948.700000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82948.700000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82948.700000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82948.700000] 	  ...
[82948.730000] Call Trace:
[82948.730000] [<8006def0>] show_stack+0x48/0x70
[82948.740000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82948.740000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82948.750000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82948.760000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82948.760000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82948.770000] [<8007e384>] tasklet_action+0x78/0xc8
[82948.770000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82948.780000] [<8007df88>] irq_exit+0x54/0x70
[82948.780000] [<8006082c>] ret_from_irq+0x0/0x4
[82948.780000] [<80060a60>] __r4k_wait+0x20/0x40
[82948.790000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82948.790000] [<8031d908>] start_kernel+0x380/0x3a0
[82948.800000] 
[82948.800000] ---[ end trace 44125809b8dced01 ]---
[82948.810000] ------------[ cut here ]------------
[82948.810000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82948.830000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82948.840000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82948.940000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82948.940000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82948.940000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bba3ec 00000000 80d4dd34
[82948.940000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82948.940000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82948.940000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82948.940000] 	  ...
[82948.980000] Call Trace:
[82948.980000] [<8006def0>] show_stack+0x48/0x70
[82948.990000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82948.990000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82949.000000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82949.000000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82949.010000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82949.020000] [<8007e384>] tasklet_action+0x78/0xc8
[82949.020000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82949.030000] [<8007df88>] irq_exit+0x54/0x70
[82949.030000] [<8006082c>] ret_from_irq+0x0/0x4
[82949.030000] [<80060a60>] __r4k_wait+0x20/0x40
[82949.040000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82949.040000] [<8031d908>] start_kernel+0x380/0x3a0
[82949.050000] 
[82949.050000] ---[ end trace 44125809b8dced02 ]---
[82949.050000] ------------[ cut here ]------------
[82949.060000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82949.080000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82949.090000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82949.190000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82949.190000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82949.190000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbab6c 00000000 80d4dd34
[82949.190000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82949.190000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82949.190000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82949.190000] 	  ...
[82949.230000] Call Trace:
[82949.230000] [<8006def0>] show_stack+0x48/0x70
[82949.240000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82949.240000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82949.250000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82949.250000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82949.260000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82949.260000] [<8007e384>] tasklet_action+0x78/0xc8
[82949.270000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82949.270000] [<8007df88>] irq_exit+0x54/0x70
[82949.280000] [<8006082c>] ret_from_irq+0x0/0x4
[82949.280000] [<80060a60>] __r4k_wait+0x20/0x40
[82949.290000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82949.290000] [<8031d908>] start_kernel+0x380/0x3a0
[82949.300000] 
[82949.300000] ---[ end trace 44125809b8dced03 ]---
[82949.300000] ------------[ cut here ]------------
[82949.310000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82949.330000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82949.340000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82949.440000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82949.440000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82949.440000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbb2ec 00000000 80d4dd34
[82949.440000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82949.440000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82949.440000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82949.440000] 	  ...
[82949.480000] Call Trace:
[82949.480000] [<8006def0>] show_stack+0x48/0x70
[82949.490000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82949.490000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82949.500000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82949.500000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82949.510000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82949.510000] [<8007e384>] tasklet_action+0x78/0xc8
[82949.520000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82949.520000] [<8007df88>] irq_exit+0x54/0x70
[82949.530000] [<8006082c>] ret_from_irq+0x0/0x4
[82949.530000] [<80060a60>] __r4k_wait+0x20/0x40
[82949.540000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82949.540000] [<8031d908>] start_kernel+0x380/0x3a0
[82949.550000] 
[82949.550000] ---[ end trace 44125809b8dced04 ]---
[82949.550000] ------------[ cut here ]------------
[82949.560000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82949.580000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82949.590000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82949.680000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82949.690000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82949.690000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbba6c 00000000 80d4dd34
[82949.690000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82949.690000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82949.690000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82949.690000] 	  ...
[82949.730000] Call Trace:
[82949.730000] [<8006def0>] show_stack+0x48/0x70
[82949.730000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82949.740000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82949.740000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82949.750000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82949.760000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82949.760000] [<8007e384>] tasklet_action+0x78/0xc8
[82949.770000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82949.770000] [<8007df88>] irq_exit+0x54/0x70
[82949.780000] [<8006082c>] ret_from_irq+0x0/0x4
[82949.780000] [<80060a60>] __r4k_wait+0x20/0x40
[82949.790000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82949.790000] [<8031d908>] start_kernel+0x380/0x3a0
[82949.800000] 
[82949.800000] ---[ end trace 44125809b8dced05 ]---
[82949.800000] ------------[ cut here ]------------
[82949.810000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82949.820000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82949.830000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82949.930000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82949.940000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82949.940000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb85ec 00000000 80d4dd34
[82949.940000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82949.940000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82949.940000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82949.940000] 	  ...
[82949.980000] Call Trace:
[82949.980000] [<8006def0>] show_stack+0x48/0x70
[82949.980000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82949.990000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82949.990000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82950.000000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82950.010000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82950.010000] [<8007e384>] tasklet_action+0x78/0xc8
[82950.020000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82950.020000] [<8007df88>] irq_exit+0x54/0x70
[82950.030000] [<8006082c>] ret_from_irq+0x0/0x4
[82950.030000] [<80060a60>] __r4k_wait+0x20/0x40
[82950.030000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82950.040000] [<8031d908>] start_kernel+0x380/0x3a0
[82950.040000] 
[82950.050000] ---[ end trace 44125809b8dced06 ]---
[82950.050000] ------------[ cut here ]------------
[82950.060000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82950.070000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 116 (0x74)
[82950.080000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82950.180000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82950.190000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82950.190000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb8d6c 00000000 80d4dd34
[82950.190000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82950.190000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82950.190000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82950.190000] 	  ...
[82950.230000] Call Trace:
[82950.230000] [<8006def0>] show_stack+0x48/0x70
[82950.230000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82950.240000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82950.240000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82950.250000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82950.260000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82950.260000] [<8007e384>] tasklet_action+0x78/0xc8
[82950.270000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82950.270000] [<8007df88>] irq_exit+0x54/0x70
[82950.270000] [<8006082c>] ret_from_irq+0x0/0x4
[82950.280000] [<80060a60>] __r4k_wait+0x20/0x40
[82950.280000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82950.290000] [<8031d908>] start_kernel+0x380/0x3a0
[82950.290000] 
[82950.290000] ---[ end trace 44125809b8dced07 ]---
[82960.400000] ------------[ cut here ]------------
[82960.400000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82960.420000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 117 (0x75)
[82960.430000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82960.530000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82960.540000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82960.540000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb8cb8 00000000 80d4dd34
[82960.540000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82960.540000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82960.540000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82960.540000] 	  ...
[82960.570000] Call Trace:
[82960.580000] [<8006def0>] show_stack+0x48/0x70
[82960.580000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82960.590000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82960.590000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82960.600000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82960.600000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82960.610000] [<8007e384>] tasklet_action+0x78/0xc8
[82960.610000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82960.620000] [<8007df88>] irq_exit+0x54/0x70
[82960.620000] [<8006082c>] ret_from_irq+0x0/0x4
[82960.630000] [<80060a60>] __r4k_wait+0x20/0x40
[82960.630000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82960.640000] [<8031d908>] start_kernel+0x380/0x3a0
[82960.640000] 
[82960.640000] ---[ end trace 44125809b8dced08 ]---
[82969.480000] ------------[ cut here ]------------
[82969.480000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82969.500000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 118 (0x76)
[82969.510000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82969.610000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82969.620000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82969.620000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbba30 00000000 80d4dd34
[82969.620000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82969.620000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82969.620000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82969.620000] 	  ...
[82969.650000] Call Trace:
[82969.650000] [<8006def0>] show_stack+0x48/0x70
[82969.660000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82969.660000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82969.670000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82969.680000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82969.680000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82969.690000] [<8007e384>] tasklet_action+0x78/0xc8
[82969.690000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82969.700000] [<8007df88>] irq_exit+0x54/0x70
[82969.700000] [<8006082c>] ret_from_irq+0x0/0x4
[82969.700000] [<80060a60>] __r4k_wait+0x20/0x40
[82969.710000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82969.710000] [<8031d908>] start_kernel+0x380/0x3a0
[82969.720000] 
[82969.720000] ---[ end trace 44125809b8dced09 ]---
[82970.080000] ------------[ cut here ]------------
[82970.080000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82970.100000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 118 (0x76)
[82970.110000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82970.210000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82970.220000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82970.220000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbaab8 00000000 80d4dd34
[82970.220000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82970.220000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82970.220000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82970.220000] 	  ...
[82970.250000] Call Trace:
[82970.250000] [<8006def0>] show_stack+0x48/0x70
[82970.260000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82970.260000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82970.270000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82970.280000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82970.280000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82970.290000] [<8007e384>] tasklet_action+0x78/0xc8
[82970.290000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82970.300000] [<8007df88>] irq_exit+0x54/0x70
[82970.300000] [<8006082c>] ret_from_irq+0x0/0x4
[82970.300000] [<80060a60>] __r4k_wait+0x20/0x40
[82970.310000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82970.310000] [<8031d908>] start_kernel+0x380/0x3a0
[82970.320000] 
[82970.320000] ---[ end trace 44125809b8dced0a ]---
[82980.290000] ------------[ cut here ]------------
[82980.300000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82980.320000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 118 (0x76)
[82980.330000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82980.420000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82980.430000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82980.430000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbab30 00000000 80d4dd34
[82980.430000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82980.430000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82980.430000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82980.430000] 	  ...
[82980.470000] Call Trace:
[82980.470000] [<8006def0>] show_stack+0x48/0x70
[82980.470000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82980.480000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82980.480000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82980.490000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82980.500000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82980.500000] [<8007e384>] tasklet_action+0x78/0xc8
[82980.510000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82980.510000] [<8007df88>] irq_exit+0x54/0x70
[82980.520000] [<8006082c>] ret_from_irq+0x0/0x4
[82980.520000] [<80060a60>] __r4k_wait+0x20/0x40
[82980.520000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82980.530000] [<8031d908>] start_kernel+0x380/0x3a0
[82980.530000] 
[82980.540000] ---[ end trace 44125809b8dced0b ]---
[82981.000000] ------------[ cut here ]------------
[82981.000000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82981.020000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 118 (0x76)
[82981.030000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82981.130000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82981.140000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82981.140000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bb840c 00000000 80d4dd34
[82981.140000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82981.140000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82981.140000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82981.140000] 	  ...
[82981.170000] Call Trace:
[82981.180000] [<8006def0>] show_stack+0x48/0x70
[82981.180000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82981.190000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82981.190000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82981.200000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82981.200000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82981.210000] [<8007e384>] tasklet_action+0x78/0xc8
[82981.210000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82981.220000] [<8007df88>] irq_exit+0x54/0x70
[82981.220000] [<8006082c>] ret_from_irq+0x0/0x4
[82981.230000] [<80060a60>] __r4k_wait+0x20/0x40
[82981.230000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82981.240000] [<8031d908>] start_kernel+0x380/0x3a0
[82981.240000] 
[82981.240000] ---[ end trace 44125809b8dced0c ]---
[82987.760000] ------------[ cut here ]------------
[82987.760000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82987.780000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 119 (0x77)
[82987.790000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82987.890000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82987.900000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82987.900000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbb10c 00000000 80d4dd34
[82987.900000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82987.900000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82987.900000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82987.900000] 	  ...
[82987.930000] Call Trace:
[82987.930000] [<8006def0>] show_stack+0x48/0x70
[82987.940000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82987.940000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82987.950000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82987.960000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82987.960000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82987.970000] [<8007e384>] tasklet_action+0x78/0xc8
[82987.970000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82987.980000] [<8007df88>] irq_exit+0x54/0x70
[82987.980000] [<8006082c>] ret_from_irq+0x0/0x4
[82987.980000] [<80060a60>] __r4k_wait+0x20/0x40
[82987.990000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82987.990000] [<8031d908>] start_kernel+0x380/0x3a0
[82988.000000] 
[82988.000000] ---[ end trace 44125809b8dced0d ]---
[82988.010000] ------------[ cut here ]------------
[82988.010000] WARNING: at /home/build/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[82988.030000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 119 (0x77)
[82988.040000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_tcpmss xt_statistic xt_length xt_DSCP xt_dscp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[82988.140000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.3 #1
[82988.140000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 0000003c
[82988.140000] 	  80307498 802b8458 80362a0c 8030721b 00000000 81bbb814 00000000 80d4dd34
[82988.140000] 	  00000001 80079334 00000003 80076cec 00000000 00000000 802b9d54 80301bb4
[82988.140000] 	  00301bb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[82988.140000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b40
[82988.140000] 	  ...
[82988.180000] Call Trace:
[82988.180000] [<8006def0>] show_stack+0x48/0x70
[82988.190000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[82988.190000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[82988.200000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[82988.200000] [<81be774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[82988.210000] [<81be4e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[82988.220000] [<8007e384>] tasklet_action+0x78/0xc8
[82988.220000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[82988.230000] [<8007df88>] irq_exit+0x54/0x70
[82988.230000] [<8006082c>] ret_from_irq+0x0/0x4
[82988.230000] [<80060a60>] __r4k_wait+0x20/0x40
[82988.240000] [<8009ed08>] cpu_startup_entry+0xa0/0x108
[82988.240000] [<8031d908>] start_kernel+0x380/0x3a0
[82988.250000] 
[82988.250000] ---[ end trace 44125809b8dced0e ]---

comment:112 in reply to: ↑ 110 Changed 3 years ago by bruno

Replying to nbd:

I was finally able to find a test case that exposed some bugs with similar symptoms. I committed fixes for it in r37616, please test!

Do you think this will solve the problem in the case of the Laguna GW2388-4 or is out of the scope?
I have couple of boards working but only some exhibit this errors.

Thanks.

comment:113 Changed 3 years ago by nbd

It's out of scope for the Laguna board. That will most likely require different fixes or workarounds that have nothing to do with ath9k.

comment:114 Changed 3 years ago by anonymous

kern.err

Aug 7 00:40:30 kern.err kernel: [153608.820000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Aug 7 00:43:26 kern.err kernel: [153784.830000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Aug 7 00:48:24 kern.err kernel: [154082.890000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Aug 7 00:57:27 kern.err kernel: [154625.990000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Aug 7 01:02:06 kern.err kernel: [154904.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Aug 7 01:13:17 kern.err kernel: [155575.490000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Aug 7 01:15:28 kern.err kernel: [155706.190000] ath: phy0: Failed to stop TX DMA, queues=0x008!

~# cat /proc/cpuinfo
system type : Atheros AR9130 rev 2
machine : D-Link DIR-615 rev. C1

~# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="Attitude Adjustment"
DISTRIB_REVISION="r35153"
DISTRIB_CODENAME="attitude_adjustment"
DISTRIB_TARGET="ar71xx/generic"
DISTRIB_DESCRIPTION="OpenWrt Attitude Adjustment 12.09-rc1"

comment:115 Changed 3 years ago by nbd

"me too" style comments with old versions are not helpful. Please use a recent svn/git version if you want to help testing.

comment:116 Changed 3 years ago by anonymous

I've installed the latest version couple days ago. So far, the error message is gone.
However, the router has rebooted once under heavy load via wireless.

comment:117 Changed 3 years ago by rene.reineke@…

Using r37739
system type : Atheros AR9132 rev 2
machine : TP-LINK TL-WR1043ND

[ 997.310000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:118 follow-up: Changed 3 years ago by nbd

please try r37747

comment:119 in reply to: ↑ 118 Changed 3 years ago by shal

Replying to nbd:

please try r37747

ath: phy0: Failed to stop TX DMA, queues=0x004!

cat reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 1

TX HW error: 0

TX Path Hang: 48

PLL RX Hang: 0

MCI Reset: 0

SSID missing

comment:120 Changed 3 years ago by clayman@…

TP-LINK WR941-ND, r37750

[66616.420000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[66616.430000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[66620.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66629.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66629.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66630.930000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66631.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66631.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66632.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66633.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66633.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66634.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66637.290000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66637.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66638.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66643.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66643.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66644.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66645.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66661.580000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66661.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[66662.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79291.830000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[79291.840000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[79299.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79299.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79300.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79301.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79301.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79302.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79303.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79304.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79305.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79306.030000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79306.270000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79306.510000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79309.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79309.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79310.310000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79319.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79336.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79336.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79336.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79339.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79340.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79340.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79341.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79342.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79343.110000] ath: phy0: Failed to stop TX DMA, queues=0x001!

and then wi-fi disconnects...

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

There was very low load on router at this moment and just one client (PC).

comment:121 Changed 3 years ago by anonymous

Hey.

to the gnu-linux gurus...

is it possible to make a script or something that restarts the wifi as soon as the error starts? because ive to wait from 5 to 10 mins, or connect a lan cable an do it manually...

im using the stable AA 12.09.

comment:122 Changed 3 years ago by fzipi@…

We tried two versions: r37496 and r37616. In both stability was largely improved (uptime 21 days and counting...).

Same errors logged, tough.

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset 
    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang: 127
      PLL RX Hang:  0
        MCI Reset:  0

DMA failed:

[1741277.960000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[1741277.970000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1767171.030000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1767205.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1774959.460000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1775064.760000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1782370.240000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[1784309.810000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1784315.580000] ath: phy0: Failed to stop TX DMA, queues=0x009!
[1784317.060000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[1846569.770000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[1849352.910000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1854119.670000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1860805.120000] ath: phy0: Failed to stop TX DMA, queues=0x101!
[1861064.330000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1861166.040000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[1862365.580000] ath: phy0: Failed to stop TX DMA, queues=0x109!
[1863080.270000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[1863661.430000] ath: phy0: Failed to stop TX DMA, queues=0x008!

comment:123 Changed 3 years ago by josacar@…

The bug is still present in r37895 .Tested on two WRT160NL routers.

comment:124 Changed 3 years ago by anonymous

on GW2388-4 with their latest trunk:

Sep 9 19:12:11 10.252.106.130 kernel: [16938.860000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:13 10.252.106.130 kernel: [16940.340000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:13 10.252.106.130 kernel: [16940.600000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:13 10.252.106.130 kernel: [16940.860000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:14 10.252.106.130 kernel: [16941.120000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:14 10.252.106.130 kernel: [16941.390000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:14 10.252.106.130 kernel: [16941.650000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:14 10.252.106.130 kernel: [16941.910000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:15 10.252.106.130 kernel: [16942.170000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:15 10.252.106.130 kernel: [16942.430000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:15 10.252.106.130 kernel: [16942.690000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:15 10.252.106.130 kernel: [16942.950000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:16 10.252.106.130 kernel: [16943.210000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:16 10.252.106.130 kernel: [16943.470000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:16 10.252.106.130 kernel: [16943.730000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:16 10.252.106.130 kernel: [16943.990000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:17 10.252.106.130 kernel: [16944.250000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:17 10.252.106.130 kernel: [16944.520000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:17 10.252.106.130 kernel: [16944.780000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:17 10.252.106.130 kernel: [16945.040000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:18 10.252.106.130 kernel: [16945.300000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:18 10.252.106.130 kernel: [16945.560000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:20 10.252.106.130 kernel: [16947.290000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:20 10.252.106.130 kernel: [16947.550000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:21 10.252.106.130 kernel: [16948.550000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:23 10.252.106.130 kernel: [16950.520000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:23 10.252.106.130 kernel: [16950.780000] ath: phy2: Failed to stop TX DMA, queues=0x004!
Sep 9 19:12:24 10.252.106.130 kernel: [16951.780000] ath: phy2: Failed to stop TX DMA, queues=0x004!

on GW2348-4 with same gateworks trunk release (gw r471 / openwrt r36311) and same wireless 802.11an cards, NO PROBLEM !

comment:125 Changed 3 years ago by onlinegeld@…

Had some weeks no issues, but since yesterday it becomes very unstable and unusable, reboot does not help.
Flashed the image from trunk from today, but does not help.

Image: Bleeding Edge, r37922 image from 10.Sept. 2013

dmesg:
[...lines from booting and network starting...]
[ 2951.030000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2954.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2956.350000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2956.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2958.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2959.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2959.790000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2962.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2972.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2974.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2975.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2977.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2980.620000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[ 2983.600000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2984.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2985.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2987.680000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2988.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2991.170000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2991.920000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2994.680000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2995.130000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2995.630000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2996.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2998.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3829.280000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3829.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3830.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3830.850000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 3832.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3833.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3834.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3835.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3837.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.040000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.990000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3841.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3841.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3842.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3842.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3843.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3874.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3875.040000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3876.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3876.800000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3878.640000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3880.730000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3881.420000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3882.080000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3882.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3883.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3883.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3886.110000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3888.890000] ath: phy0: Failed to stop TX DMA, queues=0x187!
[ 3890.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3893.760000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3894.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3894.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3895.590000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3899.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3901.340000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3905.120000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3905.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3906.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3906.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3908.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3918.990000] ath: phy0: Failed to stop TX DMA, queues=0x084!
[ 3927.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3929.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3930.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3932.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3933.340000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3936.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3937.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3941.620000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3941.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3949.320000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3950.220000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3950.880000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3951.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3952.260000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3953.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3953.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3954.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3982.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3983.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3984.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3985.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3988.650000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3989.000000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3989.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3990.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3990.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3991.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3993.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3994.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4025.520000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4028.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4029.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4030.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4091.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4093.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4094.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0Had some weeks no issues, but since yesterday it becomes very unstable and unusable, reboot does not help.

Flashed the image from trunk from today, but does not help.

Image: Bleeding Edge, r37922 image from 10.Sept. 2013

dmesg:
[...lines from booting and network starting...]
[ 2951.030000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2954.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2956.350000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2956.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2958.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2959.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2959.790000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2962.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2972.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2973.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2974.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2975.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2977.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2980.620000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[ 2983.600000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2984.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2985.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2987.680000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2988.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2991.170000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2991.920000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2994.680000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2995.130000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2995.630000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 2996.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2998.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3829.280000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3829.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3830.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3830.850000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 3832.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3833.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3834.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3835.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3837.590000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.040000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3839.990000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3841.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3841.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3842.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3842.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3843.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3874.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3875.040000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3876.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3876.800000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3877.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3878.640000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3880.730000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3881.420000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3882.080000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3882.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3883.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3883.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3886.110000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3888.890000] ath: phy0: Failed to stop TX DMA, queues=0x187!
[ 3890.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3893.760000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3894.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3894.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3895.590000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3899.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3901.340000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[ 3905.120000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3905.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3906.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3906.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3908.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3918.990000] ath: phy0: Failed to stop TX DMA, queues=0x084!
[ 3927.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3929.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3930.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3932.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3933.340000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3936.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3937.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3941.620000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3941.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3949.320000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3950.220000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3950.880000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3951.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3952.260000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3953.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3953.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3954.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3982.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3983.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3984.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3985.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3988.650000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3989.000000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3989.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3990.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3990.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3991.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3993.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3994.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4025.520000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4026.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4028.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4029.840000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4030.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4091.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4093.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4094.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!

=>cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 31

PLL RX Hang: 0

MCI Reset: 0

=> /etc/config/wireless
config wifi-device 'radio0'

option type 'mac80211'
option macaddr 'ab:ab:ab:ab:ab:ab'
option hwmode '11ng'
list ht_capab 'HT40+'
list ht_capab 'SHORT-GI-40'
list ht_capab 'DSSS_CCK-40'
option country 'DE'
option channel '1'
option txpower '20'
option htmode 'HT20'

config wifi-iface

option device 'radio0'
option network 'lan'
option mode 'ap'
option ssid 'openwrt'
option encryption 'psk2+tkip+aes'
option key '123'
option ieee80211w '1'
option doth '1'
option isolate '1'
option wds '1'

config wifi-iface

option device 'radio0'
option mode 'ap'
option ssid 'openwrt-guest'
option encryption 'psk2+tkip+aes'
option key '456'
option eap_type 'TLS'
option wmm '0'
option ieee80211w '1'
option doth '1'
option isolate '1'
option wds '1'
option network 'vlan2'

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 31

PLL RX Hang: 0

MCI Reset: 0

cat /etc/config/wireless

config wifi-device 'radio0'

option type 'mac80211'
option macaddr 'ab:ab:ab:ab:ab:ab'
option hwmode '11ng'
list ht_capab 'HT40+'
list ht_capab 'SHORT-GI-40'
list ht_capab 'DSSS_CCK-40'
option country 'DE'
option channel '1'
option txpower '20'
option htmode 'HT20'

config wifi-iface

option device 'radio0'
option network 'lan'
option mode 'ap'
option ssid 'openwrt'
option encryption 'psk2+tkip+aes'
option key '123'
option ieee80211w '1'
option doth '1'
option isolate '1'
option wds '1'

config wifi-iface

option device 'radio0'
option mode 'ap'
option ssid 'openwrt-guest'
option encryption 'psk2+tkip+aes'
option key '456'
option eap_type 'TLS'
option wmm '0'
option ieee80211w '1'
option doth '1'
option isolate '1'
option wds '1'
option network 'vlan2'

comment:126 Changed 3 years ago by anonymous

Sorry for double text, editor missbehaved and can not change it know :/

Info: I have set the wireless mode to 11g now and WiFi is usable again.
=> option hwmode '11g'

But its only a workaround for know.

But there are also messages regarding wifi:

[35987.200000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[35987.210000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

=> cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 110

PLL RX Hang: 0

MCI Reset: 0

comment:127 follow-up: Changed 3 years ago by nbd

please try the latest version

comment:128 in reply to: ↑ 127 Changed 3 years ago by anonymous

Replying to nbd:

please try the latest version

What did you changed to solve the problem?

comment:129 Changed 3 years ago by nbd

I added a few tx path processing fixes to ath9k

comment:130 Changed 3 years ago by anonymous

hello nbd, i would love to try a new version, but the snapshots are somewhat old (last is from 11-Sep-2013 04:01). I will check these daily and if a new version is available i will try.

@anonymous: you can check the journal for changes: https://dev.openwrt.org/timeline
There are some tx path changes. I hope they solved this mostly.

comment:131 Changed 3 years ago by fzipi@…

r37990

[ 3883.300000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[ 4526.210000] ath: phy0: Failed to stop TX DMA, queues=0x08d!
[ 4673.520000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[ 4688.810000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[ 4720.270000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[ 4790.150000] ath: phy0: Failed to stop TX DMA, queues=0x109!
[ 4797.560000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[ 4814.390000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[ 4822.830000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4827.260000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[ 4883.830000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[ 5446.460000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[ 5508.140000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[ 5536.740000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[ 5947.190000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[10433.630000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[10535.080000] ath: phy0: Failed to stop TX DMA, queues=0x10d!
[10978.620000] ath: phy0: Failed to stop TX DMA, queues=0x188!
[11883.900000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[13279.450000] ath: phy0: Failed to stop TX DMA, queues=0x109!
[13666.760000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[13667.710000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[13675.730000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[13704.840000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[75714.450000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[75774.900000] ath: phy0: Failed to stop TX DMA, queues=0x00c!

comment:132 Changed 3 years ago by nbd

more fixes were committed in r38017

comment:133 Changed 3 years ago by anonymous

Same problems with r38002, gonna try r38017

comment:134 Changed 3 years ago by nbd

please try r38034

comment:135 Changed 3 years ago by josacar@…

Same issues with r38031

# cat /etc/banner
  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r38031)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------
# dmesg | tail -n 5
[ 2057.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2058.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2060.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2098.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 2149.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:136 Changed 3 years ago by nbd

another fix was added in r38034

comment:137 Changed 3 years ago by fzipi@…

r38044

[60833.960000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[64333.600000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[66309.630000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[67100.610000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[76827.120000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[78316.060000] ath: phy0: Failed to stop TX DMA, queues=0x009!
[79731.970000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[79731.980000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[80341.490000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[80753.790000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[80906.300000] ath: phy0: Failed to stop TX DMA, queues=0x009!
[81321.350000] ath: phy0: Failed to stop TX DMA, queues=0x108!
[82141.380000] ath: phy0: Failed to stop TX DMA, queues=0x10d!

comment:138 Changed 3 years ago by anonymous

I have the same problems
ath: phy0: DMA failed to stop on r38044 on TP-Link TL-WR1043N/ND v1
and on DD-WRT i had same problems

comment:139 Changed 3 years ago by onlinegeld@…

  • BARRIER BREAKER (Bleeding Edge, r38055)

[40414.000000] ath: phy0: Failed to stop TX DMA, queues=0x004!

=>/sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 12

PLL RX Hang: 0

MCI Reset: 0

comment:140 Changed 3 years ago by anonymous

r38126 is the most stable for me. I had an update yesterday, and until now (almost 24hours) i have no issues. Will see...

comment:141 follow-up: Changed 3 years ago by risa2000

With build from r38092 (TL-WR1043ND) I noticed the errors too:

[16231.450000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16231.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16232.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16234.510000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16234.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16235.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16236.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16236.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16237.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16238.200000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16238.450000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16239.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!

happened once (and in sequence).

[258434.160000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[258434.170000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

happened once too (but much later).

root@risa-wrt:~# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

Does not show anything suspicious, but what bothers me more is now my android phone (Note 2 stock firmware, which has not changed for many months) is getting "stuck" - i.e. after some time wifi stops working and I need to disconnect and reconnect to the AP. Then it works again. Could it be related?

comment:142 Changed 3 years ago by kovacsrobi@…

TL-WR1043ND
BARRIER BREAKER (Bleeding Edge, r38126)

cat /etc/config/wireless

config wifi-device 'radio0'
        option type 'mac80211'
        option channel '11'
        option macaddr 'xx:xx:xx:xx:xx'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option txpower '27'
        option country 'US'
        option hwmode '11g'

config wifi-iface
        option device 'radio0'
        option encryption 'none'
        option ssid 'xxxxxxxx-mesh'
        option mode 'mesh'
        option network 'lan'
        option mesh_id 'xxxxxxxx-mesh'
        option disabled '0'

config wifi-iface
        option device 'radio0'
        option mode 'ap'
        option ssid 'Openwrt'
        option wds '1'
        option network 'lan'
        option encryption 'psk+tkip'
        option key '0123456789'
        option disabled '0'

kernel log:

[65041.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[65047.840000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[66547.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[67054.120000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[68761.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[70690.410000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[70837.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[70846.000000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[70893.090000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[71493.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[71629.370000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[71860.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[71985.150000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[72272.060000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[72341.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[72503.630000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[72647.680000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[73074.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[74455.300000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[74740.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[74898.220000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[74916.620000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[75017.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[75046.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[75262.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[75532.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76057.280000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76057.450000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[76106.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76107.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76164.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76166.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76188.550000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[76811.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[78139.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
$cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang: 178
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

Syslog

Wed Sep 25 07:48:06 2013 kern.err kernel: [137286.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Wed Sep 25 07:48:11 2013 kern.err kernel: [137291.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:143 follow-up: Changed 3 years ago by nbd

Have you tried disabling TKIP?

comment:144 in reply to: ↑ 141 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Replying to risa2000:

[258434.160000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[258434.170000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

happened once too (but much later).
Does not show anything suspicious, but what bothers me more is now my android phone (Note 2 stock firmware, which has not changed for many months) is getting "stuck" - i.e. after some time wifi stops working and I need to disconnect and reconnect to the AP. Then it works again. Could it be related?

I have exactly the same issue with my android tablet. After a while connection slows down so much that it is almost impossible to browse the internet. Pings are very high too.

comment:145 in reply to: ↑ 143 ; follow-ups: Changed 3 years ago by kovacsrobi@…

Replying to nbd:

Have you tried disabling TKIP?

It works perfectly without TKIP!
Thank you!

I tried with:

        option encryption 'psk2+aes'

comment:146 in reply to: ↑ 145 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Replying to kovacsrobi@…:

Replying to nbd:

Have you tried disabling TKIP?

It works perfectly without TKIP!
Thank you!

I tried with:

        option encryption 'psk2+aes'

Well not really. I was testing my system with no TKIP and I am experiencing the same problem with android device (SHIRU Emperor 10, it's a clone of Cube U9GT5 as far as I remember). Here is my config:

config wifi-device 'radio0'
        option type 'mac80211'
        option hwmode '11ng'
        option path 'platform/ath9k'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option channel '1'
        option htmode 'HT40+'
        option txpower '17'
        option country 'PL'
        option noscan '1'
        option disabled '0'

config wifi-iface 'wlan0_1'
        option disabled '0'
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'ssid'
        option encryption 'psk2+ccmp'
        option key 'secret'

comment:147 follow-up: Changed 3 years ago by nbd

What kind of device is this? By the way, using HT40 on 2.4 GHz can be unreliable if there's interference on adjacent channels. AR91xx devices are especially sensitive to stuff like this. If you don't actually need HT40, I suggest using HT20.

comment:148 in reply to: ↑ 147 ; follow-up: Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Replying to nbd:

What kind of device is this?

TL-WR1043ND
.

By the way, using HT40 on 2.4 GHz can be unreliable if there's interference on adjacent channels. AR91xx devices are especially sensitive to stuff like this. If you don't actually need HT40, I suggest using HT20.

Thank you for the tip. Will do some test with HT20 and report asap. However its strange that my intel and broadcom based laptops works ok, only android devices have problems. I've been using HT40 with noscan for a couple of months/a year and have never experienced such a problem with my android devices. Of course I would really prefer to stay at HT40 for performance gain.

comment:149 Changed 3 years ago by risa2000

FWIW I have been running TL-WR1043ND with this config:

root@risa-wrt:~# cat /etc/config/wireless
config wifi-device          wlan0
        option type         mac80211
        option channel      8
        option macaddr      <...>
        option hwmode       11ng
        option htmode       HT20
        list ht_capab       SHORT-GI-40
        list ht_capab       DSSS_CCK-40
        option country      FR

config wifi-iface
        option device       wlan0
        option network      wlan
        option mode         ap
        option ssid         <...>
        option encryption   psk2
        option hidden       1
        option isolate      0
        option key          <...>

since day one, but started to notice the problems with wifi throughput (and my Android phone) just after an update to recent trunk.

comment:150 Changed 3 years ago by onlinegeld@…

BARRIER BREAKER (Bleeding Edge, r38167)

[ 4286.440000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 8215.390000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 8232.520000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 8350.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 8351.580000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[26819.370000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[26819.380000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[85144.150000] ath: phy0: Failed to stop TX DMA, queues=0x006!
[85144.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!

#cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 16

PLL RX Hang: 0

MCI Reset: 0

comment:151 in reply to: ↑ 145 Changed 3 years ago by anonymous

Replying to kovacsrobi@…:

Replying to nbd:

Have you tried disabling TKIP?

It works perfectly without TKIP!
Thank you!

I tried with:

        option encryption 'psk2+aes'

I used it more time, and this error came back again, with HT20, and psk2+aes!

dmesg

[46637.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  3
      PLL RX Hang:  0
        MCI Reset:  0

comment:152 Changed 3 years ago by anonymous

TL-WR1043ND
BARRIER BREAKER (Bleeding Edge, r38126)

option encryption 'psk2+aes'

dmesg

[28126.110000] ath: phy0: Failed to stop TX DMA, queues=0x104!

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

comment:153 Changed 3 years ago by DrTune

Yay! Turning off TKIP (switched to plain AES) fixed this long-standing ath9k bug for me! :-)

Buffalo WZR-HP-G300NH
Kernel Version Linux 3.9.4 #320 Mon May 27 02:09:45 CEST 2013 mips

 Baseband Hang: 2538     
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang:  0
      PLL RX Hang:  0
        MCI Reset:  0

Note I'm actually running DD-WRT but the symptoms and dmesg output and FIX(yay!) appear identical - obviously an ath9k issue

I could repro it endlessly (Nexus 7) with any large-ish download (e.g. updating apps from Google Play Store)

comment:154 Changed 3 years ago by kangxn@…

Happens on me too

r38304 on a MR4530R (WNDR4300 clone)

[172250.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[172372.870000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[173651.640000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[173905.750000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[174038.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[174062.250000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[174404.630000] ath: phy0: Failed to stop TX DMA, queues=0x005!

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 1

PLL RX Hang: 0

MCI Reset: 0

Not sure how did I triggered this, probably with my Samsung S4 in a room corner where reception is bad.

comment:155 in reply to: ↑ 148 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Replying to Damian Kaczkowski <damian.kaczkowski+openwrt@…>:

Replying to nbd:

By the way, using HT40 on 2.4 GHz can be unreliable if there's interference on adjacent channels. AR91xx devices are especially sensitive to stuff like this. If you don't actually need HT40, I suggest using HT20.

Thank you for the tip. Will do some test with HT20 and report asap. However its strange that my intel and broadcom based laptops works ok, only android devices have problems. I've been using HT40 with noscan for a couple of months/a year and have never experienced such a problem with my android devices. Of course I would really prefer to stay at HT40 for performance gain.

I have done some more tests on:
ar71xx / tl-wr1043nd / r38352

The problem is still there even on HT20 and latest ath9k fixes. logread is clear, no errors. My CUBE U9GT5 clone can't browse the internet a while after connecting to the openwrt AP. Wifi is almost not usable. Sometimes you are able to browse one/two pages but then it stalls again. I have tried few different firmwares for CUBE as well. Even the latest official one. None seems to help.

What is important if I connect my CUBE to UniFi AP (Ubiquiti OS) it works without a problem. Fast and smooth.

On the other hand my other Android devices (few phones) works ok with this openwrt revision.

Anything I can do to help to debug this problem?

comment:156 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

I made mistake in my previous post.
Tests were done on newer revision:
ar71xx / tl-wr1043nd / r38430

comment:157 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

I made some more test. Build r36909 (kmod-mac80211_3.8.13+2013-04-16-2_ar71xx) is ok. My CUBE works fast and smooth with this build. Even when AP is set to HT40+. It seems there is a regression somewhere between r36909 and r38430.

comment:158 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

I narrowed down the exact revision which introduces the above regression:
r37482 - CUBE works ok
r37483 - CUBE can't browse
Hope it will help you nbd to find a fix faster. Greets.

comment:159 Changed 3 years ago by nbd

The issue you're describing seems to only happen on a few specific Android devices, and I can't reproduce it with any of my own devices.
Do you have another openwrt device that you can use to capture the packets between your AP and the CUBE? If so, I'd like to see a pcap file containing all packets from the start of the connection to the first point of failure.
Thanks.

comment:160 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Yes I have other devices. Just please tell me what radio chipset will be the best for wlan sniffing, and which exact tool should I use to make a cap. The rest I will figure out.

comment:161 Changed 3 years ago by nbd

Any device with ar92xx, ar93xx or newer will be fine.
To capture packets, you first create a monitor device (e.g. mon0), and then run something like this:

tcpdump -ni mon0 -s 3000 -w /tmp/capture.pcap

comment:162 Changed 3 years ago by risa2000

I am currently on trunk r38539 and still see the problems with my Galaxy Note 2 mentioned earlier (after some time wifi stops working and I need to reconnect manually to AP to make it work again). No problems reported by debug diagnostics though.

I wanted to remove the patches reported by Damian above just for the test, but apparently they are no longer in patch directory. Did they make it into upstream, or you removed them from the trunk?

comment:163 Changed 3 years ago by Andrew <awilchak@…>

Here's the latest status as of r38886. It works fine until you start up a torrent or something that pushes >2-3Mbps over the wireless. When you try that....after 5-10 seconds the connection just stops. As in, the client will stay associated with the access point, but no traffic can be sent or received. Disabling and re-enabling wifi on the client fixes it, but it continues to behave as described.

This is on a TL-WR1043ND. This behavior happens in N mode, both with ANI enabled and disabled. It does not happen in G mode, which I think is just because it's slower. The client I am testing with is a MacBook with a BCM43xx wifi card. I do not have this problem with other access points. Only ath9k access points.

I feel like this is a longstanding issue and would be happy to assist in whatever way I can to help debug this. Because no errors (not even the DMA errors!) show up in the system log when this happens, it is hard for me to provide you with more context.

nbd, thanks for all your work on this driver over the years.

comment:164 Changed 3 years ago by c.m.s.v

same problem with me too. Seems to happen when there is a lot of traffic (tested with iperf) mode G and N

185.280000] ath: phy0: Failed to stop TX DMA, queues=0x004!
DISTRIB_REVISION="r38863"
# cat /proc/cpuinfo
system type : Atheros AR9130 rev 1
machine : D-Link DIR-615 rev. C1

image compiled with:
http://nbd.name/gitweb.cgi?p=aa-mac80211.git;a=summary
git://nbd.name/aa-mac80211.git

Last edited 3 years ago by c.m.s.v (previous) (diff)

comment:165 Changed 3 years ago by mcf_wrt

It appears this may have been fixed upstream. I'm not sure if this patch has been merged into the mainline kernel yet. Please see:

https://bugzilla.kernel.org/show_bug.cgi?id=56301

https://lists.ath9k.org/pipermail/ath9k-devel/2013-May/011338.html

https://patchwork.kernel.org/patch/2646451/

comment:166 follow-ups: Changed 3 years ago by nbd

What's merged into the kernel tree is irrelevant. We build mac80211 and ath9k outside of the kernel tree, and the version we use already includes all of those fixes.

comment:167 in reply to: ↑ 166 Changed 3 years ago by sailor_ca

Replying to nbd:

What's merged into the kernel tree is irrelevant. We build mac80211 and ath9k outside of the kernel tree, and the version we use already includes all of those fixes.

Sorry, I'm not sure I understand what you mean here. I have 12 (soon 20-30) or so tplink 841s and 941s in the field and would like to help. If I keep up with the latest revisions of Attitude Adjustment am I incorporating the changes you make to fix or debug this problem? Or do I need to move to trunk? Thanks for your efforts.

comment:168 in reply to: ↑ 166 Changed 3 years ago by soyoeml

Replying to nbd:

My wdr3500 has same issue. Could you tell which version or release I can use? I went to http://downloads.openwrt.org/attitude_adjustment/ folder, there is no release for my router.

Thanks
-Leon

comment:169 Changed 3 years ago by soyoeml

Hi nbd,

Even in latest OpenWrt Barrier Breaker r38999, I still has this issue.

[   34.110000] wlan0: associated
[   34.120000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   34.330000] br-lan: port 2(wlan0-1) entered forwarding state
[   34.330000] br-lan: port 2(wlan0-1) entered forwarding state
[   34.340000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0-1: link becomes ready
[   36.330000] br-lan: port 2(wlan0-1) entered forwarding state
[  199.010000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[  219.320000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2086.430000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[ 2096.600000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2107.590000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2131.180000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2150.270000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2152.250000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2162.120000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 2842.090000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 3621.290000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4011.470000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4102.740000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4104.410000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4105.470000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4124.340000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4144.450000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4147.040000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4166.130000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4168.720000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4169.170000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4172.380000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4173.550000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4174.400000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4175.160000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4176.640000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4176.980000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4177.430000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4177.770000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4183.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4214.190000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4222.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4229.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4239.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4239.430000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[ 4241.410000] ath: phy0: Failed to stop TX DMA, queues=0x00c!

Do you have a version Attitude Adjustment 12.09 for wdr3500?

comment:171 Changed 3 years ago by anonymous

But does that fix the bug for the AR9001 familiy too?

comment:172 Changed 3 years ago by nbd

Not sure if it fixes anything related to this, please just test it. By the way, this fix (along with some other ones) is now in OpenWrt trunk, so you don't need to apply it manually.

comment:173 Changed 3 years ago by TBoshoven

Still happens in trunk r39055:

[ 3242.640000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3345.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3358.220000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3370.180000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4041.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4634.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 4692.080000] ath: phy0: Failed to stop TX DMA, queues=0x084!
[ 4773.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 5112.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 5132.770000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 6994.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 8533.990000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[10152.150000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[10898.270000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12347.890000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12444.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12461.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[12846.450000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13019.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[15297.610000] ath: phy0: Failed to stop TX DMA, queues=0x005!

Device is TL-WR841N (AR9341).

I guess I should mention that my connection is working, bit I have low bitrates (~ 60 Mbps max).

Last edited 3 years ago by TBoshoven (previous) (diff)

comment:174 Changed 3 years ago by anonymous

Mon Dec 16 13:30:13 2013 kern.warn kernel: [   89.010000] net_ratelimit: 93 callbacks suppressed
Mon Dec 16 13:30:27 2013 kern.err kernel: [  102.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!

The WDR3500 is also still affected by this bug (r39061).

comment:175 Changed 3 years ago by mario_lopes

Hi. More problems relating to this:
"ath: phy1: Failed to stop TX DMA, queues=0x004!"
"ath: phy1: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000062c0"
"ath: phy1: Could not stop RX, we could be confusing the DMA engine when we start RX up"
"ath: phy1: Failed to stop TX DMA, queues=0x004!"
(the last message repeats several times in dmesg until system halts)

This appens on iperf TCP client which is generating traffic on R52n-M NIC, the system running iperf in server mode remain stable.
Iperf in client mode on other interfaces cause no problems at all (XR7 and 100Base-T).

Running OpenWrt Barrier Breaker r39185 generic x86, on Alix 3D3 + Ubiquity XR7 + RouterBOARD R52n-M (ath9k - AR9220).
On OpenWRT 12.09-rc1 and 12.09 final this problem does not occurs.

This issue was also reported on #9654.
Thanks.

comment:176 Changed 3 years ago by ard@…

Hi,
With all my routers on r38031:
I have a network with about 1300 roaming clients and due to a router change and configuration fuck up (forgot to set gc_thresh1 an gc_thresh3) the router was broadcast arping a lot.
The broadcast arp goes out on the wifi (100 AP's) and a lot of them started to have:

[ 7939.070000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 7970.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!

After 5 of those lines in dmesg a cronscript on the AP restarts the wifi and notifies and. I've got a lot of notifications :-(.
After fixing the gc_thresh1 and gc_thresh3 (to 16k and 32k) all accesspoints are 99% stable again.
All access points have a WPA2-AES and a insecure ESSID.
So I think all these problems are related to group transmissions.
To be clear: "99.9999%" of the traffic is unicast. The only non-unicast is a broadcast arp from the router, and that happens if the unicast arp does not respond anymore.
AP's are configured with isolation and interAP communication is denied.

comment:177 Changed 3 years ago by ard@…

http://217.196.41.9/~ard/radvd-vs-nonradvd.png
That's the graph of users that are associated for at least 550s (minimum radius accounting report time).
Yesterday I tried starting radvd again (multicast/broadcast -> group transmissions on the ap)
and the DMA errors start piling up, and the wifi get's restarted, and users get dropped.
I finally just killed radvd, and this morning it seems pretty stable.
A pitty, since ipv6 was about 33% of the total wireless traffic ;-).

comment:178 Changed 3 years ago by mario_lopes

More info:

  • On revision 36080 (shown as revision 36080) problem persists
  • On revision 36088 (shown as revision 36085) problem persists
  • On revision 36088 (shown as revision 36088, downloaded image of Attitude adjustment) no problem at all
  • On revision 36099 (shown as revision 36099) problem persists
  • On revision 39404 (shown as revision 39404) problem persists

comment:179 Changed 3 years ago by anonymous

If there is a line in log that u like to trigger some action u may want to use this:

logread -f | awk '/status->rate_idx is not an MCS index/ { system("/sbin/wifi") }'&

logread -f prints every new loggline to std.out which awk monitors and if there is "status->rate_idx is not an MCS index" in the new line it runs /sbin/wifi

this one line does what it should do very well but does not work around the problem for me since at least one time the wifi stayed dead after /sbin/wifi reinitialisation

comment:180 Changed 3 years ago by Kir <creo2005@…>

I have TP-link 1043ND and Attitude Adjustment 12.09 and have errors:
[1339795.480000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[1339795.490000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1339795.500000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)

[3301361.970000] net_ratelimit: 2 callbacks suppressed
[3301361.970000] nf_conntrack: table full, dropping packet.
[3301362.730000] nf_conntrack: table full, dropping packet.
[3301362.860000] nf_conntrack: table full, dropping packet.
[3301363.900000] nf_conntrack: table full, dropping packet.
[3301363.950000] nf_conntrack: table full, dropping packet.
[3301364.210000] nf_conntrack: table full, dropping packet.
[3301364.240000] nf_conntrack: table full, dropping packet.
[3301364.700000] nf_conntrack: table full, dropping packet.
[3301365.210000] nf_conntrack: table full, dropping packet.
[3301365.500000] nf_conntrack: table full, dropping packet.

[3538242.860000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[3538242.870000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[3622848.060000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[3622848.070000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[3622921.920000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622923.340000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622924.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[3622924.290000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622924.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[3622925.240000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622925.480000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[3622926.200000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622926.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[3622927.150000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[3622927.390000] ath: phy0: Failed to stop TX DMA, queues=0x001!

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 1

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 0

PLL RX Hang: 0



cat /etc/config/wireless

config wifi-device 'radio0'

option type 'mac80211'
option macaddr 'xxxxxxxxxxxxxx'
option hwmode '11ng'
list ht_capab 'SHORT-GI-40'
list ht_capab 'DSSS_CCK-40'
option htmode 'HT40-'
option noscan '1'
option country 'US'
option channel '6'
option txpower '27'

config wifi-iface

option device 'radio0'
option network 'lan'
option mode 'ap'
option ssid 'xxxxxxxxxx'
option key 'xxxxxxxxxxx'
option encryption 'psk2+ccmp'

comment:181 Changed 3 years ago by nbd

please try current trunk

comment:182 Changed 3 years ago by Thomas S. <stather@…>

Hi

By the way, i have seen this on a TP-LINK TL-WDR4300 running OpenWRT 12.09 as well, because some users said that only the TL-WR1043ND is affected:

[673014.870000] ath: phy0: Failed to stop TX DMA, queues=0x004

comment:183 follow-up: Changed 3 years ago by nbd

It is well-known that old releases like 12.09 show this for pretty much every device, not just the TL-WR1043ND. At this point, I would like to only see comments about how well current trunk is working wrt. this issue.

comment:184 in reply to: ↑ 183 Changed 3 years ago by mario_lopes

Replying to nbd:

It is well-known that old releases like 12.09 show this for pretty much every device, not just the TL-WR1043ND. At this point, I would like to only see comments about how well current trunk is working wrt. this issue.

At revision #39499, the system that generate traffic (iperf), continues to show messages until stop running (kernel panic perhaps).

comment:185 follow-up: Changed 3 years ago by nbd

on which device?

comment:186 in reply to: ↑ 185 Changed 3 years ago by mario_lopes

Replying to nbd:

on which device?

x86 Alix 3D3 + Ubiquiti XR7 (doesn't cause this problem) + MicroTik R52n-M (causes the reported problem).
Also, the time to hang is variable (start counting at first dmesg output "ath: Fai....") and the amount of received traffic until stop receiving is also variable.
I have connected a monitor to VGA port and the last message before system hang was "ath: phy1: Failed to....". On this test I have also noticed that only messages like that were generated, not DMA or others. If other kind of messages appear again, I will tell.
Thanks.

comment:187 Changed 3 years ago by nbd

please post the output of

cat /sys/kernel/debug/ieee80211/phy*/ath9k/interrupt

after the first few error messages.

comment:188 Changed 3 years ago by mario_lopes

At the traffic generator before crash:

                   RX:        834
                RXEOL:          0
                RXORN:          0
                   TX:       1033
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:       1039
                BMISS:          0
                  BNR:          0
                  CST:          1
                  GTT:          0
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:        217
                  MCI:          0
             GENTIMER:          0
                TOTAL:       2907
SYNC_CAUSE stats:
             Sync-All:       4879
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          1
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:       4878
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0

comment:189 Changed 3 years ago by mario_lopes

Also the queue values (ath: phy1: Failed to stop TX DMA...) change between 0x001, 0x004 and 0x005

comment:190 Changed 3 years ago by nbd

So your issue has a completely different cause than most other reports of this message. In your case there are local PCI bus communication issues between the CPU and the card.

comment:191 Changed 3 years ago by wildlava

I recently updated to r39440 in an attempt to fix the wifi issue on my tl-wdr3600 (I was using attitude adjustment, and I would see wifi stop working (on Windows, e.g., I see "limited connectivity" on the wifi interface). I got the error reported here ("ath: phy0: Failed to stop TX DMA, queues=0x004!") around the time of the problem.

On the new rev, I also have seen this error in dmesg, and I recently also got a "ath: phy0: Failed to stop TX DMA, queues=0x001!".

Here's my /sys/kernel/debug/ieee80211/phy*/ath9k/interrupt in case it is helpful. Would love to see this resolved.

---

                 RXLP:   21383493
                 RXHP:          0
              WATHDOG:       1964
                RXEOL:       1968
                RXORN:          0
                   TX:    4545016
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:   21161928
                BMISS:          0
                  BNR:          0
                  CST:       2744
                  GTT:       6433
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:   46752854
SYNC_CAUSE stats:
             Sync-All:          0
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          0
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:          0
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0
                 RXLP:      41370
                 RXHP:          0
              WATHDOG:          0
                RXEOL:          5
                RXORN:          0
                   TX:    2715006
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:   21169530
                BMISS:          0
                  BNR:          0
                  CST:          0
                  GTT:          0
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:   23924769
SYNC_CAUSE stats:
             Sync-All:          0
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          0
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:          0
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0

comment:192 Changed 3 years ago by nbd

please try r39688 or newer

comment:193 Changed 3 years ago by dexter@…

Running OpenWrt Barrier Breaker r39692 , and it's worse than ever, this moment....

root@OpenWrt:~# cat /sys/kernel/debug/ieee80211/phy*/ath9k/interrupt
                   RX:    1615205
                RXEOL:          0
                RXORN:          0
                   TX:     190570
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:    2395812
                BMISS:          0
                  BNR:          0
                  CST:     299824
                  GTT:          0
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:    4448589

SYNC_CAUSE stats: All zero.

comment:194 Changed 3 years ago by nbd

What is worse than ever? And how?

comment:195 Changed 3 years ago by dexter@…

Installed the latest trunk yesterdayevening, all seemed fine. The problem usually comes and go's.
I check the logs when there are troubles with wifi (disconnecting clients), and this is (one of the) issues that I sometimes see. I have no statistics, sadly...

This issue:

Mon Feb 24 06:21:49 2014 kern.err kernel: [35066.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Feb 24 06:21:49 2014 kern.err kernel: [35066.750000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Feb 24 06:21:51 2014 kern.err kernel: [35068.310000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Running on TP-Link TL-WR1043N/ND v1
The wifi neighborhood is very (close to extreme) busy.

comment:196 Changed 3 years ago by nbd

Please show me the output of

cat /sys/kernel/debug/ieee80211/phy*/ath9k/reset

comment:197 Changed 3 years ago by nbd

Also, are you using HT20 or HT40?

comment:198 Changed 3 years ago by dexter@…

Running HT20

root@OpenWrt:~#  cat /sys/kernel/debug/ieee80211/phy*/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
     TX Path Hang: 32
      PLL RX Hang:  0
         MAC Hang: 63283
     Stuck Beacon: 3717
        MCI Reset:  0

comment:199 Changed 3 years ago by nbd

r39767 should improve stability

comment:200 Changed 3 years ago by anonymous

[ 6688.920000] ath: phy0: Failed to stop TX DMA, queues=0x004!

r39770

comment:201 Changed 3 years ago by anonymous

Indied, stability has improved. Good work! I love it. I shall donate on the next major release!

The problem has, as the comment above suggest, not gone away. The misses complain less, so there is an improvement!
Let me know if you need any /proc details.

comment:202 Changed 3 years ago by Thomas S. <stather@…>

Hi

I'll test this weekend as well with the newest trunk. Thanks a lot in advance for this work :)

BTW, is this issue only caused by multicast and broadcast traffic (as "ard" said 6 weeks ago), can somebody explain?

comment:203 Changed 3 years ago by nbd

I added some fixes for broadcast/multicast frame handling in r39848, please test that.

comment:204 Changed 3 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

tl-wr1043nd v1
BB trunk r39854

Connection seems to be more stable than before but there still are some problems.
After about 2 hours at ~400kbit/s my PC got dropped and is not able to reconnect. Other clients (eg. Android Phone) are not able to connect too. Disconnection occurred at 18:35 (check log), till then everything works fast and smooth. Here are some traffic stats from the router, log and config:

ifconfig

wlan0     Link encap:Ethernet  HWaddr secret
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1373627 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1464844 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:101975541 (97.2 MiB)  TX bytes:2008624553 (1.8 GiB) 

logread

Mon Mar 10 16:46:20 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 IEEE 802.11: authenticated
Mon Mar 10 16:46:20 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 IEEE 802.11: associated (aid 1)
Mon Mar 10 16:46:20 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: pairwise key handshake completed (RSN)
Mon Mar 10 16:54:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:04:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:14:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:16:03 2014 daemon.info hostapd: wlan0: STA 00:11:7f:57:8e:4a IEEE 802.11: authenticated
Mon Mar 10 17:16:03 2014 daemon.info hostapd: wlan0: STA 00:11:7f:57:8e:4a IEEE 802.11: associated (aid 2)
Mon Mar 10 17:16:03 2014 daemon.info hostapd: wlan0: STA 00:11:7f:57:8e:4a WPA: pairwise key handshake completed (RSN)
Mon Mar 10 17:24:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:24:15 2014 daemon.info hostapd: wlan0: STA 00:11:7f:57:8e:4a IEEE 802.11: deauthenticated due to local deauth request
Mon Mar 10 17:34:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:39:22 2014 kern.err kernel: [29136.590000] ath: phy0: Failed to stop TX DMA, queues=0x005!
Mon Mar 10 17:44:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:53:51 2014 kern.err kernel: [30005.560000] ath: phy0: Failed to stop TX DMA, queues=0x005!
Mon Mar 10 17:54:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 17:59:04 2014 kern.err kernel: [30319.510000] ath: phy0: Failed to stop TX DMA, queues=0x001!
Mon Mar 10 18:04:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 18:14:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 18:24:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 18:34:07 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 WPA: group key handshake completed (RSN)
Mon Mar 10 18:34:39 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 IEEE 802.11: disconnected due to excessive missing ACKs
Mon Mar 10 18:35:09 2014 daemon.info hostapd: wlan0: STA 3c:a9:f4:14:63:f8 IEEE 802.11: deauthenticated due to inactivity (timer DEAUTH/REMOVE)

cat /etc/config/wireless

config wifi-device 'radio0'
        option type 'mac80211'
        option hwmode '11ng'
        option path 'platform/ath9k'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option channel '1'
        option htmode 'HT40+'
        option txpower '17'
        option country 'PL'
        option noscan '1'
        option disabled '0'

config wifi-iface 'wlan0_0'
        option disabled '0'
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'secret'
        option encryption 'psk2+ccmp'
        option key 'secret'

comment:205 follow-up: Changed 3 years ago by anonymous

Not sure if this has been reported elsewhere, but I found this advice on a forum some time ago and it has helped me.

Whenever the Failed to Stop TX DMA error shows up, I run:
/sbin/iw wlan0 scan

and everything returns to a usable state.
Sometimes, it very quickly returns to the Failed to Stop TX DMA state again, but a few "iw wlan0 scan" will eventually clear it up.

For context, I'm actually running Ubuntu, using the openwrt patches to compile the relevant kernel modules.

I now have a cron job that runs every minute and checks if the wifi is still working (ping'ing an always on and connect printer), and if not, spam the scan command a few times.

comment:206 Changed 3 years ago by anonymous

Also just had this
ath: phy0: Failed to stop TX DMA, queues=0x004!
in the logs.

Running 39930 on a TPLINK TL-WDR3600.

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 0

PLL RX Hang: 0

MAC Hang: 0

Stuck Beacon: 20

MCI Reset: 0

Baseband Hang: 0

Baseband Watchdog: 0

Fatal HW Error: 0

TX HW error: 0

TX Path Hang: 0

PLL RX Hang: 0

MAC Hang: 0

Stuck Beacon: 0

MCI Reset: 0

comment:207 in reply to: ↑ 205 Changed 2 years ago by anonymous

Replying to anonymous:

Not sure if this has been reported elsewhere, but I found this advice on a forum some time ago and it has helped me.

Whenever the Failed to Stop TX DMA error shows up, I run:
/sbin/iw wlan0 scan

and everything returns to a usable state.
Sometimes, it very quickly returns to the Failed to Stop TX DMA state again, but a few "iw wlan0 scan" will eventually clear it up.

I can confirm that this helps clear up up the problem (at least sometimes). My download speeds sometimes go from 50 KB/s to 2MB/s after spamming this command a bunch of times.

comment:208 Changed 2 years ago by c.m.s.v

I can confirm the same result. A few "iw wlan0 scan" will eventually clear it up and improves performance.

comment:209 Changed 2 years ago by anonymous

On r40392 "Failed to Stop TX DMA, queues=0x004!" notification still appears in the logs.

comment:210 Changed 2 years ago by xyyzzf@…

11g mode works well

comment:211 Changed 2 years ago by rene.reineke@…

Using r40395
system type : Atheros AR9132 rev 2
machine : TP-LINK TL-WR1043ND
Using HT40 mode

[ 7588.730000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00028cc0
[ 7588.740000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[ 7928.700000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Sometimes the messages does not do any harm (or at least not noticed)
Sometimes wifi goes down/locks up. In that case: I either get get disconnected from wifi or have no data throughput, or wifi goes down and does not appear wifi SSID does not appear anymore/e.g. cannot connect anymore.

comment:212 follow-up: Changed 2 years ago by Thomas S. <stather@…>

Any progess here?

comment:213 in reply to: ↑ 212 ; follow-up: Changed 2 years ago by anonymous

From a personal perspective: Yes! I sold the router and got a replacement by ASUS. Some time ago TP Link acknowledge a hardware fault and replaced devices. The efforts necessary to successfully eliminate this bug stand in no relation to its potential outcome.

comment:214 Changed 2 years ago by anonymous

Can you provide a link to the statement by TP Link? I missed this acknowledgement of a hardware fault. Thank you.

comment:215 in reply to: ↑ 213 Changed 2 years ago by wildlava

Replying to anonymous:

From a personal perspective: Yes! I sold the router and got a replacement by ASUS. Some time ago TP Link acknowledge a hardware fault and replaced devices. The efforts necessary to successfully eliminate this bug stand in no relation to its potential outcome.

Hi! Curious: which ASUS model? I had looked over all of the supported HW, and it was hard to find a good alternative to the TP-Link, but I'd love to know of a good one.

comment:216 Changed 2 years ago by Thomas S. <stather@…>

I'd like to have the link to the statement from TP-Link as well please.

comment:217 Changed 2 years ago by fzipi@…

Yeah, me too. Please post that link.

comment:218 Changed 2 years ago by anonymous

I don't have a statement from TP Link at hand. I just remember that I read in one forum that representatives from TP Link to some degree acknowledged a hardware failure and there fore replaced units if they are still covered by warranty.

Disclaimer: It is possible that I have misunderstood something or that it was not a TP Link representative or that I mixing things up. :)

With my 1043ND, I had to reboot 2 times a day and I couldn't stand it anymore. I bought a Asus N66U instead. No reboots, but with modified DD-WRT software (AsusWRT, with modificiations from Merlin). I can finally surf the internet in peace!

comment:219 Changed 2 years ago by anonymous

Hm, unless I am missing something, it doesn't appear the OpenWRT is supported on the ASUS EA-N66. Bummer.

comment:220 follow-up: Changed 2 years ago by anonymous

This used to work flawlessly with older builds of Barrier Breaker. Doesn't feel like a hardware failure to me, just a software regression.

Is it possible to downgrade firmware?

comment:221 in reply to: ↑ 220 Changed 2 years ago by wildlava

Replying to anonymous:

This used to work flawlessly with older builds of Barrier Breaker. Doesn't feel like a hardware failure to me, just a software regression.

Is it possible to downgrade firmware?

The problem existed before, actually: in Attitude Adjustment. I upgraded to Barrier Breaker because of this. It seems at least better (but since the wifi problem does not set in until it's been running a long time, not sure), but I still get similar errors. So not strictly a regression - perhaps a recurring issue.

comment:222 Changed 2 years ago by c.m.s.v

I have this problem with dlink routers too and not just tp-link. I also have a wr1043nd with hardly any of the errors as the are rare for that model and my usage. I do believe this has a fix.

comment:223 Changed 2 years ago by Comitizer

I've started to have this problem again. It seemed to go away. I was running svn 39154 and I had no problems for a long time. On Apr 21 I upgraded to r40431 and that's when the problems started again.

comment:224 Changed 2 years ago by Comitizer

I should point out that I'm build from the AA branch so there are only a few changes in there. If I get some time I'll see if I can narrow it down.

But otherwise it looks like the problem could come from one of the following:

r39407
r40431

Those are the only two revisions between than and now that are marked at ath9x.

comment:225 Changed 2 years ago by anonymous

@Comitizer - r39585 works ok so issue came with r39928 (ath9/mac80211 backport from trunk)

comment:226 Changed 2 years ago by Comitizer

OK, so is this something we can fix or are we stuck at revisions prior to r39928 ?

comment:227 Changed 2 years ago by finas

As a new user to this bug ticket I would like to add that I have been compiling firmware on a weekly basis to see is this problem goes away.

I have this problem on:

  • TP-Link TL-WA901ND V2
  • TP-Link TL-WA901ND V3
  • TP-link TL-WA801ND V2

I have problems in all of them ( total 5 devices ) and they are all in diferent buidings.
There is no real way for me to understand how it happens. Two are in the office with about 15 connected clients, one is on a separate building with something like 8 connected clients, another one is on a school that has a huge amount of clients. Sonner or later wireless locks out.

What I see in all is something like this:

[ 5389.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[10896.130000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[10897.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11169.300000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[11315.790000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[11367.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[11470.960000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[11902.020000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[12085.190000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[12941.360000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[12946.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13036.690000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13417.470000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13522.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13845.040000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14055.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[14621.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[14730.530000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[15014.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[15324.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!

.. and what happens is that suddently wireless stops working. New clients cannot connect, old clients stay connected but no data goes through.

What I can add to this, and it is very little unfortunatly is that I started upgrading to weekly builds about 4-6 months ago and before that one of them had an uptime of several months. Unfortunatly I have no idea of the revision I was on. I was the latest trunk at that date for sure..

I'm willing to give remote access to these devices to anyone from the dev team in the quest to help fix this. Just leave a message here and I'll find a way of contact.

comment:228 Changed 2 years ago by anonymous

is it possible to add kernel 3.14 support for these ar71xx targets?
as i have read in another forum, that "ath failed to stop [...] - error" might be caused by the kernel itself. this bug should have been fixed in kernel 3.11 and higher. maybe it's worth it.

the workaround to turn off 11ng functionality is kind of annoying.

just one thing the say: special thanks @ the devs for spending so much time and energy to get that problem fixed

comment:229 Changed 2 years ago by c.m.s.v

I can confirm that the workaround of turning off N does not work with DISTRIB_REVISION="r39154" Atheros AR7240 rev 2 (TP-Link wr841nd)
With which revision seems to be working with ?

Last edited 2 years ago by c.m.s.v (previous) (diff)

comment:230 Changed 2 years ago by finas

a new one that I saw today on the 901 v2 with OpenWrt Barrier Breaker r40756 / LuCI Trunk (svn-r10180)

159206.020000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[159628.790000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[159637.490000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[159644.760000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[159654.180000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[161966.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[162983.390000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[172738.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[263980.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[264487.520000] ------------[ cut here ]------------
[264487.520000] WARNING: at /home/operador/openwrt/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-03-31/include/net/mac80211.h:4520 0x80e40eb8()
[264487.540000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[264487.610000] CPU: 0 PID: 1077 Comm: hostapd Not tainted 3.10.36 #4
[264487.620000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.620000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.620000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.620000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.620000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 80ff99b0
[264487.620000] ...
[264487.650000] Call Trace:[<8006ddf4>] 0x8006ddf4
[264487.660000] [<8006ddf4>] 0x8006ddf4
[264487.660000] [<800763c0>] 0x800763c0
[264487.670000] [<80e40eb8>] 0x80e40eb8
[264487.670000] [<80e50000>] 0x80e50000
[264487.670000] [<80076478>] 0x80076478
[264487.680000] [<80e40eb8>] 0x80e40eb8
[264487.680000] [<800db570>] 0x800db570
[264487.680000] [<800ee158>] 0x800ee158
[264487.690000] [<80e19c48>] 0x80e19c48
[264487.690000] [<800ee158>] 0x800ee158
[264487.700000] [<80d55b18>] 0x80d55b18
[264487.700000] [<8020a6e8>] 0x8020a6e8
[264487.700000] [<800997e4>] 0x800997e4
[264487.710000] [<8020a470>] 0x8020a470
[264487.710000] [<80209b10>] 0x80209b10
[264487.710000] [<800dc270>] 0x800dc270
[264487.720000] [<8020a458>] 0x8020a458
[264487.720000] [<801e25fc>] 0x801e25fc
[264487.720000] [<801e25c0>] 0x801e25c0
[264487.730000] [<8020946c>] 0x8020946c
[264487.730000] [<801e15b0>] 0x801e15b0
[264487.740000] [<80098b5c>] 0x80098b5c
[264487.740000] [<802098d8>] 0x802098d8
[264487.740000] [<80098d2c>] 0x80098d2c
[264487.750000] [<8007cf64>] 0x8007cf64
[264487.750000] [<801d8c18>] 0x801d8c18
[264487.750000] [<801d8d08>] 0x801d8d08
[264487.760000] [<801e4294>] 0x801e4294
[264487.760000] [<801d9cb0>] 0x801d9cb0
[264487.760000] [<801fc7c0>] 0x801fc7c0
[264487.770000] [<801fcf08>] 0x801fcf08
[264487.770000] [<800926f0>] 0x800926f0
[264487.770000] [<800f290c>] 0x800f290c
[264487.780000] [<800f2d30>] 0x800f2d30
[264487.780000] [<800f2bc0>] 0x800f2bc0
[264487.790000] [<80241f74>] 0x80241f74
[264487.790000] [<800efe68>] 0x800efe68
[264487.790000] [<801d9524>] 0x801d9524
[264487.800000] [<800dfdfc>] 0x800dfdfc
[264487.800000] [<800f090c>] 0x800f090c
[264487.800000] [<801d95d0>] 0x801d95d0
[264487.810000] [<801dae18>] 0x801dae18
[264487.810000] [<800625b0>] 0x800625b0
[264487.820000]
[264487.820000] ---[ end trace 082be38f0d6a62c3 ]---
[264487.830000] ------------[ cut here ]------------
[264487.830000] WARNING: at /home/operador/openwrt/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-03-31/net/mac80211/rate.c:249 0x80e12c68()
[264487.850000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[264487.920000] CPU: 0 PID: 1077 Comm: hostapd Tainted: G W 3.10.36 #4
[264487.930000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.930000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.930000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.930000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[264487.930000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 80ff9868
[264487.930000] ...
[264487.960000] Call Trace:[<8006ddf4>] 0x8006ddf4
[264487.970000] [<8006ddf4>] 0x8006ddf4
[264487.970000] [<800763c0>] 0x800763c0
[264487.970000] [<80e12c68>] 0x80e12c68
[264487.980000] [<80e50000>] 0x80e50000
[264487.980000] [<80076478>] 0x80076478
[264487.980000] [<80262608>] 0x80262608
[264487.990000] [<80e12c68>] 0x80e12c68
[264487.990000] [<801ea524>] 0x801ea524
[264487.990000] [<80e12f10>] 0x80e12f10
[264488.000000] [<8026371c>] 0x8026371c
[264488.000000] [<80e41bd8>] 0x80e41bd8
[264488.000000] [<802639cc>] 0x802639cc
[264488.010000] [<802081f4>] 0x802081f4
[264488.010000] [<80e138bc>] 0x80e138bc
[264488.020000] [<801ea3b8>] 0x801ea3b8
[264488.020000] [<80e220ac>] 0x80e220ac
[264488.020000] [<801cf57c>] 0x801cf57c
[264488.030000] [<801e14b4>] 0x801e14b4
[264488.030000] [<801eb26c>] 0x801eb26c
[264488.030000] [<80e223dc>] 0x80e223dc
[264488.040000] [<80e23eec>] 0x80e23eec
[264488.040000] [<80e167fc>] 0x80e167fc
[264488.040000] [<80e19c90>] 0x80e19c90
[264488.050000] [<80209f4c>] 0x80209f4c
[264488.050000] [<80d546c0>] 0x80d546c0
[264488.060000] [<8020a6e8>] 0x8020a6e8
[264488.060000] [<800997e4>] 0x800997e4
[264488.060000] [<8020a470>] 0x8020a470
[264488.070000] [<80209b10>] 0x80209b10
[264488.070000] [<800dc270>] 0x800dc270
[264488.070000] [<8020a458>] 0x8020a458
[264488.080000] [<801e25fc>] 0x801e25fc
[264488.080000] [<801e25c0>] 0x801e25c0
[264488.080000] [<8020946c>] 0x8020946c
[264488.090000] [<801e15b0>] 0x801e15b0
[264488.090000] [<801e47c0>] 0x801e47c0
[264488.090000] [<802098d8>] 0x802098d8
[264488.100000] [<80098d2c>] 0x80098d2c
[264488.100000] [<8007cf64>] 0x8007cf64
[264488.110000] [<801d8c18>] 0x801d8c18
[264488.110000] [<801d8d08>] 0x801d8d08
[264488.110000] [<801e4294>] 0x801e4294
[264488.120000] [<801d9cb0>] 0x801d9cb0
[264488.120000] [<801fc7c0>] 0x801fc7c0
[264488.120000] [<801fcf08>] 0x801fcf08
[264488.130000] [<800926f0>] 0x800926f0
[264488.130000] [<800f290c>] 0x800f290c
[264488.130000] [<800f2d30>] 0x800f2d30
[264488.140000] [<800f2bc0>] 0x800f2bc0
[264488.140000] [<800efe68>] 0x800efe68
[264488.140000] [<801d9524>] 0x801d9524
[264488.150000] [<800dfdfc>] 0x800dfdfc
[264488.150000] [<800f090c>] 0x800f090c
[264488.160000] [<801dae18>] 0x801dae18
[264488.160000] [<80090b20>] 0x80090b20
[264488.160000] [<800625b0>] 0x800625b0
[264488.170000]
[264488.170000] ---[ end trace 082be38f0d6a62c4 ]---

comment:231 follow-ups: Changed 2 years ago by nbd

please try the current version

comment:232 Changed 2 years ago by c.m.s.v

I have been testing AA r40757 with:
system type : Atheros AR9132 rev 2
machine : TP-LINK TL-WR1043ND

So far i have not seen TX DMA errors.

comment:233 in reply to: ↑ 231 Changed 2 years ago by xosevp

Replying to nbd:

please try the current version

In Buffalo WZR-HP-G300NH2, with current trunk, "switch/vlan" is broken.

With the same config options:

fine - r40756 :
# swconfig dev switch0 show
....
VLAN 1:

vid: 1
ports: 0t 1 3 4 5

VLAN 2:

vid: 2
ports: 0t 2

broken - r40831 :
....
VLAN 1:

vid: 1
ports: 1 3 4 5 <------- 0t missing

VLAN 2:

vid: 2
ports: 0t 2

-thanks-

comment:234 in reply to: ↑ 231 Changed 2 years ago by finas

Replying to nbd:

please try the current version

Using "Powered by LuCI Trunk (svn-r10248) OpenWrt Barrier Breaker r40860" those kernel dump errors appear to be gone but the Failed to stop TX DMA still pop up from time to time on the TL-WA901ND V2. I haven't tested the other models.

comment:235 Changed 2 years ago by amargarit@…

DISTRIB_REVISION="r40431"
DISTRIB_TARGET="ar71xx/generic"
system type : Atheros AR7241 rev 1
machine : Ubiquiti UniFi
[24440.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[24440.550000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[24440.560000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

Same behavior as above

comment:236 Changed 2 years ago by c.m.s.v

HT20 (n/g)

Atheros AR7240 rev 2
TP-LINK TL-WR741ND TL-WR841ND
D-Link DIR-600 rev. A1

AA DISTRIB_REVISION="r40835"

So far i am not getting Failed to stop TX DMA, queues errors

comment:237 Changed 2 years ago by anonymous

To try and reproduce simply load up many torrents on a client machine and connect it to the router wirelessly.

comment:238 Changed 2 years ago by anonymous

I tested trunk r41181 and r41173 on my WR703N,
and both got "phy0: Failed to stop TX DMA, queues=0x004!" error.

So I revert to r40842, which works well for me.

comment:239 Changed 2 years ago by cchhat01@…

Dangit!!!

I am using the WD MyNet N750 routers (2 of them) in WDS mode. Recently, I switched from r39555 to trunk (r41181) and noticed that clients connecting to the router were unable to connect at a full 300mbps anymore. I login to the LuCI frontend and noticed that the 2.4GHz network has its TX Leg bandwidth halved (from 40MHz to 20MHz) just shortly after the wireless comes up.
Kernel log shows this particular error about failed to stop TX DM , queues=0x004). I have noscan option enabled on both bands (2.4GHz and 5GHz) and on both routers.

Surprisingly this only affects phy0 (only 2.4GHz ?)
Here is my kernel log (from Main router):

[ 221.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 221.840000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 631.090000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 631.590000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[ 632.600000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 633.590000] ath: phy0: Failed to stop TX DMA, queues=0x001!

and from the WDS Client+AP (secondary router):

[ 731.670000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.760000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.800000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.850000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 731.890000] ath: phy0: Failed to stop TX DMA, queues=0x005!

Also looking at the system log, I think this problem is caused when one of my WiFi devices (HP-Notebook with AR9285 WiFi Card) tries to connect to the routers, up until this point everything works fine in 40MHz mode.

Here is the log from the Main router:

Sun Jun 15 19:19:37 2014 daemon.info hostapd: wlan0: STA 4c:xx:xx:xx:xx:xx IEEE 802.11: Switching to 20 MHz operation
Sun Jun 15 19:19:38 2014 kern.err kernel: [ 216.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Sun Jun 15 19:19:38 2014 kern.err kernel: [ 216.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!

And from the WDS AP+Client router:

Sun Jun 15 19:28:12 2014 daemon.info hostapd: wlan0: STA 4c:xx:xx:xx:xx:xx IEEE 802.11: Switching to 20 MHz operation
Sun Jun 15 19:28:15 2014 kern.err kernel: [ 724.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Sun Jun 15 19:28:15 2014 kern.err kernel: [ 724.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Not sure what this means

This didn't happen with r39555 so something has changed. Probably kernel related assuming i went from 3.10.28 to 3.10.36.

Hope this helps figuring out what is causing this problem.

In the meantime, is there a particular trunk build in the r4xxxx range that I can build that won't exhibit this issue? I need trunk because support for my routers is only enabled trunk (I think?).

Thanks,
Chirag C.

Changed 2 years ago by cchhat01@…

tcpdump wlan0

Changed 2 years ago by cchhat01@…

tcpdump wlan0.sta2

comment:240 Changed 2 years ago by anonymous

I added the tcpdump capture running on r41296.
My behavior is now different. NO TX DMA errors so far. Now the wlan0 interface switches from 40MHz operation to 20 MHz without any error. For me, the switching from 40 to 20mhz is still common among all builds which have the problem.
No errors in r40948, however everything I have built from r41055 and onwards, has had these issues. Can't say anything for changes between r40948 and r41055 ( have not tested them).

The problem is very easy for me to replicate. I have a Notebook PC with an AR9285 802.11bgn card (150mbps max) which when connecting to the AP broadcasting at 40MHz mode, brings down the operation to 20MHz mode. Again, for me this is happening since r41055. This error log is running r41296. Last error free build for me was r40948.

Hopefully the tcpdumps can help in getting to the bottom of the issue.

Here are the kernel and system logs respectively:

[  189.770000] ------------[ cut here ]------------
[  189.770000] WARNING: at /home/chirag/bb/mynet/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/chan.c:535 ieee80211_recalc_chanctx_min_def+0x4f8/0x6c4 [mac80211]()
[  189.790000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat fuse sg ledtrig_usbdev ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 vfat fat ntfs nls_utf8 nls_iso8859_1 nls_cp850 nls_cp437 ipv6 arc4 crypto_blkcipher usb_storage uhci_hcd ohci_hcd ehci_platform ehci_hcd sd_mod scsi_mod gpio_button_hotplug ext4 crc16 jbd2 mbcache usbcore nls_base usb_common crypto_hash
[  189.890000] CPU: 0 PID: 2176 Comm: hostapd Not tainted 3.10.36 #2
[  189.890000] Stack : 00000000 00000000 00000000 00000000 80362eba 00000035 86f6c5d8 87229274
[  189.890000] 	  802bb240 8030921b 00000880 80362664 86f6c5d8 87229274 86ed9b88 0000002c
[  189.890000] 	  875496e0 80078f34 00000003 800769b4 8734bdd0 87229274 802bcb00 86ed9a7c
[  189.890000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[  189.890000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 86ed9a08
[  189.890000] 	  ...
[  189.930000] Call Trace:
[  189.930000] [<8006e200>] show_stack+0x48/0x70
[  189.940000] [<80076ab0>] warn_slowpath_common+0x78/0xa8
[  189.950000] [<80076b68>] warn_slowpath_null+0x18/0x24
[  189.950000] [<8732b464>] ieee80211_recalc_chanctx_min_def+0x4f8/0x6c4 [mac80211]
[  189.960000] 
[  189.960000] ---[ end trace 6f2a8844e1cf1894 ]---
Sun Jun 22 02:38:24 2014 daemon.info hostapd: wlan0: STA 4c:xx:xx:xx:xx:xx IEEE 802.11: Switching to 20 MHz operation
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.770000] ------------[ cut here ]------------
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.770000] WARNING: at /home/chirag/bb/mynet/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/chan.c:535 ieee80211_recalc_chanctx_min_def+0x4f8/0x6c4 [mac80211]()
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.790000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nSun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] CPU: 0 PID: 2176 Comm: hostapd Not tainted 3.10.36 #2
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] Stack : 00000000 00000000 00000000 00000000 80362eba 00000035 86f6c5d8 87229274
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] 	  802bb240 8030921b 00000880 80362664 86f6c5d8 87229274 86ed9b88 0000002c
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] 	  875496e0 80078f34 00000003 800769b4 8734bdd0 87229274 802bcb00 86ed9a7c
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 86ed9a08
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.890000] 	  ...
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.930000] Call Trace:
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.930000] [<8006e200>] show_stack+0x48/0x70
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.940000] [<80076ab0>] warn_slowpath_common+0x78/0xa8
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.950000] [<80076b68>] warn_slowpath_null+0x18/0x24
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.950000] [<8732b464>] ieee80211_recalc_chanctx_min_def+0x4f8/0x6c4 [mac80211]
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.960000] 
Sun Jun 22 02:38:24 2014 kern.warn kernel: [  189.960000] ---[ end trace 6f2a8844e1cf1894 ]---

comment:241 Changed 2 years ago by tacoal

Same problem with "r41239" on WD MyNet N750
after this it is hard to keep 450 Mhz link speed. wifi command seems to reset this like in 173202.840000. however it will happen again.

[37443.330000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[37554.340000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[173202.840000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[180020.080000] br-lan: port 5(wlan0-1) entered disabled state
[180020.080000] device wlan0-1 left promiscuous mode
[180020.090000] br-lan: port 5(wlan0-1) entered disabled state
[180020.110000] device wlan1 left promiscuous mode
[180020.110000] br-lan: port 3(wlan1) entered disabled state
[180020.160000] device wlan0 left promiscuous mode
[180020.160000] br-lan: port 4(wlan0) entered disabled state
[180021.190000] IPv6: ADDRCONF(NETDEV_UP): wlan1: link is not ready
[180021.220000] device wlan1 entered promiscuous mode
[180021.220000] br-lan: port 3(wlan1) entered forwarding state
[180021.230000] br-lan: port 3(wlan1) entered forwarding state
[180021.330000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[180021.340000] device wlan0 entered promiscuous mode
[180021.340000] br-lan: port 4(wlan0) entered forwarding state
[180021.350000] br-lan: port 4(wlan0) entered forwarding state
[180022.040000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[180022.060000] device wlan0-1 entered promiscuous mode
[180022.070000] br-lan: port 5(wlan0-1) entered forwarding state
[180022.070000] br-lan: port 5(wlan0-1) entered forwarding state
[180022.080000] IPv6: ADDRCONF(NETDEV_UP): wlan0-1: link is not ready
[180022.110000] br-lan: port 3(wlan1) entered disabled state
[180022.110000] br-lan: port 5(wlan0-1) entered disabled state
[180022.320000] br-lan: port 3(wlan1) entered forwarding state
[180022.320000] br-lan: port 3(wlan1) entered forwarding state
[180022.330000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan1: link becomes ready
[180022.720000] br-lan: port 5(wlan0-1) entered forwarding state
[180022.720000] br-lan: port 5(wlan0-1) entered forwarding state
[180022.730000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0-1: link becomes ready
[180023.350000] br-lan: port 4(wlan0) entered forwarding state
[180024.320000] br-lan: port 3(wlan1) entered forwarding state
[180024.720000] br-lan: port 5(wlan0-1) entered forwarding state
[342027.190000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[345092.190000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:242 Changed 2 years ago by finas

Model TP-Link TL-WA901N/ND v2
Firmware Version OpenWrt Barrier Breaker r41493 / LuCI Trunk (svn-r10457)

same TX DMA Errors. I've been building and trying twice a week and, no improvements since my last comment

comment:243 in reply to: ↑ description Changed 2 years ago by christian.suenkenberg@…

Yesterday, I updated some of my WNDR4300 (AR9340 2,4 GHz, AR9580 5 GHz) from r40695 to r41835.

I'm excited to report that I have not been able to reproduce the hung tx queues (Failed to stop TX DMA...) anymore, however, now the kernel logs nf load timeouts every few hours.

[19533.140000] ath: phy0: Timeout while waiting for nf to load: AR_PHY_AGC_CONTROL=0x1d0d5a

These seem to be non critical, I'll continue testing and collecting user feedback.

Thanks a lot for your continuous efforts, Felix!

comment:244 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:245 Changed 2 years ago by dphi

With 14.07-rc2 on a TP TL-WR841N v8.

ath: phy0: Failed to stop TX DMA, queues=0x004!
$ dmesg |grep -ic "Failed to stop TX DMA"
58
$ cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog:  7
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 55
        MCI Reset:  0
Calibration error:  0

comment:246 Changed 2 years ago by finas

OpenWrt Barrier Breaker r41823 / LuCI Trunk (svn-r10459)

running since it is out and no more tx dma errors on all the access points that had the issue.

comment:247 Changed 2 years ago by anonymous

[10461.320000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[22815.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[23401.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!

WNDR3800 Chaos Calmer r41899

comment:248 Changed 2 years ago by anonymous

with regards to previous message

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
Baseband Hang: 0
Baseband Watchdog: 0
Fatal HW Error: 0
TX HW error: 0
Transmit timeout: 0
TX Path Hang: 16
PLL RX Hang: 0
MAC Hang: 80
Stuck Beacon: 171
MCI Reset: 0
Calibration error: 0

comment:249 Changed 2 years ago by Culex

Today my router rebooted for unknown reasons. I now have syslog-ng sending the syslog over udp as well as saving the log to a local hard drive.

3 hours later the wifi dropped for about 4-5 minutes and the SSID disappeared. There was nothing in any log I could find to explain this. But it started working once again and the router had not been rebooted.

This may in fact be related to #15709 and/or #15641

WNDR3800 Chaos Calmer r41899

comment:250 Changed 2 years ago by finas

with OpenWrt Chaos Calmer r41922 / LuCI Trunk (svn-r10465) the tx dma errors are back.

comment:251 Changed 2 years ago by Culex

2d 13h 28m 35s since the last crash reboot I haven't seen the tx error message. However.

root@OpenWrt:/sys/kernel/debug/ieee80211/phy0/ath9k# cat reset
Baseband Hang: 0
Baseband Watchdog: 0
Fatal HW Error: 0
TX HW error: 0
Transmit timeout: 0
TX Path Hang: 11
PLL RX Hang: 0
MAC Hang: 462
Stuck Beacon: 304
MCI Reset: 0
Calibration error: 0

I would like to note phy1 which is the 5ghz band, though only few of my devices are able to use it, it is flawlessly sitting at zero errors.

I'm currently recompiling with PACKAGE_ATH_DEBUG

comment:252 Changed 2 years ago by anonymous

I have an "TL-WR841N" v9 and i have similar problems:
[ 50.070000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 50.590000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[ 51.230000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 57.230000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 61.710000] ath: phy0: Failed to stop TX DMA, queues=0x105!
[ 537.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 665.970000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 781.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 811.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 923.530000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 925.660000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 952.690000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 974.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 977.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 978.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 979.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1025.820000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1194.170000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1234.420000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 1275.980000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1325.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1422.030000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1432.190000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1434.330000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 1452.360000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 1600.220000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1600.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1645.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1702.190000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1756.610000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1913.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1918.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1922.340000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1922.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1923.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 1925.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3806.150000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3910.250000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3910.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[ 3910.910000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 5522.400000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[13547.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[22783.410000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[22799.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[39700.840000] ------------[ cut here ]------------
[39700.840000] WARNING: at /BB/build/ar71xx/generic/build_dir/target-mips_34kc_u Clibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/agg- tx.c:694 ieee80211_start_tx_ba_cb+0xbc/0x12c [mac80211]()
[39700.860000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQU ERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_ limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ip v6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher gpio_button_hotplug
[39700.920000] CPU: 0 PID: 1164 Comm: kworker/u2:1 Not tainted 3.10.49 #2
[39700.930000] Workqueue: phy0 ieee80211_ibss_leave [mac80211]
[39700.940000] Stack : 80a0ea80 802e3af0 80d8b8d8 000002b6 80dc9d64 80dca894 000 00000 8182d810
[39700.940000] 80dca97c 800790b8 0000048c 800933e0 80ee8e38 80dca894 802f2694 81847d34
[39700.940000] 81847d34 800790b8 00000003 8008f710 80dc9d64 00000000 00000005 801b845c
[39700.940000] 00000000 00000000 00000000 00000000 00000000 00000000 70687930 00000000
[39700.940000] 00000000 00000000 00000000 00000000 80e76000 80e76100 80d9045c 81847ce0
[39700.940000] ...
[39700.970000] Call Trace:
[39700.980000] [<8006e30c>] show_stack+0x48/0x70
[39700.980000] [<80076c34>] warn_slowpath_common+0x78/0xa8
[39700.990000] [<80076cec>] warn_slowpath_null+0x18/0x24
[39700.990000] [<80d8b8d8>] ieee80211_start_tx_ba_cb+0xbc/0x12c [mac80211]
[39701.000000] [<80d90538>] ieee80211_ibss_leave+0xbd0/0x153c [mac80211]
[39701.010000]
[39701.010000] ---[ end trace d8340b26c3a46daf ]---
[44079.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[44238.260000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[44259.240000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[44546.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[44548.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[44936.300000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[45060.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[45177.470000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[45244.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[45497.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[45573.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!

For my bad there is no 12.09 Image for my "v9 device"... No stable firmware at all.
My clients are getting randomly disconnected.
Please fix

comment:253 Changed 2 years ago by nbd

what version was that?

comment:254 Changed 2 years ago by anonymous

I tried all...
Latest Trunk.... same error....
barrier_breaker ... both (rc1 and rc2).... same errors...

another build is not available cuz the v9 image is only available in trunk and breaker

comment:255 Changed 2 years ago by anonymous

nbd, what do you think of having the build revision printed on errors?

eg: "ath: phy0 (...)" would become "[r12345] ath: phy0: (...)"

comment:256 Changed 2 years ago by rene.reineke@…

How about you providing at least the very basic information necessary for successfully debugging?

Quoting nbd, roughly 14 months ago in this thread:

There's no 'this bug' - there's a bunch of different issues that result in the same or similar symptoms. Most of these issues I've already fixed, some remain.
My approach for fixing this is to keep reviewing the code, running different tests, fixing issues that I find, and then waiting for people to give feedback.
The best way for you guys to help me is to keep testing newer versions as I make changes to mac80211/ath9k. Many people who have had these symptoms now have reliably working systems, only in some setups or on some setups the problems remain.
When testing, please make sure you use very recent versions and always report the revision and hardware that you're using, as well as the *exact* symptoms you're observing.

Just use some common sense, think again before you hit submit. "Did I provide all the relevant information?" That's it!

comment:257 Changed 2 years ago by anonymous

Hi, i tried the latest trunk (r42092) and r41997.

Results in the same error (wr814n v9):

Massive disconnects and kernel errors (same as i posted before):

WARNING: at /BB/build/ar71xx/generic/build_dir/target-mips_34kc_u Clibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/agg- tx.c:694

Another strange thing is that the wireless is recognized as 11g, here is the default wireless config, but it should be 11ng or i'm wrong?

option type mac80211
option channel 11
option hwmode 11g
option path 'platform/qca953x_wmac'
option htmode HT20

comment:258 Changed 2 years ago by badele34

Hi,

For information,
I have disabled the TKIP encryption(i use CCMP + AES) and now, it seem that does work, I do not get more error messages "ath: phy0: Failed to stop TX DMA, queues=0x004!"

comment:259 Changed 2 years ago by anonymous

I'm on r42056 on a WZR-HP-G300nh v1, and even now, after some period of time (it varies, I haven't found a determining factor) of interacting with the Intel Ultimate-N 6300 AGN card in my laptop, the router will spit out lines like:

[136232.820000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
[136250.520000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[137186.980000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[137489.570000] ath: phy0: Failed to stop TX DMA, queues=0x008!

and then my laptop is unable to reliably connect to anything on or off the network - high packet loss, but no other device appears to be affected while this transpires. Cold power cycling the laptop does not appear to affect the behavior.

Please let me know if there's anything else I can provide that would be of service - I can try running latest nightly as well, but I didn't see any commits that appeared to affect the ath-family drivers that weren't device-specific...

comment:260 Changed 2 years ago by miharu.senpai@…

Same problem on TP-Link TL-WR2543ND on OpenWrt Barrier Breaker 14.07-rc3

[    0.000000] Linux version 3.10.49 (bb@builder1) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r41989) ) #1 Thu Aug 7 23:24:09 CEST 2014
[    0.000000] MyLoader: sysp=00000000, boardp=00000000, parts=00000000
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019374 (MIPS 24Kc)
[    0.000000] SoC: Atheros AR7242 rev 1
[    0.000000] Clocks: CPU:400.000MHz, DDR:400.000MHz, AHB:200.000MHz, Ref:5.000MHz
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x03ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x03ffffff]
[    0.000000] On node 0 totalpages: 16384
[    0.000000] free_area_init_node: node 0, pgdat 80334b60, node_mem_map 81000000
[    0.000000]   Normal zone: 128 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 16384 pages, LIFO batch:3
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[    0.000000] pcpu-alloc: [0] 0 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line:  board=TL-WR2543N console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 61076k/65536k available (2369k kernel code, 4460k reserved, 621k data, 272k init, 0k highmem)
[    0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.080000] Calibrating delay loop... 265.42 BogoMIPS (lpj=1327104)
[    0.080000] pid_max: default: 32768 minimum: 301
[    0.080000] Mount-cache hash table entries: 512
[    0.090000] NET: Registered protocol family 16
[    0.100000] MIPS: machine is TP-LINK TL-WR2543N/ND
[    0.140000] registering PCI controller with io_map_base unset
[    0.350000] bio: create slab <bio-0> at 0
[    0.360000] PCI host bridge to bus 0000:00
[    0.360000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[    0.370000] pci_bus 0000:00: root bus resource [io  0x0000]
[    0.370000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.380000] pci 0000:00:00.0: [168c:0030] type 00 class 0x028000
[    0.380000] pci 0000:00:00.0: invalid calibration data
[    0.380000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x0001ffff 64bit]
[    0.380000] pci 0000:00:00.0: reg 30: [mem 0x00000000-0x0000ffff pref]
[    0.380000] pci 0000:00:00.0: supports D1
[    0.380000] pci 0000:00:00.0: PME# supported from D0 D1 D3hot
[    0.380000] pci_bus 0000:00: busn_res: [bus 00-ff] end is updated to 00
[    0.380000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
[    0.390000] pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
[    0.390000] pci 0000:00:00.0: using irq 40 for pin 1
[    0.400000] Switching to clocksource MIPS
[    0.400000] NET: Registered protocol family 2
[    0.410000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[    0.410000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[    0.420000] TCP: Hash tables configured (established 512 bind 512)
[    0.420000] TCP: reno registered
[    0.430000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.430000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.440000] NET: Registered protocol family 1
[    0.440000] PCI: CLS 0 bytes, default 32
[    0.460000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.470000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.480000] msgmni has been set to 119
[    0.490000] io scheduler noop registered
[    0.490000] io scheduler deadline registered (default)
[    0.500000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.530000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
[    0.540000] console [ttyS0] enabled, bootconsole disabled
[    0.550000] ath79-spi ath79-spi: master is unqueued, this is deprecated
[    0.560000] m25p80 spi0.0: found s25sl064p, expected m25p80
[    0.560000] m25p80 spi0.0: s25sl064p (8192 Kbytes)
[    0.570000] 5 tp-link partitions found on MTD device spi0.0
[    0.580000] Creating 5 MTD partitions on "spi0.0":
[    0.580000] 0x000000000000-0x000000020000 : "u-boot"
[    0.590000] 0x000000020000-0x00000012e518 : "kernel"
[    0.590000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.610000] 0x00000012e518-0x0000007f0000 : "rootfs"
[    0.610000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.630000] mtd: device 2 (rootfs) set to be root filesystem
[    0.630000] 1 squashfs-split partitions found on MTD device rootfs
[    0.640000] 0x000000350000-0x0000007f0000 : "rootfs_data"
[    0.650000] 0x0000007f0000-0x000000800000 : "art"
[    0.650000] 0x000000020000-0x0000007f0000 : "firmware"
[    0.660000] rtl8367 rtl8367: using GPIO pins 1 (SDA) and 6 (SCK)
[    0.670000] rtl8367 rtl8367: RTL8367R ver. 0 chip found
[    2.580000] libphy: rtl8367: probed
[    3.140000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:RGMII
[    3.140000] TCP: cubic registered
[    3.150000] NET: Registered protocol family 17
[    3.150000] Bridge firewalling registered
[    3.160000] 8021q: 802.1Q VLAN Support v1.8
[    3.170000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    3.180000] Freeing unused kernel memory: 272K (8034c000 - 80390000)
[    6.060000] usbcore: registered new interface driver usbfs
[    6.060000] usbcore: registered new interface driver hub
[    6.070000] usbcore: registered new device driver usb
[    6.080000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    6.090000] ehci-platform: EHCI generic platform driver
[    6.090000] ehci-platform ehci-platform: EHCI Host Controller
[    6.100000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[    6.110000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[    6.130000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[    6.130000] hub 1-0:1.0: USB hub found
[    6.140000] hub 1-0:1.0: 1 port detected
[    6.460000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[    6.580000] eth0: link up (1000Mbps/Full duplex)
[    9.990000] jffs2: notice: (331) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 19 of xref (0 dead, 5 orphan) found.
[   10.030000] eth0: link down
[   11.710000] NET: Registered protocol family 10
[   11.720000] nf_conntrack version 0.5.0 (958 buckets, 3832 max)
[   11.740000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   11.750000] Loading modules backported from Linux version master-2014-05-22-0-gf2032ea
[   11.760000] Backport generated by backports.git backports-20140320-37-g5c33da0
[   11.770000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   11.830000] xt_time: kernel timezone is -0000
[   11.870000] cfg80211: Calling CRDA to update world regulatory domain
[   11.870000] cfg80211: World regulatory domain updated:
[   11.880000] cfg80211:  DFS Master region: unset
[   11.880000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   11.890000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   11.900000] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   11.910000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[   11.920000] cfg80211:   (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
[   11.920000] cfg80211:   (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   11.930000] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   11.940000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   11.950000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[   12.020000] PPP generic driver version 2.4.2
[   12.030000] NET: Registered protocol family 24
[   12.090000] PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
[   12.100000] ath: EEPROM regdomain: 0x0
[   12.100000] ath: EEPROM indicates default country code should be used
[   12.100000] ath: doing EEPROM country->regdmn map search
[   12.100000] ath: country maps to regdmn code: 0x3a
[   12.100000] ath: Country alpha2 being used: US
[   12.100000] ath: Regpair used: 0x3a
[   12.110000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   12.120000] ieee80211 phy0: Atheros AR9300 Rev:3 mem=0xb0000000, irq=40
[   12.130000] cfg80211: Calling CRDA for country: US
[   12.130000] cfg80211: Regulatory domain changed to country: US
[   12.140000] cfg80211:  DFS Master region: FCC
[   12.140000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   12.150000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[   12.160000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 1700 mBm), (N/A)
[   12.170000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2300 mBm), (0 s)
[   12.180000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[   12.190000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   20.440000] eth0: link up (1000Mbps/Full duplex)
[   20.460000] device eth0.1 entered promiscuous mode
[   20.460000] device eth0 entered promiscuous mode
[   20.480000] br-lan: port 1(eth0.1) entered listening state
[   20.480000] br-lan: port 1(eth0.1) entered listening state
[   20.490000] IPv6: ADDRCONF(NETDEV_UP): br-lan: link is not ready
[   22.480000] br-lan: port 1(eth0.1) entered learning state
[   22.630000] cfg80211: Calling CRDA for country: SK
[   22.640000] cfg80211: Regulatory domain changed to country: SK
[   22.640000] cfg80211:  DFS Master region: ETSI
[   22.650000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   22.660000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   22.660000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   22.670000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz), (N/A, 2000 mBm), (0 s)
[   22.680000] cfg80211:   (5490000 KHz - 5710000 KHz @ 80000 KHz), (N/A, 2700 mBm), (0 s)
[   22.690000] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   24.480000] br-lan: topology change detected, propagating
[   24.480000] br-lan: port 1(eth0.1) entered forwarding state
[   24.490000] IPv6: ADDRCONF(NETDEV_CHANGE): br-lan: link becomes ready
[   25.170000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   25.200000] device wlan0 entered promiscuous mode
[   25.200000] br-lan: port 2(wlan0) entered listening state
[   25.210000] br-lan: port 2(wlan0) entered listening state
[   25.490000] br-lan: port 2(wlan0) entered disabled state
[   27.830000] br-lan: port 2(wlan0) entered listening state
[   27.830000] br-lan: port 2(wlan0) entered listening state
[   27.840000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   29.830000] br-lan: port 2(wlan0) entered learning state
[   31.830000] br-lan: topology change detected, propagating
[   31.830000] br-lan: port 2(wlan0) entered forwarding state
[ 2980.540000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 3507.760000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 7508.800000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 7758.820000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 8308.860000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 8358.870000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 8608.890000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 9058.920000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[ 9358.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[10459.040000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[10909.070000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13048.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13398.270000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13498.270000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13598.280000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13848.300000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[13898.310000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14198.330000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14248.830000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14298.840000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14543.360000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14652.870000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[14762.380000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[15122.900000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[15483.930000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[15733.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[16584.010000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[16784.540000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[17294.080000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[17344.080000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[17544.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[17644.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[17694.110000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[18967.710000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[19117.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[19669.770000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[19769.780000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[20517.280000] nf_conntrack: automatic helper assignment is deprecated and it will be removed soon. Use the iptables CT target to attach helpers instead.
[20869.860000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[21019.870000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[21069.880000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[29950.260000] UDP: short packet: From 12.191.25.170:41405 25649/123 to 10.241.25.97:6881
[30848.650000] UDP: short packet: From 12.191.25.170:41405 25649/123 to 10.241.25.97:6881
[31741.360000] UDP: short packet: From 12.191.25.170:63274 25649/123 to 10.241.25.97:6881
[32638.260000] UDP: short packet: From 12.191.25.170:63274 25649/123 to 10.241.25.97:6881
[101401.310000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[101465.730000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[101782.840000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[101882.850000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[102232.890000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[102382.890000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[102433.390000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[102483.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[102533.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[103504.980000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[103554.980000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[103805.000000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[104455.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[104805.580000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[104855.590000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[104956.090000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[105356.130000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[105556.140000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[106830.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[107131.270000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[107381.790000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[107632.820000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[179872.190000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[179922.190000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[180422.230000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[180472.230000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[180622.240000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[180722.250000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[182936.430000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[183236.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[183486.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[184037.020000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[184187.030000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[189651.470000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[189701.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[190713.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191033.580000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191084.080000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191221.590000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191272.090000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191373.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191683.630000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[192154.670000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[192654.710000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[192975.730000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[273940.780000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[274290.800000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[274340.810000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[274750.840000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[274850.850000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[274961.360000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[275111.370000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[275161.370000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[278623.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[371412.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[371462.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[412280.480000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[413916.880000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[418422.920000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[423076.770000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[439779.560000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[532203.550000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[532353.560000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[532503.570000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[532654.090000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[532904.610000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[533305.140000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[533355.140000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[533405.150000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[533725.170000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[533826.190000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[534273.210000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[536612.400000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[536821.920000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[536921.930000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[536971.930000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[537331.460000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[537436.470000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[538716.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[538766.570000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[615297.600000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[619151.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[619409.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[621501.640000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[622552.220000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[622902.250000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[623452.300000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[659849.160000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[660653.220000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[686565.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[687253.450000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[687374.560000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[687494.910000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[698518.170000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[698568.180000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[698878.700000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[699765.770000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[700099.300000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[700408.830000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[700459.830000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[700509.830000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[701547.420000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[701894.940000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[701944.950000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[702194.970000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[702764.010000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[702865.020000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[702965.030000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[703509.570000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[707415.880000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[708175.440000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[708375.960000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[708476.470000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[708676.980000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[709149.510000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[710202.100000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[710302.110000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[710402.110000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[710703.140000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[710753.150000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[710953.160000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711103.170000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711203.180000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[711253.190000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711353.200000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711585.710000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711635.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[711735.730000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[716187.260000] device wlan0 left promiscuous mode
[716187.260000] br-lan: port 2(wlan0) entered disabled state
[716188.870000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[716188.870000] device wlan0 entered promiscuous mode
[716190.880000] br-lan: port 2(wlan0) entered listening state
[716190.890000] br-lan: port 2(wlan0) entered listening state
[716190.900000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[716192.890000] br-lan: port 2(wlan0) entered learning state
[716194.890000] br-lan: topology change detected, propagating
[716194.890000] br-lan: port 2(wlan0) entered forwarding state
[717553.990000] device wlan0 left promiscuous mode
[717553.990000] br-lan: port 2(wlan0) entered disabled state
[717555.590000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[717555.600000] device wlan0 entered promiscuous mode
[717557.860000] br-lan: port 2(wlan0) entered listening state
[717557.860000] br-lan: port 2(wlan0) entered listening state
[717557.870000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[717559.860000] br-lan: port 2(wlan0) entered learning state
[717561.860000] br-lan: topology change detected, propagating
[717561.860000] br-lan: port 2(wlan0) entered forwarding state

cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog: 200
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  1
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 38
        MCI Reset:  0
Calibration error:  3

network is sometime unstable and slow but also on eth interface too (ping grow up from cca 30ms to 250-300ms)

comment:261 Changed 2 years ago by anonymous

Hello,

same here on 14.07-rc3 and TP-Link Wa850Re.
Disconnects Wlan and unresponsible, but recovers by itself after some time.
Had this trouble on various comparable devices during the last months.

Best wishes

comment:262 Changed 2 years ago by elgaard

Had the error today.
The wireless became unstable. I managed to connect from one computer using WiFI, but could not connect from any other computer using WiFI.

It only happened once so far, and I rebooted it before finding this ticket, so I cannot provide more info.

[ 24.720000] br-lan: port 3(wlan0) entered forwarding state
[63147.160000] nf_conntrack: automatic helper assignment is deprecated and it will be removed soon. Use the iptables CT target to attach helpers instead.
[68547.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!

# cat /etc/openwrt_release
DISTRIB_ID='OpenWrt'
DISTRIB_RELEASE='Bleeding Edge'
DISTRIB_REVISION='r43006'
DISTRIB_CODENAME='chaos_calmer'
DISTRIB_TARGET='ar71xx/generic'
DISTRIB_DESCRIPTION='OpenWrt Chaos Calmer r43006'
DISTRIB_TAINTS=

comment:263 follow-up: Changed 2 years ago by nbd

the instability should be gone in newer versions (it was fixed in r43011)

comment:264 Changed 2 years ago by rafael.moraes@…

Bug instill present in (r43042)

Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.820000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 599.960000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 600.000000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 600.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 600.090000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Mon Oct 27 09:45:16 2014 kern.err kernel: [ 600.150000] ath: phy0: Failed to stop TX DMA, queues=0x005!

comment:265 Changed 2 years ago by clayman@…

Sadly, it was not fixed :(

TP-Link TL-WR941N/ND v3
LuCI Trunk (git-14.294.77948-ecb0c2f) OpenWrt Chaos Calmer r43027

[97949.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[97949.890000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[97949.900000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[98121.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[98121.920000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[98121.930000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

comment:266 Changed 2 years ago by finas

same with me:

TP-Link TL-WA901N/ND v2

Powered by LuCI Trunk (git-14.299.62422-2826426) OpenWrt Chaos Calmer r43100

Linux version 3.10.58 (operador@gecko) (gcc version 4.9.2 (OpenWrt/Linaro GCC 4.9-2014.10 r43100) ) #2 Tue Oct 28 17:31:20 WET 2014

[58191.790000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[61124.360000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[65235.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[68780.790000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[69666.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[77870.610000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[77872.650000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[78292.280000] ath: phy0: Failed to stop TX DMA, queues=0x104!
[79098.760000] ath: phy0: Failed to stop TX DMA, queues=0x005!

comment:267 Changed 2 years ago by anonymous

Maybe this ticket need to have the highest priority of all, it seems a lot of atheros radios are unusable since a long time...

I can reproduce the problem when you have like 10 stations connected to the ap and everyone starts to download something.

comment:268 Changed 23 months ago by eduardo.perezesteban@…

Yet another "me too", just in case this could be useful to someone: while transferring large files using SAMBA, I see these messages on my router's log:

...
Fri Nov 7 12:30:00 2014 kern.err kernel: [159195.490000] ath: phy0: Failed to stop TX DMA, queues=0x104!
Fri Nov 7 12:30:20 2014 kern.err kernel: [159214.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Fri Nov 7 12:30:20 2014 kern.err kernel: [159215.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Fri Nov 7 12:30:24 2014 kern.err kernel: [159218.940000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Fri Nov 7 12:30:40 2014 kern.err kernel: [159235.730000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Fri Nov 7 12:30:41 2014 kern.err kernel: [159236.140000] ath: phy0: Failed to stop TX DMA, queues=0x004!
...

However, network seems to be working perfectly: the transmission does not stop, and other clients can connect and browse the network without problems.

  • router:

TP-Link TL-WDR4300 v1.7
OpenWrt Barrier Breaker 14.07 / LuCI Trunk (0.12+svn-r10530)

  • SAMBA server:

Raspberry Pi Model B
Edimax Technology Co., Ltd EW-7811Un 802.11n Wireless Adapter [Realtek RTL8188CUS]

  • SAMBA client:

Linux - Fedora 20 64bit
Wired connection to the router

comment:269 Changed 23 months ago by anonymous

Yes this problem appeared on my router(tplink wdr6300, ar9344, openwrt CC) too.

Sat Nov  8 16:39:26 2014 kern.err kernel: [15849.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Sat Nov  8 16:41:45 2014 kern.err kernel: [15988.900000] ath: phy0: Failed to stop TX DMA, queues=0x005!

But the router runs perfectly except sometime the the wifi connection seems lost(when you open a webpage, the chrome showing "connecting..." message for a long time and the luci pages on 192.168.1.1 doesn't response too, the wireless status of the computer shows it is still connected. Only after a reconnect operation on the computer it works normal again).

comment:270 Changed 23 months ago by formywillcancer@…

Yes this problem appeared on my router(tplink wdr6300, ar9344, openwrt CC) too.

Sat Nov  8 16:39:26 2014 kern.err kernel: [15849.430000] ath: phy0: Failed to stop TX DMA, queues=0x004!
Sat Nov  8 16:41:45 2014 kern.err kernel: [15988.900000] ath: phy0: Failed to stop TX DMA, queues=0x005!

But the router runs perfectly except sometime the the wifi connection seems lost(when you open a webpage, the chrome showing "connecting..." message for a long time and the luci pages on 192.168.1.1 doesn't response too, the wireless status of the computer shows it is still connected. Only after a reconnect operation on the computer it works normal again).

comment:271 Changed 23 months ago by eduardo.perezesteban@…

Hi! I'm the same from #comment:260:

I have not changed the hardware or updated any software, perhaps I have rebooted the router, but nothing else has changed in my setup. However, I have been transferring large files to the wifi-connected machine, and downloading movies from that same machine all night, and I have only seen the message once in my logs. Connection seems fast and rock solid.

comment:272 Changed 23 months ago by joachim.zettler@…

Bug still in 43239.

[14978.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[15594.500000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[15799.300000] ath: phy0: Failed to stop TX DMA, queues=0x004

Happens at arbitrary times but mainly when I connect the macbook the the AP. Hope this gets fixed soon.

AP used: TP-Link TL-WR1043N/ND v2

Cheers,
joachim

comment:273 Changed 23 months ago by anonymous

Same here.

comment:274 Changed 23 months ago by syzop@…

When the area is crowded with students I can reproduce this issue within minutes. If there are many TX DMA errors (like now) then the wifi is unuseable. Channel saturation is "only" about 30-40%.

CHAOS CALMER (Bleeding Edge, r43293)

Nov 18 12:49:13 d-12 kernel: [ 1273.590000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Nov 18 12:49:15 d-12 kernel: [ 1276.260000] ath: phy0: Failed to stop TX DMA, queues=0x08c!
Nov 18 12:49:16 d-12 kernel: [ 1276.620000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:49:39 d-12 kernel: [ 1299.660000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Nov 18 12:49:42 d-12 kernel: [ 1302.510000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:49:46 d-12 kernel: [ 1306.890000] ath: phy0: Failed to stop TX DMA, queues=0x008!
Nov 18 12:49:49 d-12 kernel: [ 1309.680000] ath: phy0: Failed to stop TX DMA, queues=0x009!
Nov 18 12:50:10 d-12 kernel: [ 1330.830000] ath: phy0: Failed to stop TX DMA, queues=0x10d!
Nov 18 12:50:20 d-12 kernel: [ 1341.410000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:50:25 d-12 kernel: [ 1346.320000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:50:44 d-12 kernel: [ 1365.140000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
Nov 18 12:51:06 d-12 kernel: [ 1386.610000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:51:14 d-12 kernel: [ 1395.360000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:51:32 d-12 kernel: [ 1413.380000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:33 d-12 kernel: [ 1414.280000] ath: phy0: Failed to stop TX DMA, queues=0x08c!
Nov 18 12:51:34 d-12 kernel: [ 1415.360000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:36 d-12 kernel: [ 1416.840000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:51:36 d-12 kernel: [ 1417.300000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:37 d-12 kernel: [ 1417.720000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:37 d-12 kernel: [ 1417.880000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:37 d-12 kernel: [ 1418.030000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:51:38 d-12 kernel: [ 1419.040000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:51:38 d-12 kernel: [ 1419.100000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:39 d-12 kernel: [ 1419.720000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:51:51 d-12 kernel: [ 1431.560000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:01 d-12 kernel: [ 1441.700000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:03 d-12 kernel: [ 1443.780000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:52:03 d-12 kernel: [ 1443.830000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:04 d-12 kernel: [ 1444.910000] ath: phy0: Failed to stop TX DMA, queues=0x10d!
Nov 18 12:52:05 d-12 kernel: [ 1446.270000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:05 d-12 kernel: [ 1446.330000] ath: phy0: Failed to stop TX DMA, queues=0x10c!
Nov 18 12:52:09 d-12 kernel: [ 1450.390000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:11 d-12 kernel: [ 1451.930000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:11 d-12 kernel: [ 1451.990000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:52:12 d-12 kernel: [ 1453.040000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:13 d-12 kernel: [ 1454.110000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:14 d-12 kernel: [ 1455.170000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:14 d-12 kernel: [ 1455.220000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:14 d-12 kernel: [ 1455.280000] ath: phy0: Failed to stop TX DMA, queues=0x08c!
Nov 18 12:52:14 d-12 kernel: [ 1455.370000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:52:14 d-12 kernel: [ 1455.420000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
Nov 18 12:52:18 d-12 kernel: [ 1458.480000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
Nov 18 12:52:52 d-12 kernel: [ 1493.380000] ath: phy0: Failed to stop TX DMA, queues=0x009!}}
# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog: 130
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang: 74
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 11
        MCI Reset:  0
Calibration error:  0
# uci show wireless
wireless.radio0=wifi-device
wireless.radio0.type=mac80211
wireless.radio0.channel=11
wireless.radio0.hwmode=11g
wireless.radio0.path=platform/ar934x_wmac
wireless.radio0.htmode=HT20
wireless.radio0.txpower=20
wireless.radio0.country=NL
wireless.@wifi-iface[0]=wifi-iface
wireless.@wifi-iface[0].device=radio0
wireless.@wifi-iface[0].network=lan
wireless.@wifi-iface[0].mode=ap
wireless.@wifi-iface[0].encryption=psk2+ccmp
wireless.@wifi-iface[0].key=xxxxx
wireless.@wifi-iface[0].ssid=MLHJ
wireless.radio1=wifi-device
wireless.radio1.type=mac80211
wireless.radio1.hwmode=11a
wireless.radio1.path=pci0000:00/0000:00:00.0
wireless.radio1.country=NL
wireless.radio1.txpower=15
wireless.radio1.htmode=HT40
wireless.radio1.channel=36
wireless.@wifi-iface[1]=wifi-iface
wireless.@wifi-iface[1].device=radio1
wireless.@wifi-iface[1].network=lan
wireless.@wifi-iface[1].mode=ap
wireless.@wifi-iface[1].ssid=MLHJ
wireless.@wifi-iface[1].encryption=psk2+ccmp
wireless.@wifi-iface[1].key=xxxxx

If you need anything else, let me know.

comment:275 Changed 23 months ago by pekseg@…

today in the kernel log:


BARRIER BREAKER (14.07, r42625)
-----------------------------------------------------

  • 1/2 oz Galliano Pour all ingredients into
  • 4 oz cold Coffee an irish coffee mug filled
  • 1 1/2 oz Dark Rum with crushed ice. Stir.
  • 2 tsp. Creme de Cacao

-----------------------------------------------------

root@OpenWrt-router:~# dmesg
[3042354.290000] ------------[ cut here ]------------
[3042354.290000] WARNING: at /BB/build/ar71xx/generic/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/rx.c:3372 ieee80211_rx+0x13c/0x7f8 [mac80211]()
[3042354.310000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[3042354.320000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 tun ipv6 arc4 crypto_blkcipher usb_storage ohci_hcd sd_mod scsi_mod ext4 crc16 jbd2 mbcache crypto_hash ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[3042354.390000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.49 #3
[3042354.400000] Stack : 00000000 00000000 00000000 00000000 803bce76 00000032 8033f578 80e35d70
[3042354.400000] 802f5b44 8033f9a3 00000000 803b3a00 8033f578 80e35d70 000000e5 8182c498
[3042354.400000] 803b0000 80290d44 00000003 801f39b0 80ecb37c 80e35d70 802f71d4 8032fbac
[3042354.400000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[3042354.400000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 8032fb38
[3042354.400000] ...
[3042354.430000] Call Trace:
[3042354.430000] [<80235a38>] show_stack+0x48/0x70
[3042354.440000] [<802a06ec>] warn_slowpath_common+0x78/0xa8
[3042354.440000] [<802a0748>] warn_slowpath_fmt+0x2c/0x38
[3042354.450000] [<80e9f278>] ieee80211_rx+0x13c/0x7f8 [mac80211]
[3042354.460000] [<80f66410>] ath_rx_tasklet+0x96c/0x9b8 [ath9k]
[3042354.460000] [<80f63cd0>] ath9k_tasklet+0x1ac/0x230 [ath9k]
[3042354.470000] [<80259288>] tasklet_action+0x84/0xcc
[3042354.470000] [<8008f698>] do_softirq+0xd0/0x1bc
[3042354.480000] [<8011f8bc>] do_softirq+0x48/0x68
[3042354.480000] [<8017ee00>] irq_exit+0x54/0x70
[3042354.490000] [<80060830>] ret_from_irq+0x0/0x4
[3042354.490000] [<80060a80>]
r4k_wait+0x20/0x40
[3042354.500000] [<800f96c4>] cpu_startup_entry+0xa4/0x104
[3042354.500000] [<8034c918>] start_kernel+0x394/0x3ac
[3042354.510000]
[3042354.510000] ---[ end trace ec1e7e8239a77825 ]---
[3095181.050000] ath: phy0: Failed to stop TX DMA, queues=0x005!

comment:276 Changed 22 months ago by ValdikSS

I have the same on TP-Link TL-WDR4300 with Barrier Breaker release. By the way, I had no problems with BB RC3 at all!

[310402.180000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[418166.910000] ath: phy0: Failed to stop TX DMA, queues=0x001!
[460817.190000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[467403.050000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[559559.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[560096.570000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[564062.130000] device wlan0 left promiscuous mode
[564062.130000] br-lan: port 3(wlan0) entered disabled state
[564062.670000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[564062.690000] device wlan0 entered promiscuous mode
[564062.690000] br-lan: port 3(wlan0) entered forwarding state
[564062.700000] br-lan: port 3(wlan0) entered forwarding state
[564063.120000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[564064.700000] br-lan: port 3(wlan0) entered forwarding state
[566982.020000] ------------[ cut here ]------------
[566982.020000] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1e8/0x26c()
[566982.030000] NETDEV WATCHDOG: eth0 (ag71xx): transmit queue 0 timed out
[566982.030000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_helper xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ipt_ECN ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 tun ipv6 arc4 crypto_blkcipher ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[566982.110000] CPU: 0 PID: 1322 Comm: dnsmasq Not tainted 3.10.49 #3
[566982.120000] Stack : 00000000 00000000 00000000 00000000 803bce76 00000035 86e10a08 00000029
[566982.120000] 	  802f5b44 8033f9a3 0000052a 803b3a00 86e10a08 00000029 803bc7c8 00000001
[566982.120000] 	  00000004 80290d44 00000003 801f39b0 8030e8c8 00000029 802f71d4 8730b8fc
[566982.120000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[566982.120000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 8730b888
[566982.120000] 	  ...
[566982.150000] Call Trace:
[566982.160000] [<80235a38>] show_stack+0x48/0x70
[566982.160000] [<802a06ec>] warn_slowpath_common+0x78/0xa8
[566982.170000] [<802a0748>] warn_slowpath_fmt+0x2c/0x38
[566982.170000] [<80109cf0>] dev_watchdog+0x1e8/0x26c
[566982.180000] [<800e9698>] call_timer_fn.isra.38+0x24/0x84
[566982.180000] [<8021e4b0>] run_timer_softirq+0x17c/0x1bc
[566982.190000] [<8008f698>] __do_softirq+0xd0/0x1bc
[566982.190000] [<8011f8bc>] do_softirq+0x48/0x68
[566982.200000] [<801a4730>] local_bh_enable+0x90/0xac
[566982.200000] [<87bf438c>] ipt_do_table+0x1c0/0x6b4 [ip_tables]
[566982.210000] [<872d0150>] 0x872d0150
[566982.210000] 
[566982.210000] ---[ end trace 0fdae97b6c4b8a73 ]---
[566982.220000] eth0: tx timeout
[566982.280000] eth0: link down
[566983.780000] eth0: link up (1000Mbps/Full duplex)
[566983.780000] br-lan: port 1(eth0.1) entered disabled state
[566983.810000] br-lan: port 1(eth0.1) entered forwarding state
[566983.820000] br-lan: port 1(eth0.1) entered forwarding state
[566985.820000] br-lan: port 1(eth0.1) entered forwarding state
[566989.020000] eth0: tx timeout
[566989.020000] eth0: link down
[566989.020000] br-lan: port 1(eth0.1) entered disabled state
[566989.780000] eth0: link up (1000Mbps/Full duplex)
[566989.790000] br-lan: port 1(eth0.1) entered forwarding state
[566989.800000] br-lan: port 1(eth0.1) entered forwarding state
[566991.800000] br-lan: port 1(eth0.1) entered forwarding state
[566995.020000] eth0: tx timeout
[566995.020000] eth0: link down

comment:277 Changed 21 months ago by anonymous

I get the same issue every now and then. I'm on LuCI Trunk (0.12+svn-r10530) OpenWrt Barrier Breaker 14.07

comment:278 Changed 21 months ago by anonymous

I have the same issue on TP link wr1043nd v2
FunnelWeb 2014-04-14 / LuCI Trunk (svn-r9964)

I noticed that these errors are appeared when i use a torrent. When the router passes much of traffic through itself (kind p2p traffic) than there are errors.

ath: phy0: Failed to stop TX DMA, queues=0x001!

comment:279 Changed 21 months ago by mark@…

happens on TP-Link TL-WR841N v9 ath: phy0: Failed to stop TX DMA, queues=0x004!

OpenWrt Barrier Breaker 14.07 / LuCI Trunk (0.12+svn-r10530)

comment:280 Changed 21 months ago by sharkys

Same here :

[    0.000000] Linux version 3.14.26 (xxxxx@debian) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r43779) ) #3 Fri Dec 26 16:37:30 CST 2014
    0.100000] MIPS: machine is TP-LINK TL-WR841N/ND v8
....
[38257.520000] ath: phy0: Failed to stop TX DMA, queues=0x002!

on WR841N with DMA errors: cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon:  1
        MCI Reset:  0
Calibration error:  0

Occurred during high load but on 2MBit line. Btw, haven't seen it yet on my TPLINK WR850RE, where I do have 40MBit !

on WR850RE where is no issue : cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

 Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon:  4
        MCI Reset:  0
Calibration error:  0


Last edited 21 months ago by sharkys (previous) (diff)

comment:281 Changed 21 months ago by anonymous

i got couple of these, running AA at G mode

Jan 5 12:15:15 OpenWrt kern.err kernel: [17165.210000] ath: phy0: Failed to stop TX DMA, queues=0x004!

Jan 6 00:13:27 OpenWrt kern.err kernel: [60257.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!

there is no noticeable link quality loss

comment:282 Changed 21 months ago by Shogo

system type : Atheros AR9344 rev 2
machine : TP-LINK TL-WDR3600/4300/4310
DISTRIB_RELEASE="Barrier Breaker"
DISTRIB_REVISION="r42943"

[47260.680000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[61640.900000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[61809.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[65831.330000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[181860.600000] ath: phy0: Failed to stop TX DMA, queues=0x004!

WiFi on the 2.4 becomes unusable until wifi is run or a powecycle.
On a Ubiquiti unifi, I've seen that this is not fixed until a reboot.

comment:283 follow-up: Changed 21 months ago by ericwong

I experienced same problem on my TP-1043ND v1 running Barrier Breaker r43694.

However, I noticed some WIFI channel works better than the others in avoiding this problem, i.e. using some channel will cause this problem to occur in minutes whereas other channel take hours/days under similar conditions.

I am using this router to stream IP camera's live video using WiFi to my computer that is connected via ethernet. I have nothing else connected on this router.

If you have similar problems, try to use a different channel might help you avoid this bug until there is a proper fix.

comment:284 Changed 21 months ago by anonymous

it's only when there is lot of traffic

[ 2069.800000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2069.900000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2070.210000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2070.310000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2070.620000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2070.820000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2071.030000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2071.130000] ath: phy2: Failed to stop TX DMA, queues=0x002!
[ 2681.440000] ath: phy2: Failed to stop TX DMA, queues=0x002!

comment:285 Changed 20 months ago by anonymous

Same problem happened here using BB stable release.

[420550.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[420673.770000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[420752.720000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[420796.860000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[420875.810000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[420919.950000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:286 Changed 20 months ago by anonymous

Forgot to mention. I'm using the WDR3600.

comment:287 Changed 20 months ago by ThorB

Router-Model
TPLINK TL-WDR4300 v1

Firmware-Version
DD-WRT v24-sp2 (12/22/14) std - build 25697

Status: ok
Reset: yes
Errors: yes

up 2 days, 2:27

Log full of following errors:

Feb  4 17:41:40 xxxxxxx kern.err kernel: [234823.320000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
Feb  4 17:41:40 xxxxxxx kern.err kernel: [234823.360000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Feb  4 21:59:21 xxxxxxx kern.err kernel: [250284.720000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Feb  4 22:08:16 xxxxxxx kern.err kernel: [250819.700000] ath: phy0: Failed to stop TX DMA, queues=0x008!

comment:288 Changed 20 months ago by anonymous

I got the same message on TP-1043ND v2.1 running Barrier Breaker 14.04.
ath: phy0: Failed to stop TX DMA

comment:289 Changed 20 months ago by anonymous

Still happening on Chaos Calmer r43996 using WD My Net N600

comment:290 in reply to: ↑ 283 Changed 20 months ago by syzop@…

I agree with ericwong's comment that it appears channel related. I have about 35 access points (WNDR3700v2, WNDR3700v4 and WNDR3800), and about 80-90% that had the problem were all on channel 11, even though I had channel 1, 6 and 11 usage split almost perfectly 33%/33%/33% between all the AP's (and no two ap's with same channel next to each other, the usual kind of stuff).

When I changed all the access points that were using channel 11 to channel 1 or 6 it had a BIG positive impact on the number of TX DMA errors... they went from about 800 per day to around 250 (total errors of all AP's combined). Actually that's still with a few access points on channel 11, it will probably get near 100 per day if I change those last ones too.

When I say channel related, it doesn't necessarily mean that channel 11 is "faulty" or something, more likely that channel is just saturated or has some interference and that's what triggering this error.
Which, by the way, brings me to another feeling I have: that this TX DMA error we are all seeing may not be the SOURCE of the problem but rather a RESULT of a problem, such as over-crowded channel and/or interference. Anyway, I have no proof to support this statement. The Channel Saturation statistics I'm getting are unreliable for some reason.
Makes you wonder if this error simply means that the band is so crowded at the time that the send request (TX DMA) times out because it was unable to send (at all) in time because the AP is waiting for the band to clear before transmit.

On a side note, the real solution for us.. with so much crowded traffic.. is to move as many clients to 5GHz as possible. On the 5GHz band I rarely see any TX DMA errors, talking about 1% of the error rate I see on the 2.4GHz band, often even zero.
Unfortunately that's easier said than done, most equipment is not from us. Fortunately many NEW devices are 5GHz capable nowadays, but even just a year ago dual band was not too common for laptops.. and the fact that you can't just simply buy and put a dual band card in every laptop due to manufacturers maintaining a silly WiFi whitelist in the BIOS is not exactly helping. Ending up patching BIOS's etc... Anyway, that's a completely different subject...

comment:291 Changed 20 months ago by syzop@…

By the way, I suggest everyone who is seeing this error to ignore it if you only see it happening once per hour or like once per 10 minutes. In my experience, only if you see the TX DMA error multiple times per minute you have a real problem and the wifi is unusable.

Other than that, see previous comment.

comment:292 follow-up: Changed 20 months ago by sharkys

Well not sure ;-( Just today, on channel 3 ;-(

TL-WR841N-v8

OpenWrt Chaos Calmer r43779

config wifi-device 'radio0'
	option type 'mac80211'
	option macaddr '64:70:02:bd:fc:c6'
	option hwmode '11ng'
	list ht_capab 'LDPC'
	list ht_capab 'SHORT-GI-20'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'TX-STBC'
	list ht_capab 'RX-STBC1'
	list ht_capab 'DSSS_CCK-40'
	option channel '3'
	option txpower '20'
	option country 'CZ'
	option distance '60'
	option htmode 'HT20'

config wifi-iface
	option device 'radio0'
	option mode 'ap'
	option wds '1'
	option key 'password'
	option network 'lan'
	option ssid 'aptonda'
	option encryption 'psk2+ccmp'


# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 37
        MCI Reset:  0
Calibration error:  0

# cat /sys/kernel/debug/ieee80211/phy0/ath9k/interrupt

                 RXLP:    1716658
                 RXHP:          0
              WATHDOG:          0
                RXEOL:         42
                RXORN:          0
                   TX:    2337463
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:    4156059
                BMISS:          0
                  BNR:          0
                  CST:        190
                  GTT:        270
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:    8170940
SYNC_CAUSE stats:
             Sync-All:          0
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          0
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:          0
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0
Sun Feb  8 12:09:49 2015 kern.err kernel: [33038.990000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:09:50 2015 kern.err kernel: [33040.320000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:09:53 2015 kern.err kernel: [33043.490000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:09:54 2015 kern.err kernel: [33043.800000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:12:16 2015 kern.err kernel: [33185.730000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:12:27 2015 kern.err kernel: [33197.200000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:12:31 2015 kern.err kernel: [33201.290000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:12:33 2015 kern.err kernel: [33202.740000] ath: phy0: Failed to stop TX DMA, queues=0x102!
Sun Feb  8 12:12:50 2015 kern.err kernel: [33220.440000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:12:58 2015 kern.err kernel: [33227.920000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:24 2015 kern.err kernel: [33254.340000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:27 2015 kern.err kernel: [33257.520000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:29 2015 kern.err kernel: [33259.260000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:47 2015 kern.err kernel: [33276.870000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:47 2015 kern.err kernel: [33277.180000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:50 2015 kern.err kernel: [33280.450000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:52 2015 kern.err kernel: [33282.600000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:53 2015 kern.err kernel: [33282.810000] ath: phy0: Failed to stop TX DMA, queues=0x102!
Sun Feb  8 12:13:55 2015 kern.err kernel: [33285.160000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:13:59 2015 kern.err kernel: [33288.760000] ath: phy0: Failed to stop TX DMA, queues=0x102!
Sun Feb  8 12:14:02 2015 kern.err kernel: [33292.330000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:14:04 2015 kern.err kernel: [33293.770000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:14:04 2015 kern.err kernel: [33293.970000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:14:07 2015 kern.err kernel: [33297.350000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:14:22 2015 kern.err kernel: [33311.790000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:15:01 2015 kern.err kernel: [33351.320000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:15:05 2015 kern.err kernel: [33355.520000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:15:10 2015 kern.err kernel: [33359.720000] ath: phy0: Failed to stop TX DMA, queues=0x002!
Sun Feb  8 12:15:25 2015 kern.err kernel: [33375.590000] ath: phy0: Failed to stop TX DMA, queues=0x002!

comment:293 Changed 20 months ago by sharkys

Not sure if even this is useful or not :

# cat /sys/kernel/debug/ieee80211/phy0/ath9k/queues

(VO):  qnum: 3 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(VI):  qnum: 2 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(BE):  qnum: 1 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(BK):  qnum: 0 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(CAB): qnum: 8 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0

comment:294 Changed 20 months ago by marakoss@…

Same issue here on TP-Link 1043ND. This happens mostly randomly, but strangely I have found that pluging my WDTV Media Player through UTP cable will trigger this error also (at 90% succesa rate). I too believe its based on interference on wifi chanel (or any electro-magnetic interference)l. Can somebody confirm if this happens on official firmware? Thank you for working on this long standing issue.

comment:295 in reply to: ↑ 292 Changed 20 months ago by syzop@…

Replying to sharkys:

Well not sure ;-( Just today, on channel 3 ;-(

Yeah, the TX DMA error multiple times per minute.. that's exactly what I mean: then you're in trouble :/.

One thing, if I may give a little advice: I wouldn't use channel 3. Rather, stick to one of: 1, 6 or 11.
Reason: channel 3 overlaps both with channel 1 and channel 6 (and vice versa) [*]. Since almost everyone else will be using 1/6/11 this means you may get twice as much interference: both from the people on channel 1 and the ones on channel 6.
Unless you are fortunate to live far away from any other access point of course.. then it doesn't matter.. but even then I'd just still stick to 1 / 6 / 11 ;)

[*] http://en.wikipedia.org/wiki/List_of_WLAN_channels#2.4.C2.A0GHz_.28802.11b.2Fg.2Fn.29

comment:296 follow-up: Changed 20 months ago by sharkys

@syzop, thank you, unfortunatelly it's happening really in the area which is almost without any interference ;-(

@nbd, did you gave up or you are still working on some magic please ? I would be really nice to hear from you. ;-(

comment:297 in reply to: ↑ 296 Changed 20 months ago by xosevp

Replying to sharkys:

@syzop, thank you, unfortunatelly it's happening really in the area which is almost without any interference ;-(

@nbd, did you gave up or you are still working on some magic please ? I would be really nice to hear from you. ;-(

Did you try CHAOS CALMER ??

Download latest: http://downloads.openwrt.org/snapshots/trunk/ar71xx/generic/openwrt-ar71xx-generic-wzr-hp-g300nh2-squashfs-sysupgrade.bin

In the router -> Select "Keep settings:" before do "Flash new firmware image"

wait...

ssh root@router-openwrt-ip
# opkg update ; opkg install luci luci-ssl ; /etc/init.d/uhttpd start ; /etc/init.d/uhttpd enable

end

Last edited 20 months ago by xosevp (previous) (diff)

comment:298 follow-up: Changed 20 months ago by sharkys

Thanks, but yes - since the beginning compiling always the latest version myself.

comment:299 in reply to: ↑ 298 Changed 20 months ago by xosevp

Replying to sharkys:

Thanks, but yes - since the beginning compiling always the latest version myself.

BTW, people can also post errors in the general wireless ml: linux-wireless(AT)vger.kernel.org http://vger.kernel.org/vger-lists.html#linux-wireless

Last edited 20 months ago by xosevp (previous) (diff)

comment:300 Changed 20 months ago by anonymous

I think having 40Mhz channel width instead of 20Mhz increases the frequency of this error and the amount of time it lasts for maybe due to the fact that it would get more interference with a wider channel width.

Either way it should not lock up even with interference. I always try the latest SVN version but it has not resolved the issue yet unfortunately.

I did read a bug report about this issue in the kernel a while back but it should be resolved by now.

comment:301 Changed 19 months ago by tatsuya46

i use ddwrt but this problem is relevant to all fw except stock that support qualcomm atheros, found some info about it & made it reproduceable

http://svn.dd-wrt.com/ticket/2952#comment:110

http://www.dd-wrt.com/phpBB2/viewtopic.php?t=171400&postdays=0&postorder=asc&start=285

i found the cause, finally..it was in front of me the whole damn time, its the 40mhz/fat channel intolerant bit that some clients either force, or have the option to force it. thats what that setting does, make that client do ht20 only, BUT also tries to force the entire network on 2.4ghz to use ht20 as well. its an override, but "wide ht40" only setting, is also an override, 2 overrides clash & start fighting, somehow the client wins. i thought of this yesterday when i noticed the macbook online, the entire network was in ht20 only & had their uptimes reset + tx dma spam again. i know apple computers never do ht40 on 2.4ghz cause of apple's decision, but apparently THEY ARE BY DEFAULT FORCING 40mhz/FAT CHANNEL INTOLERANT. other clients such as the iphone/ipad/ipod touch, playstation4, wii-u, which are also ht20 only 802.11n devices, do NOT cause this problem & never did cause they dont force that stupid intolerant setting

i can now replicate the tx dma spam & dropouts at any given time with 100% chance & its simple with the correct hardware, in order to reproduce u need to do the following, with the following radios

*get an AR93xx or newer radio such as those found in the wndr4300/wndr3700v4 & tl-wdr4900 v1. this is NOT OCCURING ON OLDER AR92xx found in wndr3700 v1/v2/wndr3800/dir-825 b1/b2. only 1 single failed to stop tx dma occurs when i do it on these radios, with no drops, but jittery throughput.

*have another ht40 device connected (to same radio 2.4ghz) @ ht40 rates, ensure u have wide ht40 ONLY set, NOT dynamic or full ht20. if u dont have another ht40 device connected, the issue will not occur

*get a test client, best with windows, that has the 40mhz/fat channel intolerant nic setting, or a client you know that automatically forces it enabled such as a macbook when used on 2.4ghz

*switch on 40mhz/fat channel intolerant on the client so it disconnects & reconnects

*observe all other connected ht40 clients should be now forced down to ht20 until 40mhz/fat channel intolerant is disabled or the client disconnects, dropouts/tx dma spam should occur now & any throughput running at the same time will tank to near 0 mbps

*switch off 40mhz/fat channel intolerant on the test client

*reinitialize the radios by applying settings on wifi page or reboot router

*attempt again

u MUST do it in these steps to reproduce, doing this i can make spam of tx dma & dropouts happen indefinitely, all day every day with the exact same queues=0x002! & 0x00a! codes EVERY single time. so the problem is newer radios cant SMOOTHLY transition from ht40 to ht20 while that client is connected, or override that stupid 40mhz/fat channel intolerant bit that a client may connect with. i hope the latter is going to be the fix, how & why should a single client connecting with an 802.11n OPTIONAL SPEC setting, 40mhz/fat channel intolerant, override the AP? AP is boss, when the user selects ht40 ONLY, it should be ht40 ONLY, ht20 clients still work fine like always, but that 40mhz/fat channel intolerant bit needs to be properly overridden & not force down the entire network

this has nothing to do with 20/40 coexistence setting nics have, or protection mode, or any other setting, its solely 40mhz/fat channel intolerant. on AR93xx+ radios, dont know about QCAxxxx radios or any newer 2.4ghz AR9xxx after AR93xx, dont have them. the SOC AR9344 on wndr4300/wndr3700v4 is 100% reproduceable, the AR9381 in tl-wdr4900 v1.x is 100% reproduceable

http://www.dd-wrt.com/phpBB2/viewtopic.php?t=171400&postdays=0&postorder=asc&start=285

brainslayer can u please investigate this exactly following the steps i mentioned & using a 2.4ghz radio of similar model? (ur tl-wdr4900 v1 will do)

========================================================================================

another user, kryptex has stated:

I confirm tatsuya46's findings from Comment 110 above, for WNDR3800 on r26446 (Wide HT40 setting on the 2.4G network). I connected 2 laptops with HT40-capable WiFi? cards: Intel 6205 and Atheros AR9285. Under normal circumstances both connect with HT40.

If I enable the "Fat channel intolerant" setting in the Intel 6205's driver (up to date, latest v17.14), it immediately forces the entire network down to HT20 (on both Intel 6205 and Atheros AR9285) and the network speed suffers really badly, with intermittent disconnects/reconnects: speeds are down to 1 Mbps instead of the usual 90-95 Mpbs. The network is unusable in this state, it's really awful.

Now we know what "bad client" is: a client with setting <HT40/fat channel intolerant> enabled. As soon as such a client connects to Atheros-based routers, it produces intermittent disconnects, laggy connection, TX DMA errors, and the network becomes very unstable.

It's great to have finally nailed down the cause for the ath9k dropouts/freezes. With this new information a fix is most probably straightforward to implement. E.g. when such "bad clients" connect (Apple products such as Macbooks etc.), the transition from HT40 down to HT20 should be somehow made smooth and stable; or simply just allow the "bad client" with the HT40 intolerant bit to connect @HT20 and leave the rest of the network @HT40. The latter solution is arguably the best way to fix this bug.

========================================================================================

when testing this on the latest version of netgear stock fw for wndr3700v1, the 2.4ghz network holds ht40 with the "up to 300mbps" dynamic setting (theres 3 other 2.4ghz networks in this house, with 1 being 2ft from it), & when connecting my laptop with 40mhz intolerant ENABLED, the dropouts or lag does not occur, to add to that the network DOES NOT FOLLOW the 40mhz intolerant setting of my laptop, it completely & seamlessly OVERRIDES it, using the "up to 300mbps" setting on STOCK FW, thats the same as dynamic ht20/40..while on ddwrt ht40 ONLY, does not override 40mhz intolerant + it creates failed to stop tx dma & dropouts

also during this test (that was repeated 3 times), the test laptop with 40mhz intolerant enabled, ITSELF didnt even use ht20 rates, it held with ht40. with my iphone 6 doing a wlan throughput test throughout the entire test, its throughput did not drop any more than 1.5mbps for a period of 1 second when the laptop connected. the entire test on stock fw was completely seamless, completely, seamless & smooth

comment:302 Changed 19 months ago by anonymous

CHAOS CALMER (Bleeding Edge, r44497)

Baseband Hang: 0

Baseband Watchdog: 45

Fatal HW Error: 0

TX HW error: 0

Transmit timeout: 0

TX Path Hang: 0

PLL RX Hang: 0

MAC Hang: 0

Stuck Beacon: 18

MCI Reset: 0

Calibration error: 0

config wifi-device 'radio0'

option type 'mac80211'
option hwmode '11g'
option path 'platform/ar933x_wmac'
option htmode 'HT40'
option txpower '15'
option channel 'auto'
option country 'US'

config wifi-iface

option device 'radio0'
option network 'lan'
option mode 'ap'
option ssid REMOVED
option encryption 'psk2+ccmp'
option key REMOVED
option wmm '1'
option isolate_client '1'

hwmode is actually 802.11n.

comment:303 Changed 18 months ago by anonymous

This problem existed since 12.9
No one can eliminate the error ?
Are larger companies interested that these devices are not usable for larger environments ?

comment:304 Changed 18 months ago by anonymous

Experiencing the same issue on BARRIER BREAKER (14.07, r42625). Took me a while to figure out why the WiFi was so unreliable every once and a while. Switched back to G for now - horrible workaround.

comment:305 Changed 18 months ago by anonymous

Still present in OpenWrt Chaos Calmer r44918. Just confirming.

comment:306 Changed 18 months ago by finas

On a TP-Link TL-WA901N/ND v2

OpenWrt Chaos Calmer r45525 / LuCI Master (git-15.110.30908-6a13d73)

[68149.340000] ------------[ cut here ]------------
[68149.340000] WARNING: CPU: 0 PID: 0 at /home/operador/openwrt.901nd/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e20cdc()
[68149.360000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[68149.370000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[68149.440000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.18.11 #20
[68149.450000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68149.450000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68149.450000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68149.450000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68149.450000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68149.450000] ...
[68149.480000] Call Trace:[<80239e88>] 0x80239e88
[68149.490000] [<80239e88>] 0x80239e88
[68149.490000] [<8029e97c>] 0x8029e97c
[68149.500000] [<80e20cdc>] 0x80e20cdc
[68149.500000] [<8029e9d8>] 0x8029e9d8
[68149.500000] [<80e20cdc>] 0x80e20cdc
[68149.510000] [<800f029c>] 0x800f029c
[68149.510000] [<800a2544>] 0x800a2544
[68149.510000] [<80dbc36c>] 0x80dbc36c
[68149.520000] [<80ce6330>] 0x80ce6330
[68149.520000] [<80136bfc>] 0x80136bfc
[68149.520000] [<80136718>] 0x80136718
[68149.530000] [<80ce3d84>] 0x80ce3d84
[68149.530000] [<8015e200>] 0x8015e200
[68149.530000] [<80259c7c>] 0x80259c7c
[68149.540000] [<80092e24>] 0x80092e24
[68149.540000] [<8015efa4>] 0x8015efa4
[68149.540000] [<8020ece8>] 0x8020ece8
[68149.550000] [<80186f5c>] 0x80186f5c
[68149.550000] [<80060830>] 0x80060830
[68149.550000] [<8020afe4>] 0x8020afe4
[68149.560000] [<80105d64>] 0x80105d64
[68149.560000] [<80060a80>] 0x80060a80
[68149.570000] [<800651f8>] 0x800651f8
[68149.570000] [<80306a94>] 0x80306a94
[68149.570000] [<80306364>] 0x80306364
[68149.580000]
[68149.580000] ---[ end trace 680959903afa673b ]---
[68155.190000] ------------[ cut here ]------------
[68155.190000] WARNING: CPU: 0 PID: 0 at /home/operador/openwrt.901nd/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e20cdc()
[68155.210000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[68155.220000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[68155.290000] CPU: 0 PID: 0 Comm: swapper Tainted: G W 3.18.11 #20
[68155.300000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68155.300000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68155.300000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68155.300000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68155.300000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[68155.300000] ...
[68155.330000] Call Trace:[<80239e88>] 0x80239e88
[68155.340000] [<80239e88>] 0x80239e88
[68155.340000] [<8029e97c>] 0x8029e97c
[68155.340000] [<80e20cdc>] 0x80e20cdc
[68155.350000] [<8029e9d8>] 0x8029e9d8
[68155.350000] [<8019e7b0>] 0x8019e7b0
[68155.360000] [<80e20cdc>] 0x80e20cdc
[68155.360000] [<800f029c>] 0x800f029c
[68155.360000] [<800a2544>] 0x800a2544
[68155.370000] [<80dbc36c>] 0x80dbc36c
[68155.370000] [<80ce6330>] 0x80ce6330
[68155.370000] [<80136bfc>] 0x80136bfc
[68155.380000] [<80136718>] 0x80136718
[68155.380000] [<80ce3d84>] 0x80ce3d84
[68155.380000] [<8015e200>] 0x8015e200
[68155.390000] [<80259c7c>] 0x80259c7c
[68155.390000] [<80092e24>] 0x80092e24
[68155.390000] [<8015efa4>] 0x8015efa4
[68155.400000] [<8020ece8>] 0x8020ece8
[68155.400000] [<80186f5c>] 0x80186f5c
[68155.400000] [<80060830>] 0x80060830
[68155.410000] [<8020afe4>] 0x8020afe4
[68155.410000] [<80105d64>] 0x80105d64
[68155.410000] [<80060a80>] 0x80060a80
[68155.420000] [<800651f8>] 0x800651f8
[68155.420000] [<80306a94>] 0x80306a94
[68155.420000] [<80306364>] 0x80306364
[68155.430000]
[68155.430000] ---[ end trace 680959903afa673c ]---
[70000.770000] ------------[ cut here ]------------
[70000.780000] WARNING: CPU: 0 PID: 0 at /home/operador/openwrt.901nd/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e20cdc()
[70000.790000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[70000.800000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[70000.880000] CPU: 0 PID: 0 Comm: swapper Tainted: G W 3.18.11 #20
[70000.880000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[70000.880000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[70000.880000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[70000.880000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[70000.880000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[70000.880000] ...
[70000.920000] Call Trace:[<80239e88>] 0x80239e88
[70000.920000] [<80239e88>] 0x80239e88
[70000.930000] [<8029e97c>] 0x8029e97c
[70000.930000] [<80e20cdc>] 0x80e20cdc
[70000.930000] [<8029e9d8>] 0x8029e9d8
[70000.940000] [<8009ed2c>] 0x8009ed2c
[70000.940000] [<80e20cdc>] 0x80e20cdc
[70000.940000] [<800f029c>] 0x800f029c
[70000.950000] [<800a2544>] 0x800a2544
[70000.950000] [<80dbc36c>] 0x80dbc36c
[70000.950000] [<80ce6330>] 0x80ce6330
[70000.960000] [<80136bfc>] 0x80136bfc
[70000.960000] [<80136718>] 0x80136718
[70000.960000] [<80ce3d84>] 0x80ce3d84
[70000.970000] [<8015e200>] 0x8015e200
[70000.970000] [<80259c7c>] 0x80259c7c
[70000.980000] [<80092e24>] 0x80092e24
[70000.980000] [<8015efa4>] 0x8015efa4
[70000.980000] [<80186f5c>] 0x80186f5c
[70000.990000] [<80060830>] 0x80060830
[70000.990000] [<8020afe4>] 0x8020afe4
[70000.990000] [<80105d64>] 0x80105d64
[70001.000000] [<80060a80>] 0x80060a80
[70001.000000] [<800651f8>] 0x800651f8
[70001.000000] [<80306a94>] 0x80306a94
[70001.010000] [<80306364>] 0x80306364
[70001.010000]
[70001.010000] ---[ end trace 680959903afa673d ]---
[71291.710000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
[71291.720000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

comment:307 Changed 17 months ago by pwigle

I have yet to test more but looks like switching from TKIP to AES seems to "fix" this issue. Throughput is perfect and the event doesn't seem to be logged anymore.

comment:308 Changed 17 months ago by anonymous

I have a WDR3600 TpLink:

# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset

Baseband Hang: 0

Baseband Watchdog: 5559

Fatal HW Error: 0

TX HW error: 0

Transmit timeout: 0

TX Path Hang: 1

PLL RX Hang: 0

MAC Hang: 0

Stuck Beacon: 372

MCI Reset: 0

Calibration error: 81

#logread
[44403.690000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[57503.440000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[58014.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79015.280000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[79223.260000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[79225.720000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[79351.460000] ath: phy0: Failed to stop TX DMA, queues=0x004!
....
[486505.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[539861.560000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[540908.060000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[548649.870000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[574060.830000] ath: phy0: Failed to stop TX DMA, queues=0x004!
....
[764753.130000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[925082.380000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1002822.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1003601.780000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1064628.990000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[1064630.420000] ath: phy0: Failed to stop TX DMA, queues=0x004!

comment:309 Changed 17 months ago by anonymous

# cat /etc/config/wireless

config wifi-device 'radio0'

option type 'mac80211'
option macaddr 'a0:f3:c1:b4:4e:bb'
option hwmode '11ng'
list ht_capab 'LDPC'
list ht_capab 'SHORT-GI-20'
list ht_capab 'SHORT-GI-40'
list ht_capab 'TX-STBC'
list ht_capab 'RX-STBC1'
list ht_capab 'DSSS_CCK-40'
option htmode 'HT40'
option channel '7'
option noscan '1'
option country 'ES'
option distance '5'
option txpower '20'

config wifi-device 'radio1'

option type 'mac80211'
option macaddr 'a0:f3:c1:b4:4e:bc'
option hwmode '11na'
list ht_capab 'LDPC'
list ht_capab 'SHORT-GI-20'
list ht_capab 'SHORT-GI-40'
list ht_capab 'TX-STBC'
list ht_capab 'RX-STBC1'
list ht_capab 'DSSS_CCK-40'
option channel 'auto'
option htmode 'HT40'
option txpower '20'
option distance '10'
option country 'ES'
option noscan '1'

config wifi-iface

option device 'radio0'
option mode 'ap'
option encryption 'psk2+ccmp'
option key '*'
option ssid 'rakanichu'
option network 'lan'

comment:310 Changed 17 months ago by anonymous

# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="14.07"
DISTRIB_REVISION="r42625"
DISTRIB_CODENAME="barrier_breaker"
DISTRIB_TARGET="ar71xx/generic"
DISTRIB_DESCRIPTION="OpenWrt Barrier Breaker 14.07"
DISTRIB_TAINTS=""

comment:311 Changed 17 months ago by vilius.palubinskas@…

using CC r45566 on tp-link wdr4300 v1.7 hw. Problem still is. Under heavy connection load gets TX DMA errors:

[150079.510000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
[150278.360000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[151144.470000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
[151974.950000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
[152606.340000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[152647.710000] ath: phy0: Failed to stop TX DMA, queues=0x002!

comment:312 Changed 17 months ago by anonymous

wdr4300 v1.7 using stable build r10530 Barrier Breaker 14.07, and I am getting these errors as well.

comment:313 Changed 16 months ago by wapbox

The same problem with Chaos Calmer 15.05-rc1
Encryption: WPA2 PSK (CCMP)

Under heavy load wifi falling down with many messages:

[15324.080000] ath: phy0: Failed to stop TX DMA, queues=0x100!

comment:314 Changed 16 months ago by tribut

Apparently, a fix for this was committed to DD-WRT: http://svn.dd-wrt.com/ticket/4078#comment:90
Could this solution also be applied to OpenWRT?

comment:315 Changed 16 months ago by anonymous

In the beginning that bug report on dd-wrt has a lot of talk on client-mode, but it does end with some kind of AP mode fix: "try these new images. i found something additional for intolerant handling in hostapd" and then people screaming Yayy all TX DMA errors gone. But no patch or diff is quoted.

In the bug report there are some hints that Brainslayer & nbd do communicate.

Still skeptical, as always. I've never used ht40 and also get many of these TX DMA messages.

comment:316 in reply to: ↑ 263 Changed 16 months ago by sailor_ca

Replying to nbd:

the instability should be gone in newer versions (it was fixed in r43011)

I have a number of installations still present this error and all have builds later than r43011. I see this ticket is set to "response-needed" but I'm not sure what information you need besides the problem seems to still exist :) If you are simply swamped with work can you drop a message to let us know? Thanks for your time.

comment:317 Changed 16 months ago by anonymous

Please test r45874 or newer

comment:318 Changed 16 months ago by finas

tested r45879 on three 901ND devices ( v1 v2 and v3 ) and problem remains.

[ 55.940000] random: nonblocking pool is initialized
[ 275.800000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[ 275.810000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
[71510.840000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[71547.630000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[79660.530000] ath: phy0: Failed to stop TX DMA, queues=0x002!

comment:319 Changed 16 months ago by KrypteX

Just wanted to chime in with additional info for you guys, since I use both DD-WRT and OpenWrt:

The TX DMA errors for the older AR91xx/AR92xx radios were fixed in DD-WRT with commits:
http://svn.dd-wrt.com/changeset/27039
http://svn.dd-wrt.com/changeset/27068
http://svn.dd-wrt.com/changeset/27072
These were hostapd fixes by BrainSlayer, which ignore the HT40 intolerance and Bluetooth coexistence requests by the WiFi clients. These requests were causing Atheros AR91xx/92xx to generate TX DMA error spams.

The corresponding fix in OpenWrt's hostapd is commit r45873 by nbd (Felix Fietkau). I don't know if they're perfectly equivalent, or if there are typos left somewhere, but DD-WRT doesn't produce TX DMA errors anymore on WNDR3800 and DIR-825 B1 (both have AR92xx radios).

The TX DMA errors for the newer AR93xx+ radios were fixed by nbd with patch http://www.spinics.net/lists/linux-wireless/msg137342.html
and implemented in DD-WRT with commit http://svn.dd-wrt.com/changeset/27219 and in OpenWrt with commit r45874. The implementation should be exactly the same for DD-WRT and OpenWrt, since both use a common ath9k driver repository.

Now I'll trow it out there, but please don't flame me for this: if the TX DMA errors on older radios are still not fixed in OpenWrt, it means that commit r45873 is broken, buggy, or only partially fixes the issue.
This can be tested by enabling the HT40 intolerant setting (also called "Fat channel intolerance") in a HT40-capable WiFi card's driver and trying to connect to the router broadcasting @HT40. If the HT40 intolerance bug is fixed, the network should stay @HT40 and shouldn't drop the connection. This is a good test and was used by me and tatsuya46 over at DD-WRT to test the TX DMA spam produced by the HT40 intolerant clients prior to http://svn.dd-wrt.com/changeset/27072.

For more info, please refer to http://svn.dd-wrt.com/ticket/4078 and
http://svn.dd-wrt.com/ticket/2952#comment:138
I hope this will help to figure out the issue.

Last edited 16 months ago by KrypteX (previous) (diff)

comment:320 follow-up: Changed 16 months ago by anonymous

Thanks for the great explanation!

Still one question: I use HT20 on the ap, does this also fix TX DMA errors in such a case? i also have WNDR3800's.

comment:321 in reply to: ↑ 320 Changed 16 months ago by KrypteX

Replying to anonymous:

Still one question: I use HT20 on the ap, does this also fix TX DMA errors in such a case? i also have WNDR3800's.

The various Power Saving features, sometimes aggressive, of certain WiFi clients (laptops and smartphones included) might induce some of the occasional TX DMA errors, even if the AP is only HT20. I'm not an expert, so the full explanation might be a variant of this: http://svn.dd-wrt.com/ticket/2952#comment:138

comment:322 Changed 16 months ago by KrypteX

Small change: r45917

comment:323 Changed 16 months ago by finas

still happening on 901ND with r45932

comment:324 Changed 16 months ago by anonymous

Thanks KrypteX for the explanation, I upgraded to r45926. No improvement.

Number of errors the days before the firmware upgrade: 62, 47, 86, 44
Number of errors the days after the firmware upgrade: 32, 57, 57

WNDR3700v4. Errors are on the 2.4GHz band. Using channel 6, HT20 (not HT40).

comment:325 Changed 16 months ago by anonymous

Also problems on r45950 with a tl-wr841n v9.
On r45695 I had far less TX DMA errors.

[   89.220000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[   93.930000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 3729.080000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 3730.000000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 4591.200000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 5529.210000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 7925.630000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 9132.430000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[12257.420000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[14722.840000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[14964.610000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[18379.280000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20293.160000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20294.290000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20300.540000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20305.970000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20307.610000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20319.080000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20324.510000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20335.060000] ath: phy0: Failed to stop TX DMA, queues=0x102!
[20336.700000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20337.830000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20340.800000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20346.740000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20347.350000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20347.870000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20348.170000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20349.210000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20349.920000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20351.450000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20354.020000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20354.220000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20354.940000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20355.250000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20359.450000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20368.360000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20374.500000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20377.680000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20380.950000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20391.810000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20395.400000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20398.270000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20403.390000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20436.010000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20538.350000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20589.450000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20592.420000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20617.000000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20644.850000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20650.690000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20654.480000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20655.400000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20662.270000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[20875.470000] ath: phy0: Failed to stop TX DMA, queues=0x102!
[21264.700000] ath: phy0: Failed to stop TX DMA, queues=0x102!
[21267.360000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[21271.560000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[21274.120000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[25906.440000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[29151.640000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[29404.470000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[34239.150000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[34239.970000] ath: phy0: Failed to stop TX DMA, queues=0x002!

comment:326 Changed 16 months ago by finas

901ND v2 and v3 still happening on OpenWrt Chaos Calmer r45988 / LuCI Master (git-15.165.37368-3429097)

comment:327 Changed 16 months ago by nbd

please try r46010

comment:328 Changed 16 months ago by Sharkys

@nbd, it still occurs ;-(

Model TP-Link TL-WR841N/ND v8
Firmware Version OpenWrt Chaos Calmer r46038 / LuCI Master (git-15.168.50780-bae48b6)

I hope that one day, this error will get really fixed and the dream will come true. Wish you good luck to not give up.

[ 7516.500000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 7518.960000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[ 7555.410000] ath: phy0: Failed to stop TX DMA, queues=0x002!
# cat /sys/kernel/debug/ieee80211/phy0/ath9k/interrupt
                 RXLP:     922307
                 RXHP:          0
              WATHDOG:          0
                RXEOL:         14
                RXORN:          0
                   TX:     465830
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:    3401476
                BMISS:          0
                  BNR:          0
                  CST:        363
                  GTT:        467
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:    4772098
SYNC_CAUSE stats:
             Sync-All:          0
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          0
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:          0
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0
# cat /sys/kernel/debug/ieee80211/phy0/ath9k/queues
(VO):  qnum: 3 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(VI):  qnum: 2 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(BE):  qnum: 1 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(BK):  qnum: 0 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
(CAB): qnum: 8 qdepth:  0 ampdu-depth:  0 pending:   0 stopped: 0
# cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon:  9
        MCI Reset:  0
Calibration error:  0

comment:329 Changed 16 months ago by finas

yeah, same thing on 901ND v2 and v3 with OpenWrt Chaos Calmer r46050 / LuCI Master (git-15.168.50780-bae48b6)

[ 55.980000] random: nonblocking pool is initialized
[ 4971.490000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
[23139.450000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[23302.890000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[25845.390000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[257571.370000] ath: phy0: Failed to stop TX DMA, queues=0x002!

comment:330 Changed 15 months ago by anonymous

from 3 years ago until now there is no really working patch while dd-wrt could solve this issue? :(

comment:331 Changed 15 months ago by vilius.palubinskas@…

model tp-link wdr4300 hw 1.7. CHAOS CALMER (15.05-rc2, r45918)

[13990.740000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[14221.460000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[14261.290000] ath: phy0: Failed to stop TX DMA, queues=0x00a!
[15848.040000] ath: phy0: Failed to stop TX DMA, queues=0x002!
[250742.150000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_              SW=0x02000020 DMADBG_7=0x00006400
[250742.160000] ath: phy0: Could not stop RX, we could be confusing the DMA engi              ne when we start RX up
[251089.810000] ath: phy0: Failed to stop TX DMA, queues=0x00a!


cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog: 720
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  1
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 287
        MCI Reset:  0
Calibration error: 18

cat /sys/kernel/debug/ieee80211/phy0/ath9k/interrupt
                 RXLP:   43448682
                 RXHP:          0
              WATHDOG:        721
                RXEOL:       1023
                RXORN:          0
                   TX:    6917841
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:   19642818
                BMISS:          0
                  BNR:          0
                  CST:       4553
                  GTT:       9078
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:   69472042
SYNC_CAUSE stats:
             Sync-All:          0
              RTC-IRQ:          0
              MAC-IRQ:          0
EEPROM-Illegal-Access:          0
          APB-Timeout:          0
    PCI-Mode-Conflict:          0
          HOST1-Fatal:          0
           HOST1-Perr:          0
       TRCV-FIFO-Perr:          0
          RADM-CPL-EP:          0
  RADM-CPL-DLLP-Abort:          0
   RADM-CPL-TLP-Abort:          0
    RADM-CPL-ECRC-Err:          0
     RADM-CPL-Timeout:          0
    Local-Bus-Timeout:          0
            PM-Access:          0
            MAC-Awake:          0
           MAC-Asleep:          0
     MAC-Sleep-Access:          0

comment:332 Changed 15 months ago by nbd

  • Resolution set to fixed
  • Status changed from assigned to closed

fixed in r46158, r46159

comment:333 Changed 15 months ago by anonymous

" A long time ago, ath9k had issues during reset where the DMA engine
would stay active and could potentially corrupt memory.
To debug those issues, the driver would print warnings whenever they
occur.

Nowadays, these issues are gone and the primary cause of these messages
is if the MAC is stuck during reset or busy processing a long
transmission. This is fairly harmless, yet these messages continue to
worry users.

To reduce the number of bogus bug reports, turn these messages into
debug messages and count their occurence in the "reset" debugfs file."

Ok, sure. I already had the impression that the source of the problem (my problem, anyway) was a highly saturated channel.

comment:334 Changed 15 months ago by anonymous

Should I update? Im on r45952 right now @ WNDR3800, I have had any issues though, or ever seen these messages in dmesg or logread, why?

comment:335 Changed 15 months ago by fl@…

In yesterday I had install latest OpenWRT in my TL-WR841ND v.8.1 and saw that:

  1. often repeated block of messages:


[106284.190000] br-lan: port 1(eth1) entered disabled state
[106285.690000] eth1: link up (1000Mbps/Full duplex)
[106285.690000] br-lan: port 1(eth1) entered forwarding state
[106285.700000] br-lan: port 1(eth1) entered forwarding state
[106287.700000] br-lan: port 1(eth1) entered forwarding state
[108444.280000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[108630.060000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[113506.470000] UDP: short packet: From 85.172.123.181:0 0/28 to 85.113.58.189:20480
[113506.470000] UDP: short packet: From 85.172.123.181:0 0/28 to 85.113.58.189:20480
[125029.500000] ath: phy0: Failed to stop TX DMA, queues=0x00d!
[125327.710000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[178582.870000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[178588.270000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191665.130000] ath: phy0: Failed to stop TX DMA, queues=0x008!
[191666.100000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[191668.390000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[191727.270000] ath: phy0: Failed to stop TX DMA, queues=0x005!
[191767.080000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[191786.100000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[192037.930000] ath: phy0: Failed to stop TX DMA, queues=0x00c!
[192641.910000] ath: phy0: Failed to stop TX DMA, queues=0x004!

During this process - the connections of any wifi devices are stay on but the traffic is off. It take a 3-10 seconds.
If any android devices are coneected to router then more often it will be trouble.

comment:336 Changed 11 months ago by vilius.palubinskas@…

CHAOS CALMER (15.05, r46767) on wdr4300

after this error router begins working unstable lossing connectivity:

ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800

comment:337 Changed 11 months ago by vilius.palubinskas@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:338 Changed 11 months ago by elecnix

Observing the same error on OpenWrt Attitude Adjustment 12.09 on TP-LINK TL-WDR3600/4300/4310, with base-files 117-r36088.

comment:339 Changed 11 months ago by eduardo.perezesteban@…

CHAOS CALMER (15.05, r46767) on a TP-Link TL-WDR4300 v1

After moving (literally) hundreds of gigabytes without any issue, between two devices that had been problematic in BB, I can confirm this problem has been fixed for me.

Many thanks!

comment:340 Changed 11 months ago by r.bloise@…

same problem here, CHAOS CALMER (Chaos Calmer, r47374) on a Ubiquiti UniFi AP PRO:

root@UniFiPRO_01:~# cat /etc/openwrt_release
DISTRIB_ID='OpenWrt'
DISTRIB_RELEASE='Chaos Calmer'
DISTRIB_REVISION='r47374'
DISTRIB_CODENAME='chaos_calmer'
DISTRIB_TARGET='ar71xx/generic'
DISTRIB_DESCRIPTION='OpenWrt Chaos Calmer 15.05'
DISTRIB_TAINTS='no-all busybox'
root@UniFiPRO_01:~# cat /proc/cpuinfo
system type		: Atheros AR9344 rev 2
machine			: Ubiquiti UniFi AP Pro
processor		: 0
cpu model		: MIPS 74Kc V4.12
BogoMIPS		: 278.93
wait instruction	: yes
microsecond timers	: yes
tlb_entries		: 32
extra interrupt vector	: yes
hardware watchpoint	: yes, count: 4, address/irw mask: [0x0ffc, 0x0ffc, 0x0ffb, 0x0ffb]
isa			: mips1 mips2 mips32r1 mips32r2
ASEs implemented	: mips16 dsp dsp2
shadow register sets	: 1
kscratch registers	: 0
package			: 0
core			: 0
VCED exceptions		: not available
VCEI exceptions		: not available
root@UniFiPRO_01:~#  cat /sys/kernel/debug/ieee80211/phy0/ath9k/reset
    Baseband Hang:  0
Baseband Watchdog:  0
   Fatal HW Error:  0
      TX HW error:  0
 Transmit timeout:  0
     TX Path Hang:  0
      PLL RX Hang:  0
         MAC Hang:  0
     Stuck Beacon: 282
        MCI Reset:  0
Calibration error:  0
Tx DMA stop error: 280
Rx DMA stop error: 282
root@UniFiPRO_01:~#  cat /sys/kernel/debug/ieee80211/phy0/ath9k/interrupt
                 RXLP:     116248
                 RXHP:          0
              WATHDOG:          0
                RXEOL:        306
                RXORN:          0
                   TX:     194865
                TXURN:          0
                  MIB:          0
                RXPHY:          0
                RXKCM:          0
                 SWBA:     264297
                BMISS:          0
                  BNR:          0
                  CST:          0
                  GTT:       1732
                  TIM:          0
               CABEND:          0
             DTIMSYNC:          0
                 DTIM:          0
               TSFOOR:          0
                  MCI:          0
             GENTIMER:          0
                TOTAL:     571807
root@UniFiPRO_01:~# logread | grep err
Mon Nov  9 15:40:36 2015 kern.err kernel: [ 2473.700000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:37 2015 kern.err kernel: [ 2475.240000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00006400
Mon Nov  9 15:40:40 2015 kern.err kernel: [ 2478.210000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:41 2015 kern.err kernel: [ 2479.030000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00006400
Mon Nov  9 15:40:43 2015 kern.err kernel: [ 2480.970000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:45 2015 kern.err kernel: [ 2482.610000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:46 2015 kern.err kernel: [ 2484.350000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:49 2015 kern.err kernel: [ 2486.910000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026e00
Mon Nov  9 15:40:49 2015 kern.err kernel: [ 2487.320000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:50 2015 kern.err kernel: [ 2487.930000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:50 2015 kern.err kernel: [ 2488.340000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00006400
Mon Nov  9 15:40:52 2015 kern.err kernel: [ 2489.680000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00006400
Mon Nov  9 15:40:52 2015 kern.err kernel: [ 2489.980000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:53 2015 kern.err kernel: [ 2490.900000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:55 2015 kern.err kernel: [ 2493.260000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
Mon Nov  9 15:40:57 2015 kern.err kernel: [ 2495.310000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x02100020 DMADBG_7=0x00026800
[...]

NB: phy0 is 5GHz radio

comment:341 Changed 10 months ago by cmsv@…

system type : Atheros AR9130 rev 2
machine : D-Link DIR-615 rev. C1

DISTRIB_REVISION='r47815'

[52620.670000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42100020 DMADBG_7=0x000286c0
[62801.070000] ------------[ cut here ]------------
[62801.070000] WARNING: CPU: 0 PID: 0 at /home/user/chaos_calmer/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 ieee80211_rx+0x13c/0x848 [mac80211]()
[62801.090000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[62801.100000] Modules linked in: ath9k ath9k_common iptable_nat ath9k_hw ath nf_nat_ipv4 nf_conntrack_ipv4 mac80211 iptable_raw iptable_mangle iptable_filter ipt_REJECT ipt_MASQUERADE ip_tables cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT x_tables nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_log_common nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack compat batman_adv libcrc32c arc4 crypto_blkcipher gpio_button_hotplug crc16 crc32c_generic crypto_hash
[62801.150000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.18.23 #1
[62801.160000] Stack : 00000000 00000000 00000000 00000000 803c4292 00000032 00000000 80d211e4
[62801.160000] 00000001 80c0216c 80317d10 8036eba3 00000000 803c34d0 8036eed8 80c0216c
[62801.160000] 0000008d 803e0000 00000001 800a364c 00000003 8008043c 00000df2 80c0216c
[62801.160000] 8031b308 80369b9c 00000000 00000000 00000000 00000000 00000000 00000000
[62801.160000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[62801.160000] ...
[62801.190000] Call Trace:
[62801.200000] [<80071060>] show_stack+0x50/0x84
[62801.200000] [<80080544>] warn_slowpath_common+0x84/0xb4
[62801.200000] [<800805a0>] warn_slowpath_fmt+0x2c/0x38
[62801.210000] [<80d211e4>] ieee80211_rx+0x13c/0x848 [mac80211]
[62801.220000] [<80d66ec8>] ath_rx_tasklet+0xab0/0xafc [ath9k]
[62801.220000] [<80d6453c>] ath9k_tasklet+0x23c/0x2c8 [ath9k]
[62801.230000] [<80083134>] tasklet_action+0x84/0xcc
[62801.230000] [<80082a44>] do_softirq+0xf8/0x230
[62801.240000] [<80082db0>] irq_exit+0x54/0x70
[62801.240000] [<80060830>] ret_from_irq+0x0/0x4
[62801.240000] [<80060a80>]
r4k_wait+0x20/0x40
[62801.250000] [<8009f5e4>] cpu_startup_entry+0xf0/0x13c
[62801.250000] [<80388b5c>] start_kernel+0x42c/0x444
[62801.260000]
[62801.260000] ---[ end trace 1a0652afd6e8ab1a ]---

comment:342 Changed 3 months ago by anonymous

Getting this error on TL-WR1043-ND with BB.

Add Comment

Modify Ticket

Action
as reopened .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.